# H+
#	Title	:  euv.cl
#	Author	:  Eric C. Olson
#	Date	:  2 May 1988
#	
#	Synopsis:  Package script EUV
#
#	@(#)euv.cl	1.15
# H-
#{	Enter CL compute mode

string qmval

cl < "euv$lib/zzsetenv.def"
package euv, bin = euvbin$

task	euvred.pkg	= "euvred$euvred.cl"
task	euvspec.pkg	= "euvspec$euvspec.cl"
task	euvtools.pkg	= "euvtools$euvtools.cl"
#task	euvobsolete.pkg	= "euvobsolete$euvobsolete.cl"
task	euvdiags.pkg	= "euvdiags$euvdiags.cl"

hidetask euvdiags

euv
euvred
euvspec
euvtools
euv

# set qmfiles 
if (access ("euvbin$x_euvtools.e")) {
   getenv("qmfiles")
   qmval = (getenv.value)
   if (qmval == "")
     set qmfiles = ("euv$lib/qp.defs")
}
;

# Print the message of the day.
if (!access ("home$.hushiraf"))
{
    if (motd)
    {
       type "euv$euv_motd"
    }
}


# keep this semicolon!!! (CL bug)
;

clbye()
