# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfadd.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfadd.x -r1.2 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/24/95   akeith	updated documentation
# 	03/30/94   akeith	date and time created 94/03/30 12:36:55 by akeith
# H-
# 
#


#	Version: @(#)dfadd.x	1.2 4/24/95 UCB CEA EGO

include "df.h"

#
# df_add() adds two df's, a and b, together and places
#	the resulting df in c. a may equal b which may
#	equal c. If a or b is a pd type df, c MUST be a
#	pd type df. The resulting df must exist.
#

procedure	df_add(a, b, c) #E

pointer a			#I input df
pointer b			#I input df
pointer c			#I existing output df

begin

	if(a == b)
		call df_mulk(a, 2.0, c)
	else
		call df_binop(a, b, c, DF_ADD, 0.0)

end

