# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfghdr.gx
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfghdr.gx -r1.2 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/19/94   akeith	added bool type
# 	03/30/94   akeith	date and time created 94/03/30 12:38:55 by akeith
# H-
# 
#


#       Version: @(#)dfghdr.gx	1.2 4/19/94 UCB CEA EGO

include	"df.h"


#
# df_ghdr$t() returns the value of the named header and
#	a YES or NO status indicating whether or not the
#	named header was found. If the data type of the
#	stored value is not the same as the data type
#	requested the status is NO.
#

procedure	df_ghdrb(df, name, value, status) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
bool	value				#O value to store
int	status				#I status

begin
	call dt_ghdrb(DF_DT(df), name, value, status)
end

#
# df_ghdr$t() returns the value of the named header and
#	a YES or NO status indicating whether or not the
#	named header was found. If the data type of the
#	stored value is not the same as the data type
#	requested the status is NO.
#

procedure	df_ghdrd(df, name, value, status) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
double	value				#O value to store
int	status				#I status

begin
	call dt_ghdrd(DF_DT(df), name, value, status)
end

#
# df_ghdr$t() returns the value of the named header and
#	a YES or NO status indicating whether or not the
#	named header was found. If the data type of the
#	stored value is not the same as the data type
#	requested the status is NO.
#

procedure	df_ghdrr(df, name, value, status) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
real	value				#O value to store
int	status				#I status

begin
	call dt_ghdrr(DF_DT(df), name, value, status)
end

#
# df_ghdr$t() returns the value of the named header and
#	a YES or NO status indicating whether or not the
#	named header was found. If the data type of the
#	stored value is not the same as the data type
#	requested the status is NO.
#

procedure	df_ghdrs(df, name, value, status) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
short	value				#O value to store
int	status				#I status

begin
	call dt_ghdrs(DF_DT(df), name, value, status)
end

#
# df_ghdr$t() returns the value of the named header and
#	a YES or NO status indicating whether or not the
#	named header was found. If the data type of the
#	stored value is not the same as the data type
#	requested the status is NO.
#

procedure	df_ghdrl(df, name, value, status) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
long	value				#O value to store
int	status				#I status

begin
	call dt_ghdrl(DF_DT(df), name, value, status)
end

#
# df_ghdr$t() returns the value of the named header and
#	a YES or NO status indicating whether or not the
#	named header was found. If the data type of the
#	stored value is not the same as the data type
#	requested the status is NO.
#

procedure	df_ghdri(df, name, value, status) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
int	value				#O value to store
int	status				#I status

begin
	call dt_ghdri(DF_DT(df), name, value, status)
end

#
# df_ghdr$t() returns the value of the named header and
#	a YES or NO status indicating whether or not the
#	named header was found. If the data type of the
#	stored value is not the same as the data type
#	requested the status is NO.
#

procedure	df_ghdrc(df, name, value, status) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
char	value				#O value to store
int	status				#I status

begin
	call dt_ghdrc(DF_DT(df), name, value, status)
end



#
# df_ghdrp() returns the value of the named header and
#	a YES or NO status indicating whether or not the
#	named header was found. If the data type of the
#	stored value is not the same as the data type
#	requested the status is NO.
#

procedure	df_ghdrp(df, name, value, status) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
pointer	value				#O value to store
int	status				#I status

begin
	call dt_ghdrp(DF_DT(df), name, value, status)
end


#
# df_ghdrt() returns the value of the named header and
#	a YES or NO status indicating whether or not the
#	named header was found. If the data type of the
#	stored value is not the same as the data type
#	requested the status is NO.
#

procedure	df_ghdrt(df, name, value, maxch, status) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
char	value[ARB]			#O value to store
int	maxch				#I max number of chars
int	status				#I status

begin
	call dt_ghdrt(DF_DT(df), name, value, maxch, status)
end

