# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfnhdr.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfnhdr.x -r1.3 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	01/04/95   akeith	documentation
# 	09/07/94   akeith	fixed name conflict
# 	03/30/94   akeith	date and time created 94/03/30 12:37:10 by akeith
# H-
# 
#


#       Version: @(#)dfnhdr.x	1.3 1/4/95 UCB CEA EGO

include	"df.h"

#
# df_starthdr() initializes df_nexthdr().
#

procedure	df_starthdr(df) #E

pointer	df			#I discrete function

begin
	call dt_strthdr(DF_DT(df))
end


#
# df_nexthdr() returns the name and type of the next header
#	in the list. Each successive call to df_nexthdr()
#	returns the next header name. FALSE is the return
#	value when the end of the list reached. df_starthdr()
#	should be called to initialize df_nexthdr() to the 
#	beginning of the list.
#

bool	procedure	df_nexthdr(df, name, maxch, type) #E

pointer	df			#I discrete function
char	name[ARB]		#O name of next header
int	maxch			#I max number of chars
int	type			#O value type (TY_STRING = -TY_CHAR)

bool	dt_nexthdr()

begin
	return(dt_nexthdr(DF_DT(df), name, maxch, type))
end

