# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfphdr.gx
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfphdr.gx -r1.2 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/19/94   akeith	added bool type
# 	03/30/94   akeith	date and time created 94/03/30 12:38:57 by akeith
# H-
# 
#


#       Version: @(#)dfphdr.gx	1.2 4/19/94 UCB CEA EGO

include	"df.h"


#
# df_phdr$t() places the value, value, in the header of
#	the df under the name, name.
#

procedure	df_phdrb(df, name, value) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
bool	value				#I value to store

errchk	dt_phdrb()
begin
	call dt_phdrb(DF_DT(df), name, value)
end

#
# df_phdr$t() places the value, value, in the header of
#	the df under the name, name.
#

procedure	df_phdrd(df, name, value) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
double	value				#I value to store

errchk	dt_phdrd()
begin
	call dt_phdrd(DF_DT(df), name, value)
end

#
# df_phdr$t() places the value, value, in the header of
#	the df under the name, name.
#

procedure	df_phdrr(df, name, value) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
real	value				#I value to store

errchk	dt_phdrr()
begin
	call dt_phdrr(DF_DT(df), name, value)
end

#
# df_phdr$t() places the value, value, in the header of
#	the df under the name, name.
#

procedure	df_phdrs(df, name, value) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
short	value				#I value to store

errchk	dt_phdrs()
begin
	call dt_phdrs(DF_DT(df), name, value)
end

#
# df_phdr$t() places the value, value, in the header of
#	the df under the name, name.
#

procedure	df_phdrl(df, name, value) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
long	value				#I value to store

errchk	dt_phdrl()
begin
	call dt_phdrl(DF_DT(df), name, value)
end

#
# df_phdr$t() places the value, value, in the header of
#	the df under the name, name.
#

procedure	df_phdri(df, name, value) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
int	value				#I value to store

errchk	dt_phdri()
begin
	call dt_phdri(DF_DT(df), name, value)
end

#
# df_phdr$t() places the value, value, in the header of
#	the df under the name, name.
#

procedure	df_phdrc(df, name, value) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
char	value				#I value to store

errchk	dt_phdrc()
begin
	call dt_phdrc(DF_DT(df), name, value)
end



#
# df_phdrp() places the value, value, in the header of
#	the df under the name, name.
#

procedure	df_phdrp(df, name, value) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
pointer	value				#I value to store

errchk	dt_phdrp()
begin
	call dt_phdrp(DF_DT(df), name, value)
end


#
# df_phdrt() places the value, value, in the header of
#	the df under the name, name.
#

procedure	df_phdrt(df, name, value) #E

pointer	df				#I discrete function
char	name[ARB]			#I name of header
char	value[ARB]			#I value to store

errchk	dt_phdrt()
begin
	call dt_phdrt(DF_DT(df), name, value)
end

