# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfreset.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfreset.x -r1.2 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	01/04/95   akeith	documentation
# 	03/30/94   akeith	date and time created 94/03/30 12:37:16 by akeith
# H-
# 
#


#       Version: @(#)dfreset.x	1.2 1/4/95 UCB CEA EGO

include	"df.h"

#
# df_reset() resets the discrete function by setting the get
#	and put positions to 1. If the df is not symbolically
#	linked the number of elements are set to zero. For a
#	symbolically linked df the buffers are flushed. However,
#	there is no way to set the number of elements to zero.
#	Therefore, elements which are not overwritten remain.
#	This is a problem which will be remedied later.
#

procedure	df_reset(df) #E

pointer	df			#I discrete function

begin
	call dto_reset(DF_DMN(df))
	call dto_reset(DF_RNG(df))
	call df_px0(df, INDEFD)
	call df_pedge(df, INDEFD, INDEFD)
end

