# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfset.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfset.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 12:37:19 by akeith
# H-
# 
#


#	Version: @(#)dfset.x	1.1 3/30/94 UCB CEA EGO

include	"df.h"
include	<dfset.h>
include	<dtset.h>


#
# dto_seti sets the value of a particular parameter
#	stored within the discrete function. Parameter
#	definitions are in <dfset.h>.
#

procedure	df_seti(df, param, value) #E

pointer	df			#I descrete function
int	param			#I parameter
int	value			#I new value for parameter

begin

	switch(param) {

	  case DF_PAGESZ_PARM:
		call dto_seti(DF_DMN(df), DTO_PAGESZ_PARM, value)
		call dto_seti(DF_RNG(df), DTO_PAGESZ_PARM, value)

	  default:
		call error(1, "df_seti(): No such parameter.")

	}

end

