# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dftmp.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dftmp.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 12:37:25 by akeith
# H-
# 
#


#       Version: @(#)dftmp.x	1.1 3/30/94 UCB CEA EGO

include	"df.h"
include	<dfset.h>

#
# df_tmp() creates a temporary df which may be stored in
#	memory or as a temporary ST table.
#

pointer	procedure	df_tmp(df, type) #I

pointer	df			#I df to mimic
int	type			#I df type

int	dtype			#
pointer	colptr			#
pointer tmp_df			#
pointer s_tb			#
pointer sp, fname		#

int	dmn_type, rng_type

int	df_stati()
pointer df_open()
pointer tbl_df()
pointer tbtopn()

begin

	if(df_stati(df, DF_STORAGE_PARM) == DF_SYM) {

		# Create the scatch table

		call smark(sp)
		call salloc(fname, SZ_FNAME, TY_CHAR)

		call mktemp("imdir$", Memc[fname], SZ_FNAME)
		s_tb = tbtopn(Memc[fname], TEMP_FILE, 0)
		dtype = df_stati(df, DF_DOMAIN_DTYPE_PARM)
		call tbcdef(s_tb, colptr, "domain", "", "%g", dtype, 0, 1)
		dtype = df_stati(df, DF_DOMAIN_DTYPE_PARM)
		call tbcdef(s_tb, colptr, "range", "", "%g", dtype, 0, 1)
		call tbtcre(s_tb)

		tmp_df = tbl_df(type, s_tb, "domain", "range")
		call df_phdrp(df, "tmp_sttable", s_tb)

		call sfree(sp)
		return(tmp_df)

	} else {

		dmn_type = df_stati(df, DF_DOMAIN_DTYPE_PARM)
		rng_type = df_stati(df, DF_RANGE_DTYPE_PARM)
		tmp_df = df_open(type, dmn_type, rng_type)

		return(tmp_df)
	}

end


#
# df_tmpclose() closes a temporary df.
#

procedure	df_tmpclose(df) #I

pointer	df			#I df to mimic

int	stat
pointer tb

begin

	call df_ghdrp(df, "tmp_sttable", tb, stat)
	if(tb != NULL)
		call tbtclo(tb)

	call df_close(df)
end

