# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dmnstat.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dmnstat.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 12:37:30 by akeith
# H-
# 
#


#	Version: @(#)dmnstat.x	1.1 3/30/94 UCB CEA EGO

include "df.h"
include	<dfset.h>

#
# dmn_statd() returns the status and charactoristics
#	particular to the domain of the discrete function
#	The parameters are defined in <dfset.h>.
#

double	procedure	dmn_statd(dmn, param) #I

pointer	dmn			#I domain pointer
int	param			#I parameter

double	d_val
bool	dmn_statb()

begin

	d_val = INDEFD
	if(!dmn_statb(dmn))
		call error(1, "dmn_statd(): Wrong pointer.")

	switch(param) {

	  case DMN_X0_PARM:
		d_val = DMN_X0(dmn)

	  case DMN_MIN_PARM:
		d_val = DMN_MIN(dmn)

	  case DMN_MAX_PARM:
		d_val = DMN_MAX(dmn)

	  default:
		call error(1, "dmn_statd(): No such parameter.")
		d_val = INDEFD

	}

	return(d_val)

end


#
# dmn_statb()
#

bool	procedure	dmn_statb(dmn) #I

pointer	dmn			#I domain pointer

begin
	if(DMN_WHO(dmn) == DF_DOMAIN) return(TRUE)
	return(FALSE)
end


