# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfgminmax.x
# 	Author	:  tnk
# 	Date	:  04/28/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfgminmax.x -r1.1 04/28/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/28/94   tnk	date and time created 94/04/28 12:01:57 by tnk
# H-
# 
#

# @(#)dfgminmax.x	1.1 4/28/94 UCB CEA EGO

# finds & returns the global domain min/max values for an 
# array of DF's 

procedure df_gminmax(df_array,n_dfs,gxmin,gxmax)
pointer  df_array[ARB]  #I array of DF pointers (must be at least 1)
int      n_dfs          #I length of array
double   gxmin          #O global xmin value
double   gxmax          #O global xmax value

int      i
double   xmin,xmax,ymin,ymax

begin

   i = 1
   call df_minmax(df_array[i],gxmin,gxmax,ymin,ymax)

   for (i=2; i<= n_dfs; i=i+1) {
         call df_minmax(df_array[i],xmin,xmax,ymin,ymax)
         if (xmin < gxmin) gxmin = xmin
         if (xmax > gxmax) gxmax = xmax
   }

end
