# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  genconstdf.x
# 	Author	:  tnk
# 	Date	:  04/28/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) genconstdf.x -r1.1 04/28/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/28/94   tnk	date and time created 94/04/28 12:02:30 by tnk
# H-
# 
#


# @(#)genconstdf.x	1.1 4/28/94 UCB CEA EGO

# Create regularly spaced df, with constant range value.

procedure gen_const_df(in_df,x_min,x_max,x_step,y_value) 

pointer in_df    #I/O empty DF  to fill
double  x_min    #I   first domain value
double  x_step   #I   size of step
double  x_max    #I   last domain value
double  y_value  #I   y value

double  x
double  x0

begin

   x0 = x_min - x_step
   call df_px0(in_df,x0)

   # Make the regularly spaced values
   # Note that the last bin is probably going to extend beyond xmax.

   x = x_min
   while (x <= x_max) {
      call df_dputd(in_df,x,y_value,1)
      x = x+x_step
   }

   call df_rewind(in_df)

end
