# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  isincrdom.x
# 	Author	:  tnk
# 	Date	:  04/28/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) isincrdom.x -r1.1 04/28/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/28/94   tnk	date and time created 94/04/28 12:02:34 by tnk
# H-
# 
#


# verify that DF has a monotonically increasing domain
# @(#)isincrdom.x	1.1 4/28/94 UCB CEA EGO

bool procedure is_incrdom(in_df)
pointer in_df

bool   status
double old_x
double x, y
int    df_dgetd()

begin

   status = true

   if ( df_dgetd(in_df, old_x, y, 1) == 0 )
      return(status)         
   
   while ( df_dgetd(in_df, x, y, 1) != 0 ) {
      if (x <= old_x) {
         call eprintf("x value '%f' is out of order\n")
         call pargd(x)
         status = false
         break
      }
      else {
        old_x = x          
      }
   }

   call df_rewind(in_df)

return(status)

end
