# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  minbinwid.x
# 	Author	:  tnk
# 	Date	:  09/02/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) minbinwid.x -r1.1 09/02/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/02/94   tnk	date and time created 94/09/02 16:43:23 by tnk
# H-
# 
#

# @(#)minbinwid.x	1.1 9/2/94
#
# minbinwid returns the width of the smallest bin in
# a df 

include <mach.h>

double procedure minbinwid(a) 
pointer a         #I input df

double  x0, x, y
double  width
double  minwid
int     df_dgetd()

begin

        minwid = MAX_DOUBLE
        call df_gx0(a, x0)
        if(IS_INDEFD(x0)) {
                call df_mkx0(a)
                call df_gx0(a, x0)
        }

        while(df_dgetd(a, x, y, 1) != 0) {
                width = x - x0
                if (width < minwid)
		   minwid = width
                x0 = x
        }

        call df_rewind(a)

  return(minwid)

end
