# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtgbuf.gx
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtgbuf.gx -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:31 by akeith
# H-
# 
#


#       Version: @(#)dtgbuf.gx	1.1 3/30/94 UCB CEA EGO

include "dt.h"
include "dto.h"


#
# dt_gbuf[silrd]() gets an array of elements from the named dto.
#	The user number of elements are taken from the current
#	file position. The actual number of elements stored in
#	the user buffer is returned. The current file position
#	is updated upon each get. The current file position is
#	initialized to 1 for the first call to dt_gbuf[silrd]()
#	unless the position has been set by a call to dt_seek().
#	The buffer to receive the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

int	procedure	dt_gbufs(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
short	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table object
int	dto_gbufs()

begin

	call ls_get(DT_LS(dt), name, dto)
	return(dto_gbufs(dto, ubuf, unelms))

end

#
# dt_gbuf[silrd]() gets an array of elements from the named dto.
#	The user number of elements are taken from the current
#	file position. The actual number of elements stored in
#	the user buffer is returned. The current file position
#	is updated upon each get. The current file position is
#	initialized to 1 for the first call to dt_gbuf[silrd]()
#	unless the position has been set by a call to dt_seek().
#	The buffer to receive the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

int	procedure	dt_gbufi(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
int	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table object
int	dto_gbufi()

begin

	call ls_get(DT_LS(dt), name, dto)
	return(dto_gbufi(dto, ubuf, unelms))

end

#
# dt_gbuf[silrd]() gets an array of elements from the named dto.
#	The user number of elements are taken from the current
#	file position. The actual number of elements stored in
#	the user buffer is returned. The current file position
#	is updated upon each get. The current file position is
#	initialized to 1 for the first call to dt_gbuf[silrd]()
#	unless the position has been set by a call to dt_seek().
#	The buffer to receive the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

int	procedure	dt_gbufl(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
long	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table object
int	dto_gbufl()

begin

	call ls_get(DT_LS(dt), name, dto)
	return(dto_gbufl(dto, ubuf, unelms))

end

#
# dt_gbuf[silrd]() gets an array of elements from the named dto.
#	The user number of elements are taken from the current
#	file position. The actual number of elements stored in
#	the user buffer is returned. The current file position
#	is updated upon each get. The current file position is
#	initialized to 1 for the first call to dt_gbuf[silrd]()
#	unless the position has been set by a call to dt_seek().
#	The buffer to receive the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

int	procedure	dt_gbufr(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
real	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table object
int	dto_gbufr()

begin

	call ls_get(DT_LS(dt), name, dto)
	return(dto_gbufr(dto, ubuf, unelms))

end

#
# dt_gbuf[silrd]() gets an array of elements from the named dto.
#	The user number of elements are taken from the current
#	file position. The actual number of elements stored in
#	the user buffer is returned. The current file position
#	is updated upon each get. The current file position is
#	initialized to 1 for the first call to dt_gbuf[silrd]()
#	unless the position has been set by a call to dt_seek().
#	The buffer to receive the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

int	procedure	dt_gbufd(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
double	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table object
int	dto_gbufd()

begin

	call ls_get(DT_LS(dt), name, dto)
	return(dto_gbufd(dto, ubuf, unelms))

end


