# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtocreate.gx
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtocreate.gx -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:39 by akeith
# H-
# 
#


#       Version: @(#)dtocreate.gx	1.1 3/30/94 UCB CEA EGO

include "dt.h"
include "dto.h"


#
# dto_create[silrd]() creates and initializes a new data table
#	object with a given name. The data type is specified by
#	the function name. The dto is initialized as a in memory
#	dto.
#

procedure	dto_creates (dt, name) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of dto

pointer dto				# pointer to data table object

begin

	call dto_malloc(dto)

	call dto_init(dto, TY_SHORT)

	call ls_add(DT_LS(dt), name, dto)

end


#
# dto_create[silrd]() creates and initializes a new data table
#	object with a given name. The data type is specified by
#	the function name. The dto is initialized as a in memory
#	dto.
#

procedure	dto_createi (dt, name) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of dto

pointer dto				# pointer to data table object

begin

	call dto_malloc(dto)

	call dto_init(dto, TY_INT)

	call ls_add(DT_LS(dt), name, dto)

end


#
# dto_create[silrd]() creates and initializes a new data table
#	object with a given name. The data type is specified by
#	the function name. The dto is initialized as a in memory
#	dto.
#

procedure	dto_createl (dt, name) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of dto

pointer dto				# pointer to data table object

begin

	call dto_malloc(dto)

	call dto_init(dto, TY_LONG)

	call ls_add(DT_LS(dt), name, dto)

end


#
# dto_create[silrd]() creates and initializes a new data table
#	object with a given name. The data type is specified by
#	the function name. The dto is initialized as a in memory
#	dto.
#

procedure	dto_creater (dt, name) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of dto

pointer dto				# pointer to data table object

begin

	call dto_malloc(dto)

	call dto_init(dto, TY_REAL)

	call ls_add(DT_LS(dt), name, dto)

end


#
# dto_create[silrd]() creates and initializes a new data table
#	object with a given name. The data type is specified by
#	the function name. The dto is initialized as a in memory
#	dto.
#

procedure	dto_created (dt, name) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of dto

pointer dto				# pointer to data table object

begin

	call dto_malloc(dto)

	call dto_init(dto, TY_DOUBLE)

	call ls_add(DT_LS(dt), name, dto)

end




#
# dto_init initializes a new data table object.
#

procedure	dto_init (dto, type) #I

pointer dto				#I pointer to data table object
int	type				#I data type 

begin

	DTO_TYPE(dto) = DTO_MEMORY
	DTO_DTYPE(dto) = type
	DTO_STATE(dto) = INDEFI
	DTO_GBP(dto) = 1
	DTO_PBP(dto) = 1
	DTO_GFP(dto) = 1
	DTO_PFP(dto) = 1
	DTO_NELMS(dto) = 0
	DTO_BMARK(dto) = 0
	DTO_PAGESZ(dto) = DEF_DTO_PAGESZ

	DTO_USR(dto) = NULL
	DTO_UREL(dto) = NULL

	DTO_IO(dto) = NULL
	DTO_IOREL(dto) = NULL
	DTO_READ(dto) = NULL
	DTO_WRITE(dto) = NULL

	DTO_BUF_LEN(dto) = 0
	DTO_BUF_PTR(dto) = NULL

end

