# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtodel.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtodel.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:41 by akeith
# H-
# 
#


#       Version: @(#)dtodel.x	1.1 3/30/94 UCB CEA EGO

include "dt.h"
include "dto.h"

#
# dto_del deletes a data table object from a data table. If
#	the dto is marked a special data set within the
#	data table, it is unmarked. If a user defined pointer
#	exist, the user defined release function is called.
#	If a user defined io pointer exist, the io release
#	function is called. To flush any data which may remain
#	in the io buffer dto_flush() is called.
#

procedure	dto_del (dt, name) #E

pointer dt				#O pointer to data table
char	name[ARB]			#I name of dto

pointer dto

begin
	if(dt == NULL) return
	call ls_delete(DT_LS(dt), name, dto)
	call dto_destory(dto)
end

