# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtpbuf.gx
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtpbuf.gx -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:53 by akeith
# H-
# 
#


#       Version: @(#)dtpbuf.gx	1.1 3/30/94 UCB CEA EGO

include	"dt.h"
include	"dto.h"


#
# dt_pbuf[silrd]() puts an array of elements into the named dto.
#	The user number of elements are written from the current
#	file position. The current file position
#	is updated upon each put. The current file position is
#	initialized to EOF for the first call to dt_pbuf[silrd]().
#	The buffer used to write the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

procedure	dt_pbufs(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
short	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table obj

begin
	call ls_get(DT_LS(dt), name, dto)

	if(dto == NULL)
		call error(1, "dt_pbuf(): Invalid dto.")

	call dto_pbufs(dto, ubuf, unelms)
end


#
# dt_pbuf[silrd]() puts an array of elements into the named dto.
#	The user number of elements are written from the current
#	file position. The current file position
#	is updated upon each put. The current file position is
#	initialized to EOF for the first call to dt_pbuf[silrd]().
#	The buffer used to write the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

procedure	dt_pbufi(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
int	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table obj

begin
	call ls_get(DT_LS(dt), name, dto)

	if(dto == NULL)
		call error(1, "dt_pbuf(): Invalid dto.")

	call dto_pbufi(dto, ubuf, unelms)
end


#
# dt_pbuf[silrd]() puts an array of elements into the named dto.
#	The user number of elements are written from the current
#	file position. The current file position
#	is updated upon each put. The current file position is
#	initialized to EOF for the first call to dt_pbuf[silrd]().
#	The buffer used to write the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

procedure	dt_pbufl(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
long	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table obj

begin
	call ls_get(DT_LS(dt), name, dto)

	if(dto == NULL)
		call error(1, "dt_pbuf(): Invalid dto.")

	call dto_pbufl(dto, ubuf, unelms)
end


#
# dt_pbuf[silrd]() puts an array of elements into the named dto.
#	The user number of elements are written from the current
#	file position. The current file position
#	is updated upon each put. The current file position is
#	initialized to EOF for the first call to dt_pbuf[silrd]().
#	The buffer used to write the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

procedure	dt_pbufr(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
real	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table obj

begin
	call ls_get(DT_LS(dt), name, dto)

	if(dto == NULL)
		call error(1, "dt_pbuf(): Invalid dto.")

	call dto_pbufr(dto, ubuf, unelms)
end


#
# dt_pbuf[silrd]() puts an array of elements into the named dto.
#	The user number of elements are written from the current
#	file position. The current file position
#	is updated upon each put. The current file position is
#	initialized to EOF for the first call to dt_pbuf[silrd]().
#	The buffer used to write the values should be of the data type
#	specified by the routine name suffix. Type conversion will
#	be performed if the data type of a column in the table does
#	not match.
#

procedure	dt_pbufd(dt, name, ubuf, unelms) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I name of dto
double	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

pointer	dto				# pointer to data table obj

begin
	call ls_get(DT_LS(dt), name, dto)

	if(dto == NULL)
		call error(1, "dt_pbuf(): Invalid dto.")

	call dto_pbufd(dto, ubuf, unelms)
end



