# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtphdr.gx
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtphdr.gx -r1.2 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/09/94   akeith	added type bool to generic list
# 	03/30/94   akeith	date and time created 94/03/30 14:11:54 by akeith
# H-
# 
#


#       Version: @(#)dtphdr.gx	1.2 4/9/94 UCB CEA EGO

include "dt.h"


#
# dt_phdr$t()
#

procedure	dt_phdrb(dt, name, value) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
bool	value				#I value to store

pointer	item				# item
errchk	ls_add()

begin
	call item_new_b(item, value)
	call ls_add(DT_HDR(dt), name, item)
end

#
# dt_phdr$t()
#

procedure	dt_phdrd(dt, name, value) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
double	value				#I value to store

pointer	item				# item
errchk	ls_add()

begin
	call item_new_d(item, value)
	call ls_add(DT_HDR(dt), name, item)
end

#
# dt_phdr$t()
#

procedure	dt_phdrr(dt, name, value) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
real	value				#I value to store

pointer	item				# item
errchk	ls_add()

begin
	call item_new_r(item, value)
	call ls_add(DT_HDR(dt), name, item)
end

#
# dt_phdr$t()
#

procedure	dt_phdrs(dt, name, value) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
short	value				#I value to store

pointer	item				# item
errchk	ls_add()

begin
	call item_new_s(item, value)
	call ls_add(DT_HDR(dt), name, item)
end

#
# dt_phdr$t()
#

procedure	dt_phdrl(dt, name, value) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
long	value				#I value to store

pointer	item				# item
errchk	ls_add()

begin
	call item_new_l(item, value)
	call ls_add(DT_HDR(dt), name, item)
end

#
# dt_phdr$t()
#

procedure	dt_phdri(dt, name, value) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
int	value				#I value to store

pointer	item				# item
errchk	ls_add()

begin
	call item_new_i(item, value)
	call ls_add(DT_HDR(dt), name, item)
end

#
# dt_phdr$t()
#

procedure	dt_phdrc(dt, name, value) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
char	value				#I value to store

pointer	item				# item
errchk	ls_add()

begin
	call item_new_c(item, value)
	call ls_add(DT_HDR(dt), name, item)
end



#
# dt_phdrp()
#

procedure	dt_phdrp(dt, name, value) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
pointer	value				#I value to store

pointer	item				# item
errchk	ls_add()

begin
	call item_new_p(item, value)
	call ls_add(DT_HDR(dt), name, item)
end


#
# dt_phdrt()
#

procedure	dt_phdrt(dt, name, value) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
char	value[ARB]			#I value to store

pointer	item				# item
errchk	ls_add()

begin
	call item_new_string(item, value)
	call ls_add(DT_HDR(dt), name, item)
end

