# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtset.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtset.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:58 by akeith
# H-
# 
#


#       Version: @(#)dtset.x	1.1 3/30/94 UCB CEA EGO

include <dtset.h>
include "dt.h"

define	DT_DEFAULT -128

#
# dt_set[bdilrspt] sets the value of a particular parameter stored within
#       the data table.
#


procedure	dt_setb (dt, dt_param, value) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to be set
bool	value				#I new value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:  call error(1, "dt_set(): No such parameter.")

	}

end


#
# dt_set[bdilrspt] sets the value of a particular parameter stored within
#       the data table.
#

procedure	dt_setd (dt, dt_param, value) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to be set
double	value				#I new value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:  call error(1, "dt_set(): No such parameter.")

	}

end


#
# dt_set[bdilrspt] sets the value of a particular parameter stored within
#       the data table.
#

procedure       dt_seti (dt, dt_param, value) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to be set
int	value				#I new value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:  call error(1, "dt_set(): No such parameter.")

	}

end


#
# dt_set[bdilrspt] sets the value of a particular parameter stored within
#       the data table.
#

procedure	dt_setl (dt, dt_param, value) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to be set
long	value				#I new value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:  call error(1, "dt_set(): No such parameter.")

	}

end


#
# dt_set[bdilrspt] sets the value of a particular parameter stored within
#       the data table.
#

procedure	dt_setp (dt, dt_param, value) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to be set
pointer	value				#I new value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:  call error(1, "dt_set(): No such parameter.")

	}

end


#
# dt_set[bdilrspt] sets the value of a particular parameter stored within
#       the data table.
#

procedure	dt_setr (dt, dt_param, value) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to be set
real	value				#I new value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:  call error(1, "dt_set(): No such parameter.")

	}

end


#
# dt_set[bdilrspt] sets the value of a particular parameter stored within
#       the data table.
#

procedure	dt_sets (dt, dt_param, value) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to be set
short	value				#I new value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:  call error(1, "dt_set(): No such parameter.")

	}

end


#
# dt_set[bdilrspt] sets the value of a particular parameter stored within
#       the data table.
#

procedure	dt_sett (dt, dt_param, value) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to be set
char	value[ARB]			#I new value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:  call error(1, "dt_set(): No such parameter.")

	}

end

