
#       Version: @(#)symget.ggx	1.1 3/30/94 UCB CEA EGO

include "dto.h"



#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_sgets(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
short	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_scpys()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_scpys(DTO_BUFS(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_igets(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
short	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_icpys()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_icpys(DTO_BUFI(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_lgets(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
short	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_lcpys()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_lcpys(DTO_BUFL(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_rgets(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
short	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_rcpys()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_rcpys(DTO_BUFR(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_dgets(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
short	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_dcpys()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_dcpys(DTO_BUFD(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end



#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_sgeti(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
int	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_scpyi()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_scpyi(DTO_BUFS(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_igeti(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
int	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_icpyi()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_icpyi(DTO_BUFI(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_lgeti(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
int	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_lcpyi()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_lcpyi(DTO_BUFL(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_rgeti(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
int	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_rcpyi()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_rcpyi(DTO_BUFR(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_dgeti(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
int	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_dcpyi()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_dcpyi(DTO_BUFD(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end



#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_sgetl(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
long	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_scpyl()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_scpyl(DTO_BUFS(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_igetl(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
long	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_icpyl()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_icpyl(DTO_BUFI(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_lgetl(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
long	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_lcpyl()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_lcpyl(DTO_BUFL(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_rgetl(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
long	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_rcpyl()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_rcpyl(DTO_BUFR(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_dgetl(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
long	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_dcpyl()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_dcpyl(DTO_BUFD(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end



#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_sgetr(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
real	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_scpyr()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_scpyr(DTO_BUFS(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_igetr(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
real	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_icpyr()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_icpyr(DTO_BUFI(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_lgetr(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
real	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_lcpyr()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_lcpyr(DTO_BUFL(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_rgetr(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
real	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_rcpyr()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_rcpyr(DTO_BUFR(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_dgetr(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
real	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_dcpyr()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_dcpyr(DTO_BUFD(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end



#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_sgetd(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
double	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_scpyd()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_scpyd(DTO_BUFS(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_igetd(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
double	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_icpyd()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_icpyd(DTO_BUFI(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_lgetd(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
double	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_lcpyd()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_lcpyd(DTO_BUFL(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_rgetd(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
double	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_rcpyd()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_rcpyd(DTO_BUFR(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end

#
# sym_[silrd]get[silrd]() get an array of elements from a symbolic
#	dto.
#

int	procedure	sym_dgetd(dto, ubuf, unelms) #I

pointer	dto				#I pointer to data table obj
double	ubuf[ARB]			#O usr buffer
int	unelms				#I usr number of elements

int	up				# user position
int	nelms_avail			# nelms avalible
int	get_nelms			# nelms to get
int	nelms_got			# nelms got
int	nelms_cpyd			# nelms copied

int	dto_fillbuf()
int	buf_dcpyd()

begin

	call dto_flush(dto)	# Only for a state of put.

	if(DTO_STATE(dto) == INDEFI) {

		DTO_BUF_LEN(dto) = DTO_PAGESZ(dto)
		call calloc(DTO_BUF_PTR(dto), DTO_BUF_LEN(dto), DTO_DTYPE(dto))

	}

	DTO_STATE(dto) = DTO_GET

	up = 1
	get_nelms = unelms
	nelms_got = 0

	repeat {

		nelms_avail = dto_fillbuf(dto)
		nelms_cpyd = buf_dcpyd(DTO_BUFD(dto), DTO_GBP(dto),
				nelms_avail, ubuf, up, get_nelms)

		get_nelms = get_nelms - nelms_cpyd
		nelms_got = nelms_got + nelms_cpyd
		DTO_GFP(dto) = DTO_GFP(dto) + nelms_cpyd

	} until(get_nelms == 0 || nelms_avail == 0)

	return(nelms_got)

end


