# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  edgopen1.x
# 	Author	:  ericco
# 	Date	:  10/29/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) edgopen1.x -r1.3 10/29/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/28/92   akeith	put in debug statements
# 	10/29/91   ericco	date and time created 91/10/29 14:35:38 by ericco
# H-
# 
#

#	Revised:	9/28/92

include	<edata.h>
include <dbg.h>

#	Open a singleton group

procedure	ed_gopen1 (ed, name, grp)

pointer		ed		#I data
char		name[ARB]	#I column name
pointer		grp		#O group pointer

pointer		tp
pointer		time

pointer		col
long		tn
pointer		new

begin

DEBUG(
	call dbg_printf("ed_gopen1,func", "ed_gopen1() column name = %s\n")
	call pargstr(name)
)

  call edgtc(ed, name, tn, col)
  tp = VEC_ELEMENT(ED_TABLE_PTR(ed), tn)
  time = VEC_ELEMENT(ED_TIMES(ed), tn)

  call ev_new(new, long(2))
  VEC_ELEMENT(new, 1) = VEC_ELEMENT(ED_COLUMN(ed), col)
  VEC_ELEMENT(new, 2) = VEC_ELEMENT(ED_COLUMN(ed), time)

  call er_gopen (tp, VEC_ELEMENT(new,1), VEC_SIZE(new), long(2), grp)
  call ev_free(new)

end

#	Get the current value of the group

procedure	ed_gcvd(grp, value) # get current value

pointer		grp			#I group data
double		value			#O data value

begin
  call er_ghid(grp, long(1), value)
end

#	Get the current time value of the group
procedure	ed_gctd(grp, value) # get current value
pointer		grp			#I group data
double		value			#O data value

begin
  call er_ghid(grp, long(2), value)
end

