# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  eddorders.x
# 	Author	:  ericco
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) eddorders.x -r1.1 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/30/92   ericco	date and time created 92/04/30 00:26:50 by ericco
# H-
# 
#

#	Return the sum of the effective areas for a detector.
procedure	edd_ea_sum (dd, wavelength, ea, len)
pointer		dd			#I detector
pointer		wavelength		#O wavelengths
pointer		ea			#O effective areas
int		len			#O output length

int		orders
pointer		wl1, wl2
pointer		ea1, ea2
int		len1, len2
int		i

begin
  call edd_ea_orders(dd, orders)
  if (orders == 0) {
    wavelength = 0
    ea = 0
    len = 0
  } else {
    call edd_order(dd, 1, len, wl1, ea1)
    call malloc(wavelength, len, TY_REAL)
    call amovr(Memr[wl1], Memr[wavelength], len)
    call malloc(ea, len, TY_REAL)
    call amovr(Memr[ea1], Memr[ea], len)
    do i = 2, orders {
      call edd_order(dd, i, len1, wl1, ea1)
      call plf_arith(wl1, ea1, len1, wavelength, ea, len, '+', wl2, ea2, len2)
      call mfree(wavelength, TY_REAL)
      call mfree(ea, TY_REAL)
      wavelength = wl2
      ea = ea2
      len = len2
    }
  }
end
