# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  ekclose.x
# 	Author	:  ericco
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) ekclose.x -r1.1 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/30/92   ericco	date and time created 92/04/30 00:35:58 by ericco
# H-
# 
#

include	"ek.h"

#	Release keyboard access resources
procedure	ek_close (ek)
pointer		ek

int		i

begin
  if (ek == 0) return

  if (EK_DIRTY(ek) != 0) {
    # should write out modified file
    i = 0
  }
  if (EK_HASH(ek) != 0) {
    call hash_close(EK_HASH(ek))
  } else {
    do i = 1, EK_BINDINGS_LEN(ek) {
      call mfree(EK_BINDINGS(ek,i), TY_CHAR)
    }
    call mfree(EK_BINDINGS_PTR(ek), TY_LONG)
  }

  call mfree(EK_FILE_PTR(ek), TY_CHAR)
  call ek_free(ek)
  ek = 0
end
