# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtgfield.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtgfield.x -r1.4 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	12/18/92   akeith	put in error checking
# 	09/28/92   akeith	put in debug statements
# 	10/29/91   ericco	changed from stack to heap space
# 	05/07/91   ericco	date and time created 91/05/07 14:09:20 by ericco
# H-
# 
#

#	Revised: 12/18/92
include <error.h>

#	Get a field id from a text database

procedure	dtgfield (dt, rec, label, field) # get field id

pointer		dt		#I text database
int		rec		#I record id
char		label[ARB]	#I field label
long		field		#O field id

pointer		tmp

begin

	iferr( call dtgptr(dt, rec, label, tmp) ) {
		call eprintf("\nUnable to find %s.\n")
		call pargstr(label)
		field = INDEFL
	} else {
		call eb_fieldid(Memc[tmp], field)
	}
	call eu_mfree(tmp, TY_CHAR)

end
