# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtgptr.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtgptr.x -r1.5 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/24/93   ericco	fixed up error handling
# 	12/18/92   akeith	put in error checking
# 	09/28/92   akeith	put in debug statements
# 	05/07/91   ericco	date and time created 91/05/07 14:09:24 by ericco
# H-
# 
#

#	Revised: 3/24/93

#	Read a string from a text data field and return
#	a pointer to it.  The string is allocated in heap
#	space.

include <error.h>

procedure	dtgptr (dt, record, label, ptr)	# read new string from db

pointer		dt				#I text database
int		record				#I record descriptor
char		label[ARB]			#I field label
pointer		ptr				#O new string pointer

pointer		sp
pointer		buf

int		errcode()

begin

	call smark(sp)
	call salloc(buf, 1024, TY_CHAR)

	if (label[1] == EOS) {
		call gargwrd (Memc[buf], 1024)
		call eu_newstr(Memc[buf], ptr)
	} else {
		iferr( call dtgstr(dt, record, label, Memc[buf], 1024) ) {
			call sprintf(Memc[buf], ARB, "Unable to find %s.")
			call pargstr(label)
			call error(errcode(),Memc[buf])
			ptr = NULL
		} else call eu_newstr(Memc[buf], ptr)
	}

	call sfree(sp)

end

