# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtgtype.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtgtype.x -r1.5 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	12/18/92   akeith	put in error checking
# 	09/28/92   akeith	put in debug statements
# 	10/29/91   ericco	added eu_malloc calls
# 	05/07/91   ericco	date and time created 91/05/07 14:09:29 by ericco
# H-
# 
#

#	Revised: 12/18/92

include	"ep.h"
include <error.h>

#	Get the EUV record type of a record.
#	This follows indirect record to their
#	final actual record.  This restricts indirect
#	records to be located in the same database as
#	the actual record.

procedure	dtgtype(dt, rec, type) # get record type

pointer		dt			#I data base
int		rec			#I record descriptor
int		type			#O process type

pointer		ptr
int		dtlocate()

begin

	repeat {

		iferr( call ep_gdtype(dt, rec, type) ) {
			call erract(EA_ERROR)
		}
		if (type != EP_INDIRECT) return

		iferr( call dtgptr(dt, rec, "Name", ptr) ) {
			call erract(EA_ERROR)
			type = 0
			return
		} else {
			rec = dtlocate(dt, Memc[ptr])
			call eu_mfree(ptr, TY_CHAR)
		}

	}

end

