# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  epgdtype.x
# 	Author	:  ericco
# 	Date	:  12/18/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) epgdtype.x -r1.2 12/18/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/12/94   akeith	took out debug statements
# 	12/18/92   ericco	date and time created 92/12/18 22:47:05 by ericco
# H-
# 
#

include <pkg/dttext.h>
include	"ep.h"

define	MARK	"Type"

#	Get a text db record type

procedure	ep_gdtype (dt, record, type) #E
pointer		dt		#I data base
int		record		#I record number
int		type		#O type id

pointer		sp
pointer		buf

int		strdic()
char		junk[1]

errchk		dtgstr()

begin
  call smark(sp)
  call salloc(buf, SZ_LINE, TY_CHAR)

  iferr {call dtgstr(dt, record, MARK, Memc[buf], SZ_LINE)} then {
    type = 0
    call sprintf(Memc[buf], SZ_LINE, "Record %s has no Type information")
    call pargstr(DT_NAME(dt,record))
    call error(0, Memc[buf])
  } else {
    type = strdic(Memc[buf], junk, 1, PROC_DICT)
  }

  call sfree(sp)
end
