# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  ercol.h
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) ercol.h -r1.2 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	06/19/91   ericco	added raw data type to column structure
# 	05/07/91   ericco	date and time created 91/05/07 14:10:48 by ericco
# H-
# 
#

#	Revised: 6/19/91

#	EUV Column information

define	EC_TP		VEC_ELEMENT($1,1)	# table pointer
define	EC_CP		VEC_ELEMENT($1,2)	# column pointer
define	EC_ROWS		VEC_ELEMENT($1,3)	# rows in table
define	EC_ROW		VEC_ELEMENT($1,4+($2))	# rows in cache
define	EC_DATA_TYPE	VEC_ELEMENT($1,7)	# data type
define	EC_DATA		VEC_ELEMENT($1,8)	# data pointer
define	EC_TIME_CP	VEC_ELEMENT($1,9)	# time column pointer
define	EC_RDATA_TYPE	VEC_ELEMENT($1,10)	# raw data type

define	EC_LENGTH	long(10)


define	EC_LO_OFFSET	0
define	EC_HI_OFFSET	1
define	EC_TMP_OFFSET	2

define	EC_LO_ROW	EC_ROW($1, EC_LO_OFFSET)
define	EC_HI_ROW	EC_ROW($1, EC_HI_OFFSET)
define	EC_TMP_ROW	EC_ROW($1, EC_TMP_OFFSET)

define	EC_DATUM	(EC_DATA($1)+$2)
define	EC_LO_DATA	EC_DATUM($1, EC_LO_OFFSET)
define	EC_HI_DATA	EC_DATUM($1, EC_HI_OFFSET)
define	EC_TMP_DATA	EC_DATUM($1, EC_TMP_OFFSET)
