# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  addqphist.x
# 	Author	:  tnk
# 	Date	:  01/13/97
# 	Synopsis:  
# 	Keywords:
# 		@(#) addqphist.x -r1.2 01/13/97 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/22/97   tnk	put newline after added history string
# 	01/13/97   tnk	date and time created 97/01/13 13:54:51 by tnk
# H-
# 
#


# @(#)addqphist.x	1.2 2/22/97

include <qpset.h>

define HISTORY "history"
define MAXHIST  4096

#
# append string to qpoe history.
# if history record does not exist, it's created.
#
procedure add_qp_hist(outqp, str)  
pointer outqp		#I/O output qpoe file
char    str[ARB]	#I history string

pointer sp
pointer hist
int qp_accessf()

begin

  call smark(sp)

  call salloc(hist, MAXHIST, TY_CHAR)

  # add history comment 

  if (qp_accessf(outqp, HISTORY) == YES)
  {
	# read old string
	call qp_gstr(outqp, HISTORY, Memc[hist], MAXHIST)
  }
  else
  {
	# create new entry
	call qp_addf(outqp, HISTORY, "char", 0, "new history", QPF_INHERIT)
        call strcpy("",Memc[hist],MAXHIST)
  }

  call strcat(str, Memc[hist], MAXHIST)
  call strcat("\n", Memc[hist], MAXHIST)
  call qp_astr(outqp, HISTORY, Memc[hist])

  call sfree(sp)

end

