# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  crfname.x
# 	Author	:  tnk
# 	Date	:  04/28/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) crfname.x -r1.1 04/28/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/28/94   tnk	date and time created 94/04/28 12:20:26 by tnk
# H-
# 
#

# @(#)crfname.x	1.1 4/28/94

include <tbset.h>

# from "detector" reference table

define COLLRESP_COL           "collresp"

#------------------------------------------------------
# given detector name, return collimator response filename
# name search is case insensitive
#
procedure collresp_fname(tp,det_name,resp_file,maxch)
pointer tp               #I   table pointer
char    det_name[ARB]    #I   detector name
char    resp_file[ARB] #O   collimator response filename
int     maxch            #I   

# LOCAL VARS
pointer collresp_cp        # detector number column pointer
int     row              # current row no.
pointer sp

begin

  call smark(sp)

  # lookup detector name, find row
  call dnam2row(tp, det_name, row)
  if (row <= 0 )
     call error(620,"invalid detector")

  # get column pointers
  call tbcfnd (tp, COLLRESP_COL,  collresp_cp, 1)  
  if (collresp_cp == NULL) {
    call error(650,"Could not find columns in detector file")
  }

  call tbegttn(tp, collresp_cp, row, resp_file,maxch)

  call sfree(sp)

end


