# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  debands.x
# 	Author	:  tnk
# 	Date	:  09/02/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) debands.x -r1.3 09/02/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	10/26/94   tnk	changed data band default
# 	09/13/94   akeith	takes image pointer not image filename
# 	09/02/94   tnk	date and time created 94/09/02 16:44:26 by tnk
# H-
# 
#

# @(#)debands.x	1.3 10/26/94

include <imhdr.h>

#-------------------------------------------
# get data and error (sigma) band numbers from an image
procedure de_bands(im,datband,errband)
pointer im            #I image pointer
int  datband          #O data band number
int  errband          #O error band number

int     imhdfnd()

begin

   datband=1
   errband=-1

   # ndim must be at least 3 to use bandid cards
   if (IM_NDIM(im) >= 3)
   {
      datband = imhdfnd(im,"BANDID*","spectrum")
      if (datband < 0)
      {    
         datband = imhdfnd(im,"BANDID*","data")
      }
      errband = imhdfnd(im,"BANDID*","sigma")
   }

end

#-------------------------------------------
