# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  epsiloncmp.x
# 	Author	:  tnk
# 	Date	:  05/02/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) epsiloncmp.x -r1.2 05/02/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/02/94   tnk	added sccs keywords
# 	05/02/94   tnk	date and time created 94/05/02 13:29:43 by tnk
# H-
# 
#

# @(#)epsiloncmp.x	1.2 5/2/94 UCB CEA EGO

#---------------------------------------------------

# equal comparison within the value epsilon
#
bool procedure eq_epsilon(a,b,epsilon)       #LOCAL

double a             #I first value to compare
double b             #I second value to compare
double epsilon       #I comparsion epsilon value

# LOCAL VARS
bool status          # return status

begin

   status = false

   if (abs(a - b) < epsilon) status = true

return(status)

end
#------------------------------------------------------------

# less-than comparison to within the value epsilon
#
bool procedure lt_epsilon(a,b,epsilon)    #LOCAL

double a             #I first value to compare
double b             #I second value to compare
double epsilon       #I comparsion epsilon value

# LOCAL VARS
bool status          # return status

# FUNCTIONS
bool eq_epsilon()

begin

   status = false

   if ( ! eq_epsilon(a,b,epsilon) ) {
      # we know they're more than epsilon apart, so do regular '<' compare
      if (a  <  b) status = true
   }

return(status)

end
#------------------------------------------------------------

# greater_than/equal comparison using the value epsilon
#
bool procedure ge_epsilon(a,b,epsilon)           #LOCAL

double a             #I first value to compare
double b             #I second value to compare
double epsilon       #I comparsion epsilon value

# LOCAL VARS
bool status          # return status

# FUNCTIONS
bool eq_epsilon()

begin

   status = false

   # if a and b are equal (within epsilon) then we're fine.
   # if they're not within epsilon, then regular `>' should be ok

   if ( eq_epsilon(a,b,epsilon) || a > b) status = true

return(status)

end
