# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  eufree.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) eufree.x -r1.6 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/28/92   akeith	put in debug statements
# 	08/19/92   ericco	updated to dbg library
# 	08/19/92   ericco	update with dbg library
# 	10/29/91   ericco	added debug flag
# 	05/07/91   ericco	date and time created 91/05/07 14:13:46 by ericco
# H-
# 
#

#	Revised: 9/28/92

include <dbg.h>

#	just another name for eu_free
procedure	eu_mfree (ptr, type) # free heap space
pointer		ptr		#I pointer
int		type		#I pointer type

begin
  call eu_free(ptr, type)
end

#	careful free
procedure	eu_free (ptr, type) # free heap space
pointer		ptr		#I pointer
int		type		#I pointer type

include	<szdtype.inc>

begin
  if (ptr != 0) {

    DEBUG(
	  call dbg_printf("eu_free,mem", "Freed bytes at %d\n")
	  call pargi((ptr-1)*2*ty_size[type])
	  call pargi((ptr-1)*2*ty_size[type])
	  )

    call mfree (ptr, type)
  }
end
