# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  eumalloc.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) eumalloc.x -r1.6 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/07/94   akeith	removed eu_realloc which is in eurealloc.x
# 	09/28/92   akeith	put in debug statements
# 	08/19/92   ericco	updated to dbg library
# 	10/29/91   ericco	added malloc debug flag and eu_realloc
# 	05/07/91   ericco	date and time created 91/05/07 14:13:51 by ericco
# H-
# 
#

#	Revised: 9/7/94

include	<dbg.h>

#	Adjust malloc debug statements
procedure	eu_dbg (level)
int		level		#I debug level for malloc

begin
end

#	Careful malloc with error message
procedure	eu_malloc (ptr, length, type) # alloc memory
pointer		ptr		#O pointer
int		length		#I length
int		type		#I type

errchk		malloc
include	<szdtype.inc>

begin
  iferr (call malloc (ptr, length, type)) {
    ptr = NULL
    call error (0, "Out of Memory")
  }
  DEBUG(
	call dbg_printf("eu_malloc,mem", "Allocated %d bytes at %d\n")
	call pargi(length*2*ty_size[type])
	call pargi((ptr-1)*2*ty_size[type])
	)
end

