# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  eupart.x
# 	Author	:  ericco
# 	Date	:  10/29/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) eupart.x -r1.3 10/29/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	08/11/93   ericco	removed int return value (which wasn't used anyway)
# 	06/29/92   ericco	added newlines to white space
# 	10/29/91   ericco	date and time created 91/10/29 16:21:01 by ericco
# H-
# 
#

#	Revised: 8/11/93
#	Split a string pointer into several parts

include	<ctype.h>

define	IS_SPACE ($1==' '||$1=='\n'||$1=='\t')

#	Split a single long string into several words.
#	Also trim off white space.
procedure	eupart(res, argc, argv) # trim white space
pointer	res				#I/O string buffer
int	argc				#I/O max number of words
pointer	argv[argc]			#I/O pointers to words

int	ws, ac
pointer	ip

begin
  ws = 1
  ac = 0
  for (ip = res; Memc[ip] != EOS; ip = ip + 1) {
    if (IS_SPACE(Memc[ip])) {
      if (ws == 0) {
	ws = 1
	Memc[ip] = EOS
      }
    } else if (ws != 0) {
      ws = 0
      ac = ac + 1
      if (ac > argc) break
      argv[ac] = ip
    }
  }
  argc = ac
end
