# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  fitskeyval.x
# 	Author	:  tnk
# 	Date	:  09/12/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) fitskeyval.x -r1.1 09/12/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/12/94   tnk	date and time created 94/09/12 14:03:40 by tnk
# H-
# 
#

# @(#)fitskeyval.x	1.1 9/12/94 UCB CEA EGO

define KEYLEN 8

#-----------------------------
# get FITS keyword & value from line
#
bool procedure fits_key_val(line,key,value,maxvalue)
char line[ARB]   #I line
char key[ARB]    #O card key
char value[ARB]  #O card value
int  maxvalue    #I length of value buffer

int strlen()
int len, i, j
bool result

begin

   # pull out each FITS keyword & value
   result = false
   len=strlen(line)
   if (len >= KEYLEN) 
   {
      for (i=1; i<=KEYLEN; i=i+1)
      {
          key[i]=line[i]
          if (key[i] == ' ')
             break
      }
      key[i]=EOS

      # skip over '= ' or <sp><sp>, get rest of line
      j=1
      for (i=KEYLEN+3; i<=len; i=i+1)
      {
          value[j]=line[i]
          j=j+1
          if (j == maxvalue)
             break
      }
      value[j]=EOS

      result=true

   }

   return(result)

end
