# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  trimwhite.x
# 	Author	:  tnk
# 	Date	:  07/19/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) trimwhite.x -r1.2 07/19/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/08/96   gareth	added trimming at front and back of strings
# 	07/19/93   tnk	date and time created 93/07/19 14:47:14 by tnk
# H-
# 
#

# @(#)trimwhite.x	1.2 7/8/96 UCB CEA EGO


include <ctype.h>


# Trims white space charatcters from the beginning and end
# of the string. This operation is carried out in place.


procedure trimwhite ( str ) #I

char	str[ARB]		#I/O	The pointer to the beginning of the string



int	len		# The lenght of the string
int	i		# loop counter
int	strstart	# The position of the first non-white space char

int	strlen()


begin
  # Test for the number of leading white space

  strstart = 1
  while ( IS_WHITE(str[strstart]) && str[strstart] != EOS ) {
    strstart = strstart + 1
  }
  
  # Do we need to left justify the string in place ?
  if ( strstart != 1 ) {
    i=1
    while ( str[strstart + i - 1] != EOS ) {
      str[i]= str[i + strstart - 1]
      str[i + strstart - 1] = ' '
      i = i + 1
    }
  }
  
  # Traverse the string backwards to the first non white space

   len = strlen(str)
   for (i=len; i>=1; i=i-1) {
      if (IS_WHITE(str[i]))
         str[i] = EOS
      else
         break
   }

	
end
