# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  gtcload.x
# 	Author	:  akeith
# 	Date	:  04/28/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) gtcload.x -r1.1 04/28/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/28/92   akeith	date and time created 92/04/28 11:41:57 by akeith
# H-
# 
#

#  Date last modified: 4/28/92

include <gt.h>

#
# gt_cload loads a good time column.
#

procedure	gt_cload(gt_ptr, col_name, buff, length)

pointer	gt_ptr					#O good time structure pointer
char	col_name[ARB]				#I ST column name
pointer buff					#O buff pointer
int	length					#I length of buff

pointer	col_ptr					# column pointer

pointer sp					# stack pointer
pointer null_ptr				# null indicator pointer

begin

#	call fprintf(STDERR,"\n gt_cload() \n")

	if(gt_ptr == NULL) return

	call smark(sp)
	call salloc(null_ptr, GT_SGT_LEN(gt_ptr), TY_BOOL)

	call tbcfnd(GT_TBPTR(gt_ptr), col_name, col_ptr, 1)

	if(col_ptr == NULL) {
		call fprintf(STDERR,"\nERROR: column name not found. \n")
		return
	}

	call tbcgtd(GT_TBPTR(gt_ptr), col_ptr, Memd[buff], null_ptr, 1, length)

	call sfree(sp)

end

