# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  gtclose.x
# 	Author	:  akeith
# 	Date	:  04/28/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) gtclose.x -r1.1 04/28/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/28/92   akeith	date and time created 92/04/28 11:41:58 by akeith
# H-
# 
#

#  Date last modified: 4/28/92

include <gt.h>

#
# gt_close closes a good time structure pointer.
#

procedure	gt_close(gt_ptr)

pointer	gt_ptr					#O good time structure pointer

begin

#	call fprintf(STDERR,"\n gt_close() \n")

	if(gt_ptr == NULL) return

	if(GT_SGT_PTR(gt_ptr) != NULL) {
		call mfree(GT_SGT_PTR(gt_ptr), TY_DOUBLE)
		GT_SGT_PTR(gt_ptr) = NULL
		GT_SGT_LEN(gt_ptr) = 0
	}

	if(GT_EGT_PTR(gt_ptr) != NULL) {
		call mfree(GT_EGT_PTR(gt_ptr), TY_DOUBLE)
		GT_EGT_PTR(gt_ptr) = NULL
		GT_EGT_LEN(gt_ptr) = 0
	}

	call gt_free(gt_ptr)

	gt_ptr = NULL

end

