# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  gtgtimes.x
# 	Author	:  akeith
# 	Date	:  04/28/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) gtgtimes.x -r1.1 04/28/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/28/92   akeith	date and time created 92/04/28 11:41:59 by akeith
# H-
# 
#

#  Date last modified: 4/28/92

include <gt.h>

#
# gt_gtimes retrieves the start and end good time arrays.
#

procedure	gt_gtimes(gt_ptr, sgt, egt, frst, last)

pointer	gt_ptr					#I good time structure pointer
double	sgt[ARB]				#O start good times array
double	egt[ARB]				#O end good times array
int	frst					#I first value to get
int	last					#I last value to get

int	i

begin

#	call fprintf(STDERR,"\n gt_gtimes() \n")

	if(gt_ptr == NULL) {
		return
	}

	if ((frst > GT_SGT_LEN(gt_ptr)) || (last > GT_SGT_LEN(gt_ptr)))
		return

	do i = frst, last {
		sgt[i-frst+1] = GT_SGT(gt_ptr, i)
		egt[i-frst+1] = GT_EGT(gt_ptr, i)
	}

end

