# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  gtwrite.x
# 	Author	:  akeith
# 	Date	:  04/28/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) gtwrite.x -r1.3 04/28/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	06/29/94   akeith	fixed zero length gt list problem
# 	07/29/92   akeith	change the %d to %g on the column definition.
# 	04/28/92   akeith	date and time created 92/04/28 11:42:05 by akeith
# H-
# 
#

#  Date last modified: 6/29/94

include <gt.h>

#
# gt_write writes out a new good time table.
#

procedure	gt_write(gt_ptr, tb_name, status)

pointer	gt_ptr					#O good time structure pointer
char	tb_name[ARB]				#I ST table name
int	status					#O YES or NO

pointer tb					# ST table pointer

pointer stime					# column pointer to start time col.
pointer etime					# column pointer to end time col.
pointer buff					# buffer pointer

int tbtacc()
pointer tbtopn()

begin

#	call fprintf(STDERR,"\n gt_write() \n")

	status = NO
	if(gt_ptr == NULL) return

	if(GT_SGT_LEN(gt_ptr) < 1) return
	if(GT_EGT_LEN(gt_ptr) < 1) return
	if(tbtacc(tb_name) == YES) return

	iferr { tb = tbtopn(tb_name, NEW_FILE, 0) } then { return }

	call tbcdef (tb, stime, "stime", "", "%g", TY_DOUBLE, 1, 1)
	call tbcdef (tb, etime, "etime", "", "%g", TY_DOUBLE, 1, 1)

	call tbtcre(tb)

	if (stime != NULL && etime != NULL) {

		buff = GT_SGT_PTR(gt_ptr)
		call tbcptd(tb, stime, Memd[buff], 1, GT_SGT_LEN(gt_ptr))

		buff = GT_EGT_PTR(gt_ptr)
		call tbcptd(tb, etime, Memd[buff], 1, GT_EGT_LEN(gt_ptr))

	} else return

	call tbtclo(tb)
	status = YES

end

