# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  idiv.gx
# 	Author	:  tnk
# 	Date	:  03/02/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) idiv.gx -r1.1 03/02/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/02/93   tnk	date and time created 93/03/02 09:24:42 by tnk
# H-
# 
#

# @(#)idiv.gx	1.1 3/2/93

#
# divide 2 vectors with check for zero division and INDEF values
# c[i] = a[i]/b[i]

procedure idivd (a, b, c, n)     #EXTERNAL

double	a[ARB]  #I input vector
double   b[ARB]  #I input vector
double   c[ARB]  #O output vector
int	n       #I length of vectors

int	i

bool	fp_equald()

begin
  do i = 1, n {
	if (IS_INDEFD(a[i]) || IS_INDEFD(b[i])) {
	  c[i] = INDEFD	
	}	
	else if (fp_equald(b[i], 0.)) {
	  if (fp_equald(a[i], 0.)) {
		c[i] = 1.0
	  }
	  else {
		c[i] = INDEFD	
	  }	
	}			
	else {	
	  c[i] = a[i] / b[i]
	}
  }
end

