# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  nr_gammq.x
# 	Author	:  ericco
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) nr_gammq.x -r1.3 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	08/10/95   tnk	added copyright notice
# 	04/30/92   ericco	date and time created 92/04/30 01:54:38 by ericco
# H-
# 
#

#	Copyright (C) 1986 Numerical Recipes Software
#	gammq
#
#      FUNCTION GAMMQ(A,X)
#      IF(X.LT.0..OR.A.LE.0.)PAUSE
#      IF(X.LT.A+1.)THEN
#        CALL GSER(GAMSER,A,X,GLN)
#        GAMMQ=1.-GAMSER
#      ELSE
#        CALL GCF(GAMMQ,A,X,GLN)
#      ENDIF
#      RETURN
#      END

#	Numerical Receipes gamma function
int procedure	nr_gammq (a, x, value)
real		a		#I data
real		x		#I position
real		value		#O value

real		gamser
real		gln

int		nr_gser()
int		nr_gcf()

begin
  if (x <  0 || a <= 0) return NO

  if (x < a + 1.) {
    if (nr_gser(gamser, a, x, gln) == NO) return NO
    value = 1. - gamser
  } else {
    if (nr_gcf(value, a, x, gln) == NO) return NO
  }

  return YES
end
