# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  plfops.x
# 	Author	:  ericco
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) plfops.x -r1.3 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/02/93   gareth	added comments
# 	04/13/92   ericco	date and time created 92/04/13 14:08:36 by ericco
# H-
# 
#

#	Get first and last positions above a threshold
procedure	plf_limits(xs, ys, len, above, minx, maxx) #E
real		xs[len], ys[len]		#I plf
int		len				#I length
real		above				#I threshold
real		minx, maxx			#O range

int		i, j

begin
  minx = 0
  maxx = 0
  if (len == 0) return

  minx = xs[len]
  maxx = xs[1]
  for (i = 1; i <= len; i = i + 1) {
    minx = xs[i]
    if (ys[i] > above) {
      for (j = len; j >= i; j = j - 1) {
	if (ys[j] > above) {
	  maxx = xs[j]
	  return
	}
      }
    }
  }
end
