# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  plforder.x
# 	Author	:  ericco
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) plforder.x -r1.2 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   ericco	date and time created 92/04/13 14:08:37 by ericco
# H-
# 
#

#	Shift wavelengths by an order
procedure	plf_new_order(wavelength, ea, length, order, normp,
			      nwl, nea, nlen)
real		wavelength[length], ea[length]	#I plf
int		length				#I length
int		order				#I orders to shift
int		normp				#I normalize flag
pointer		nwl				#O plf
pointer		nea				#O plf
int		nlen				#O plf length

real		const

begin
  nlen = length
  call malloc(nea, nlen, TY_REAL)
  call malloc(nwl, nlen, TY_REAL)
  call amovr(ea, Memr[nea], nlen)
  const = 2 ** (-order)
  call amulkr(wavelength, const, Memr[nwl], nlen)
  if (normp != 0) {
    call amulkr(Memr[nea], 1/const, Memr[nea], nlen)
  }
end

