# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  plfrightget.x
# 	Author	:  ericco
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) plfrightget.x -r1.2 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   ericco	date and time created 92/04/13 14:16:22 by ericco
# H-
# 
#

# DATE 5/14/92
# PLF RIGHT GET
#
# INCLUDE FILES
#

# returns the right most point in a plf when there are more than one
# point in a vertical discontinuity. else returns the left most pt

procedure plf_right_get( x1, y1, length, i, right_value )

# AUTHOR : GARETH BEVAN
# HISTORY :
#
# IMPORT VARIABLES :
real x1[length], y1[length]                  #I PLF
int length                                   #I LENGTH OF PLF

# IMPORT/EXPORT VARIABLES :
int i                                        #I/O CURRENT POSITION IN PLF
# EXPORT VARIABLES :
bool right_value                             #O TRUE IF THERE IS MORE THAN
                                             # ONE POINT WITH THE SAME X VALUE

# LOCAL VARIABLES :
#############################################################################

begin
  right_value = false
  if ( x1[i] == x1[i+1] )
  {
    repeat
    {
      i = i + 1
    } until ( x1[i+1] != x1[i] )
    right_value = true
  }

end  # OF PROCEDURE PLF_RIGHT_GET
