# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  resample.x
# 	Author	:  ericco
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) resample.x -r1.2 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   ericco	date and time created 92/04/13 14:09:25 by ericco
# H-
# 
#

#	Resample an array
procedure	resample(a1, minx1, dx1, len1, a2, minx2, dx2, len2)
real		a1[len1], minx1, dx1	#I array, start, and dx
real		a2[len2], minx2, dx2	#O array, start, and dx
int		len1			#I length
int		len2			#O length

pointer		xs, ys
int		length

begin
  call plf_from_array(minx1, dx1, a1, len1, xs, ys, length)
  call plf_to_array(xs, ys, length, minx2, dx2, a2, len2)
  call mfree(xs, TY_REAL)
  call mfree(ys, TY_REAL)
end

