# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  spcgea.x
# 	Author	:  akeith
# 	Date	:  08/25/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) spcgea.x -r1.2 08/25/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	10/10/94   akeith	clean det string
# 	08/25/94   akeith	date and time created 94/08/25 14:21:10 by akeith
# H-
# 
#


#	Version: @(#)spcgea.x	1.2 10/10/94 UCB CEA EGO

include	<ctype.h>

#
# spc_gea()
#

procedure	spc_gea(ref, det, ea, maxlen, len)

char	ref[ARB]			#I
char	det[ARB]			#I
pointer ea[maxlen]			#O
int	maxlen				#I
int	len				#O

pointer	et
pointer	dd
pointer	sp, str

begin

	call smark(sp)
	call et_open(et, ref)
	if (et == NULL) {
		call eprintf("ERROR: Could not open reference table '%s'\n")
		call pargstr(ref)
		call error(122,"Error opening refdata")
	}

	call salloc(str, SZ_LINE, TY_CHAR)
	call spc_fixstr(det, Memc[str])

	call edd_new(dd, et, Memc[str])
	if (dd == NULL) {
		call eprintf("ERROR: Could not find information for detector '%s'\n")
		call pargstr(Memc[str])
		call error(124,"Invalid detector")
	}
 
	call get_ea_df(dd, ea, maxlen, len)
 
	call edd_close(dd)

	call et_close(et)
	call sfree(sp)

end


#
# spc_fixstr()
#

procedure	spc_fixstr(in, out)

char	in[ARB]			#I
char	out[ARB]		#I

int	i, j
begin

	i = 1
	out[i] = EOS
	while(IS_WHITE(in[i]) && in[i] != EOS) i = i + 1

	j = i - 1
	while(!IS_WHITE(in[i]) && in[i] != EOS) {
		out[i-j] = in[i]
		i = i + 1
	}
	out[i-j] = EOS
	call strlwr(out)

end

