# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  spcgerr.x
# 	Author	:  akeith
# 	Date	:  08/22/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) spcgerr.x -r1.2 08/22/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/14/94   akeith	works with new dfio
# 	08/22/94   akeith	date and time created 94/08/22 12:46:29 by akeith
# H-
# 
#


#	Version: @(#)spcgerr.x	1.2 9/14/94 UCB CEA EGO

include	<dfset.h>

#
# spc_gerr()
#

pointer	procedure	spc_gerr(spectrum, im)

pointer	spectrum		#I
pointer	im			#I

pointer	df, pd_rimg()		#
pointer	df_open()		#

int	band, imhdfnd()		#

begin

	band = imhdfnd(im, "BANDID*", "sigma")
	if(band < 0) {
		df = df_open(DF_PD, TY_DOUBLE, TY_DOUBLE)
		call df_mov(spectrum, df)
	} else {
		df = pd_rimg(im, 1, band)
		call df_pedge(df, 0.0d0, 0.0d0)
		call df_powk(df, 2, df)
		call df_dbw(df, df)
	}

	return(df)

end

