# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  spcmkmwcs.x
# 	Author	:  akeith
# 	Date	:  08/22/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) spcmkmwcs.x -r1.2 08/22/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	11/02/94   akeith	renamed wcs
# 	08/22/94   akeith	date and time created 94/08/22 12:46:30 by akeith
# H-
# 
#


#	Version: @(#)spcmkmwcs.x	1.2 11/2/94 UCB CEA EGO

#
# spc_mkmwcs()
#

procedure	spc_mkmwcs(img, xl, delta, ndim)

pointer	img			#I
double	xl			#I
double	delta			#I
int	ndim			#I

int	i, j
pointer	sp			#
pointer	r			#
pointer	w			#
pointer	cd			#

pointer mw, mw_open()		#

begin

#    Make the wcs for the output image.

	call smark(sp)
	call salloc(r, ndim, TY_DOUBLE)
	call salloc(w, ndim, TY_DOUBLE)
	call salloc(cd, ndim*ndim, TY_DOUBLE)

	do i = 0, ndim-1 {

		do j = 0, ndim-1
			Memd[cd+j*ndim+i] = 0.0

		Memd[r+i] = 1.0d0
		Memd[w+i] = 1.0d0
		Memd[cd+i*ndim+i] = 1.0d0

	}

	Memd[r] = 0.5
	Memd[w] = xl
	Memd[cd] = delta

	mw = mw_open(NULL, ndim)

	call mw_newsystem(mw, "equispec", ndim)

	call mw_swtermd(mw, Memd[r], Memd[w], Memd[cd], ndim)

	call mw_swtype(mw, 1, 1, "linear", "")

	call mw_swattrs(mw, 1, "units", "Angstrom")
        call mw_swattrs(mw, 1, "label", "Wavelength")

	call mw_saveim(mw, img)

	call mw_close(mw)

	call sfree(sp)

end

