# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  spcwrite.x
# 	Author	:  akeith
# 	Date	:  11/01/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) spcwrite.x -r1.2 11/01/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	11/02/94   akeith	fixed bad call
# 	11/01/94   akeith	date and time created 94/11/01 13:29:44 by akeith
# H-
# 
#


#	Version: @(#)spcwrite.x	1.2 11/2/94 UCB CEA EGO

include	<dfset.h>
include	<imhdr.h>

#
# spc_wspc() stores the spectrum in the image.
#

procedure	spc_wspc(out, fo_ea, exp_t, spectrum)

pointer	out			#I
pointer	fo_ea			#I
double	exp_t			#I
pointer	spectrum		#I

pointer	flux, df_open()		#

begin

	flux = df_open(DF_PD, TY_DOUBLE, TY_DOUBLE)

	call spc_gflux(fo_ea, exp_t, spectrum, flux)
	call pd_wrim(out, 1, 1, flux)

	call df_close(flux)

end


#
# spc_werr() stores the error in the image.
#

procedure	spc_werr(out, fo_ea, exp_t, spec_err)

pointer	out			#I
pointer	fo_ea			#I
double	exp_t			#I
pointer	spec_err		#I

pointer	flux, df_open()		#
double	spc_asqrt()

begin

	flux = df_open(DF_PD, TY_DOUBLE, TY_DOUBLE)

	call spc_gfluxerr(fo_ea, exp_t, spec_err, flux)
	call pd_weim(out, 1, 2, flux, spc_asqrt)

	call df_close(flux)

end


#
# spc_asqrt()
#

double	procedure	spc_asqrt(a)
double	a			#
begin
	return(sqrt(abs(a)))
end

