# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  cfclose.x
# 	Author	:  akeith
# 	Date	:  02/12/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) cfclose.x -r1.1 02/12/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/12/93   akeith	date and time created 93/02/12 10:34:21 by akeith
# H-
# 
#

#       Revised: 2/12/93

include "cf.h"


#
# cf_close()
#

procedure	cf_close(cf)  #E

pointer cf			#I/O composite file pointer

int	vfile
int	page

begin

	do vfile = 1, CF_MAXVFILE(cf) {
		call vf_close(cf, vfile)
		call cf_vfclose(CF_VF(cf, vfile))
	}

	do page = 1, CF_NPAGES(cf)
		call pl_free(CF_PL(cf, page))

	call close(CF_FD(cf))

	if(CF_CLRBUF(cf) != NULL)
		call mfree(CF_CLRBUF(cf), TY_CHAR)

	if(CF_VF_PTR(cf) != NULL)
		call mfree(CF_VF_PTR(cf), TY_LONG)

	if(CF_PL_PTR(cf) != NULL)
		call mfree(CF_PL_PTR(cf), TY_LONG)

	call cf_free(cf)

end


