# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  cfcreate.x
# 	Author	:  akeith
# 	Date	:  02/12/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) cfcreate.x -r1.1 02/12/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/12/93   akeith	date and time created 93/02/12 10:34:22 by akeith
# H-
# 
#

#       Revised: 2/12/93

include "cf.h"
include <fio.h>
include <fset.h>


#
# cf_create()
#

procedure	cf_create(cf)  #E

pointer cf                      #I/O composite file pointer

int	i
int	vfile
int	open()

begin

	if(CF_MODE(cf) == NEW_FILE || CF_MODE(cf) == TEMP_FILE) {

		CF_FD(cf) = open(CF_FNAME(cf), CF_MODE(cf), CF_TYPE(cf))
		call fseti(CF_FD(cf), F_ADVICE, RANDOM)

		CF_AEP(cf) = CF_FO(cf) + 1
		CF_CREATE(cf) = TRUE

		call malloc(CF_CLRBUF(cf), CF_PAGESIZE(cf), TY_CHAR)
		do i = 1, CF_PAGESIZE(cf)
			Memc[CF_CLRBUF(cf)+i-1] = 'a'

		CF_VF_LEN(cf) = CF_MAXVFILE(cf)
		call malloc(CF_VF_PTR(cf), CF_VF_LEN(cf), TY_LONG)
		do vfile = 1, CF_VF_LEN(cf)
			CF_VF(cf, vfile) = NULL

		call seek(CF_FD(cf), EOF)
		call write(CF_FD(cf), Memc[CF_CLRBUF(cf)], CF_FO(cf)-1)

	}

#	switch(CF_MODE(cf)) {
#	  case READ_ONLY:
#		call error(1, "Unable to handle file mode.")
#	  case WRITE_ONLY:
#		call error(1, "Unable to handle file mode.")
#	  case READ_WRITE:
#		call error(1, "Unable to handle file mode.")
#	  case APPEND:
#		call error(1, "Unable to handle file mode.")
#	  default:
#		call error(1, "Unable to handle file mode.")
#	}

end


