# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vfaccess.x
# 	Author	:  akeith
# 	Date	:  02/12/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) vfaccess.x -r1.1 02/12/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/12/93   akeith	date and time created 93/02/12 10:34:28 by akeith
# H-
# 
#

#       Revised: 2/12/93

include "cf.h"
include <vfio.h>

#
# vf_access()
#

bool	procedure	vf_access(cf, vfile, param)  #E

pointer cf			#I/O composite file pointer
int	vfile			#I virtual file number
int	param			#I virtual file access param

bool	valid
bool	exists
bool	opened

begin

	valid  = FALSE
	exists = FALSE
	opened = FALSE

	if(vfile > 0 && vfile <= CF_MAXVFILE(cf)) {
		valid = TRUE
		if(CF_VF(cf, vfile) != NULL) {
			exists = TRUE
			opened = VF_OPEN(CF_VF(cf, vfile))
		}
	}

	switch(param) {

	  case VF_OPENED: return(opened)
	  case VF_EXISTS: return(exists)
	  case VF_VALID:  return(valid)
	  default:
		call error(1, "Access parameter does not exist.")
	}

end


