# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vfibr.x
# 	Author	:  akeith
# 	Date	:  02/12/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) vfibr.x -r1.1 02/12/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/12/93   akeith	date and time created 93/02/12 10:34:32 by akeith
# H-
# 
#

#       Revised: 2/12/93

include "cf.h"
include <vfio.h>


#
# vf_ibinread()
#

int	procedure	vf_ibinread(cf, vfile, buf, nchar)  #E

pointer cf			#I composite file pointer
int	vfile			#I virtual file number
char	buf[nchar]		#O buffer to write out
int	nchar			#I number of char to write

int	stat
int	nread
pointer vf

int	read()
int	vf_vfpafp()

begin

	vf = CF_VF(cf, vfile)

	if(VF_CVFP(vf) == VF_VEOF(vf)) return(EOF)
	nread = min(nchar, VF_VEOF(vf)-VF_CVFP(vf))

	VF_CAFP(vf) = vf_vfpafp(vf, VF_CVFP(vf))
	call seek(CF_FD(cf), VF_CAFP(vf))

	stat = read(CF_FD(cf), buf, nread)

	VF_CVFP(vf) = VF_CVFP(vf) + nread

	return(nread)

end


