# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vfibw.x
# 	Author	:  akeith
# 	Date	:  02/12/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) vfibw.x -r1.1 02/12/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/12/93   akeith	date and time created 93/02/12 10:34:33 by akeith
# H-
# 
#

#       Revised: 2/12/93

include "cf.h"
include <vfio.h>


#
# vf_ibinwrite()
#

procedure	vf_ibinwrite(cf, vfile, buf, nchar)  #E

pointer cf			#I/O composite file pointer
int	vfile			#I/O virtual file number
char	buf[nchar]		#I buffer to write out
int	nchar			#I number of char to write

pointer vf
int	vf_vfpafp()

begin

	vf = CF_VF(cf, vfile)
	if(VF_CVFP(vf) == VF_VEOP(vf))
		call cf_addpage(cf, vfile)

	VF_CAFP(vf) = vf_vfpafp(vf, VF_CVFP(vf))
	call seek(CF_FD(cf), VF_CAFP(vf))

	call write(CF_FD(cf), buf, nchar)

	VF_CVFP(vf) = VF_CVFP(vf) + nchar
	VF_VEOF(vf) = max(VF_VEOF(vf), VF_CVFP(vf))

end


