# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtdestroy.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtdestroy.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:24 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>

#
# vt_destroy destroys a vector table, freeing memory and ridding itself of 
#	any attached vector table objects. The input pointer is set to NULL.
#

procedure	vt_destroy (vt_ptr_init)

pointer vt_ptr_init			#O pointer to vector table

int	i				# index
int	vt_vto_len			# length of vt pointer array

pointer vt_ptr				# pointer to vector table
pointer vto_ptr				# pointer to vector table object

#pointer usr_ptr			# user structure pointer
#pointer vt_gusrptr()			# get user structure pointer

long	vt_statl()
pointer vt_vtoptr()

begin

	vt_ptr = vt_ptr_init

	vt_vto_len = vt_statl(vt_ptr, VT_VTOLEN_PARM)

	do i = 1, vt_vto_len {
		vto_ptr = vt_vtoptr(vt_ptr, i)
		if(vto_ptr != NULL) call vto_destroy(vto_ptr)
	}

#	usr_ptr = vt_gusrptr(vt_ptr)
#	if(usr_ptr != NULL) call vt_fusrptr(vt_ptr)

	call mfree(vt_ptr, TY_STRUCT)

	vt_ptr_init = NULL

end

