# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtgddsi.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtgddsi.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:25 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vt_gddsi returns the index to the vector table object designated as
#	the primary dependent data set. 
#

int	procedure	vt_gddsi (vt_ptr)

pointer vt_ptr				#I pointer to vector table

int	dds_indx			# index of VTO designated as dds

bool	vt_statb()
int	vt_stati()

begin

	if(vt_ptr == NULL) {
		call eerror(VT_NULLPTR)
		return(NULL)
	}

	if(vt_statb(vt_ptr, VT_DDSFLG_PARM) == FALSE) return(NULL)

	dds_indx = vt_stati(vt_ptr, VT_DDS_PARM)

	return(dds_indx)

end

