# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtgddsp.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtgddsp.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:26 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vt_gddsp returns the pointer to vector table object designated as
#	the primary dependent data set.
#

pointer	procedure	vt_gddsp (vt_ptr)

pointer vt_ptr				#I pointer to vector table

int	dds_indx			# index of VTO designated as dds
pointer vto_ptr				# pointer to vector table object

pointer vt_vtoptr()
bool	vt_statb()
int	vt_stati()

begin

	if(vt_ptr == NULL) {
		call eerror(VT_NULLPTR)
		return(NULL)
	}

	if(vt_statb(vt_ptr, VT_DDSFLG_PARM) == FALSE) return(NULL)

	dds_indx = vt_stati(vt_ptr, VT_DDS_PARM)

	vto_ptr = vt_vtoptr(vt_ptr, dds_indx)

	return(vto_ptr)

end

