# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtognelms.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtognelms.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:34 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>

#
# vto_gnelms returns the designated number of elements of the vector table object.
#	If the number of elements is not set, INDEFI is returned.
#	If the vto pointer is NULL, NULL is returned.
#

int	procedure	vto_gnelms (vto_ptr)

pointer vto_ptr				#I pointer to vector table object

int	nelms				# number of elements

int	vto_stati()

begin

	if(vto_ptr == NULL) return(NULL)

	nelms = vto_stati(vto_ptr, VTO_NELMS_PARM)

	return(nelms)

end

