# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtogvctinfo.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtogvctinfo.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:35 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vto_gvctinfo returns the vector pointer, the number of elements and the
#	data type given a pointer to the vector table object.
#

procedure	vto_gvctinfo (vto_ptr, vct_ptr, nelms, dtype)

pointer	vto_ptr				#I pointer to vector table object
pointer	vct_ptr				#O pointer to vector array
int	nelms				#O number of elements
int	dtype				#O data type


pointer	vto_vctptr()
int	vto_gnelms()
int	vto_gdtype()

begin

	if(vto_ptr == NULL) {
		call eerror(VT_NULLPTR)
		return
	}

	vct_ptr = vto_vctptr(vto_ptr)
	nelms = vto_gnelms(vto_ptr)
	dtype = vto_gdtype(vto_ptr)

end

