# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtopmode.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtopmode.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:38 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>
include "vto.h"

#
# vto_pmode sets the data input mode for storing data in memory as
#	VTO_NEW, VTO_APPEND, VTO_INSERT or VTO_OVRWRT.
#

procedure	vto_pmode (vto_ptr, mode)

pointer vto_ptr				#I pointer to vector table object
int	mode				#I put mode

int	dtype				# data type

int	vto_stati()
bool	vto_statb()

begin

	switch (mode) {

	case VTO_NEW:

		if(vto_stati(vto_ptr, VTO_MODE_PARM) != VTO_NEW) {

		   # Check if memory has been allocated.

			if(vto_statb(vto_ptr, VTO_SET_PARM)) {
				dtype = vto_stati(vto_ptr, VTO_DTYPE_PARM)
				call mfree(VTO_VCT(vto_ptr), dtype)
				call vto_setp(vto_ptr, VTO_VCT_PARM, NULL)
				call vto_setb(vto_ptr, VTO_SET_PARM, FALSE)
			}
			call vto_seti(vto_ptr, VTO_MODE_PARM, VTO_NEW)

		}

	case VTO_APPEND:
		call vto_seti(vto_ptr, VTO_MODE_PARM, VTO_APPEND)

	case VTO_INSERT:
		call vto_seti(vto_ptr, VTO_MODE_PARM, VTO_INSERT)

	case VTO_OVRWRT:
		call vto_seti(vto_ptr, VTO_MODE_PARM, VTO_OVRWRT)

	default:
		call eerror(VT_NOPARM)

	}

end

