# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtopnelms.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtopnelms.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:39 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vto_pnelms sets the number of elements of the data considered by the vto.
#

procedure	vto_pnelms (vto_ptr, nelms)

pointer vto_ptr				#I pointer to vector table object
int	nelms				#I number of elements

begin

	if(vto_ptr == NULL) call eerror(VT_NULLPTR)

	call vto_seti(vto_ptr, VTO_NELMS_PARM, nelms)

end

