# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtoprint.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtoprint.x -r1.2 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/14/92   akeith	comments
# 	04/13/92   akeith	date and time created 92/04/13 15:34:40 by akeith
# H-
# 
#

#       Last revised: 5/14/92
#
include <vtl.h>

#
# vto_prnt() prints the contents of the vto structure for code testing.
#


procedure vto_prnt(vto_ptr, text)

pointer	vto_ptr				#I pointer to vector table object
char	text[ARB]			#I text

pointer stat_ptr

bool	vto_statb()
int	vto_stati()
pointer	vto_statp()

begin

	call fprintf(STDOUT,"\n\n Print out of VTO structure.\n\n")
	call fprintf(STDOUT, text)
	call fprintf(STDOUT, "\n\n")

	if(vto_ptr == NULL) return

	call fprintf(STDOUT," vto_pointer = %d \n")
	call pargi(vto_ptr)

	call fprintf(STDOUT," VTO_NELMS_PARM = %d \n")
	call pargi(vto_stati(vto_ptr, VTO_NELMS_PARM))

	stat_ptr = vto_statp(vto_ptr, VTO_VTPTR_PARM)
	if(stat_ptr == NULL){
		call fprintf(STDOUT," VTO_VTPTR_PARM = NULL \n")
	} else {
		call fprintf(STDOUT," VTO_VTPTR_PARM = %d \n")
		call pargi(stat_ptr)
	}

	call fprintf(STDOUT," VTO_VTIND_PARM = %d \n")
	call pargi(vto_stati(vto_ptr, VTO_VTIND_PARM))

	call fprintf(STDOUT," VTO_SPEC_PARM = %d \n")
	call pargi(vto_stati(vto_ptr, VTO_SPEC_PARM))

	call fprintf(STDOUT," VTO_ORDER_PARM = %b \n")
	call pargb(vto_statb(vto_ptr, VTO_ORDER_PARM))

	call fprintf(STDOUT," VTO_DTYPE_PARM = %d \n")
	call pargi(vto_stati(vto_ptr, VTO_DTYPE_PARM))

	call fprintf(STDOUT," VTO_MODE_PARM = %d \n")
	call pargi(vto_stati(vto_ptr, VTO_MODE_PARM))

	call fprintf(STDOUT," VTO_SET_PARM = %b \n")
	call pargb(vto_statb(vto_ptr, VTO_SET_PARM))

	stat_ptr = vto_statp(vto_ptr, VTO_VCT_PARM)
	if(stat_ptr == NULL){
		call fprintf(STDOUT," VTO_VCT_PARM = NULL \n")
	} else {
		call fprintf(STDOUT," VTO_VCT_PARM = %d \n")
		call pargi(stat_ptr)
	}

	call fprintf(STDOUT," VTO_CVI_PARM = %d \n")
	call pargi(vto_stati(vto_ptr, VTO_CVI_PARM))

	stat_ptr = vto_statp(vto_ptr, VTO_AUX_PARM)
	if(stat_ptr == NULL){
		call fprintf(STDOUT," VTO_AUX_PARM = NULL \n")
	} else {
		call fprintf(STDOUT," VTO_AUX_PARM = %d \n")
		call pargi(stat_ptr)
	}

end

