# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtpddsp.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtpddsp.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:50 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vt_pddsp designates a particular vector table object as the primary dependent
#	data set given a vto pointer.
#

procedure	vt_pddsp (dds_ptr)

pointer	dds_ptr				#I pointer to VTO designated as dds

int     dds_indx                        # index of VTO designated as dds

pointer vt_ptr				# pointer to vector table

pointer	vto_statp()
int	vto_stati()

begin

	if(dds_ptr == NULL) {
		call eerror(VT_NULLPTR)
		return
	}

	vt_ptr = vto_statp(dds_ptr, VTO_VTPTR_PARM)
	dds_indx = vto_stati(dds_ptr, VTO_VTIND_PARM)

	call vt_setb(vt_ptr, VT_DDSFLG_PARM, TRUE)
	call vt_seti(vt_ptr, VT_DDS_PARM, dds_indx)

end

