# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtpidsi.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtpidsi.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:51 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vt_pidsi designates the index of the vector table object as the
#	independent data set.
#

procedure	vt_pidsi (vt_ptr, ids_indx)

pointer vt_ptr				#I pointer to vector table
int	ids_indx			#I index of VTO designated as ids

int	nvto				# number of vector table objects

int	vt_stati()

begin

	if(vt_ptr == NULL) {
		call eerror(VT_NULLPTR)
		return
	}

	nvto = vt_stati(vt_ptr, VT_NVTO_PARM)

	if(ids_indx > nvto || ids_indx < 1) {
		call eerror(VT_BADINDX)
		return
	}

	call vt_setb(vt_ptr, VT_IDSFLG_PARM, TRUE)
	call vt_seti(vt_ptr, VT_IDS_PARM, ids_indx)

end

