# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtpidsp.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtpidsp.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:53 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vt_pidsp designates the pointer of the vector table object as the
#	independent data set.
#

procedure	vt_pidsp (ids_ptr)

pointer	ids_ptr				#I pointer to VTO designated as ids

int     ids_indx                        # index of VTO designated as ids

pointer vt_ptr				# pointer to vector table

pointer	vto_statp()
int	vto_stati()

begin

	if(ids_ptr == NULL) {
		call eerror(VT_NULLPTR)
		return
	}

	vt_ptr = vto_statp(ids_ptr, VTO_VTPTR_PARM)
	ids_indx = vto_stati(ids_ptr, VTO_VTIND_PARM)

	call vt_setb(vt_ptr, VT_IDSFLG_PARM, TRUE)
	call vt_seti(vt_ptr, VT_IDS_PARM, ids_indx)

end

