# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtprint.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtprint.x -r1.2 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/14/92   akeith	documentation
# 	04/13/92   akeith	date and time created 92/04/13 15:34:55 by akeith
# H-
# 
#

#       Last revised: 5/14/92
#
include <vtl.h>
include "vt.h"

#
# vt_prnt() print the contents of the vt sturcture for code testing.
#

procedure vt_prnt(vt_ptr, text)

pointer	vt_ptr				#I pointer to vector table
char	text[ARB]			#I text

int	i
int	nvto

long	vt_vto_len
pointer stat_ptr

bool	vt_statb()
int	vt_stati()
long	vt_statl()
pointer	vt_statp()

begin

	call printf("\n\n Print out of VT structure.\n\n")
	call fprintf(STDOUT, text)
	call fprintf(STDOUT, "\n\n")

	if(vt_ptr == NULL) return

	nvto = vt_stati(vt_ptr, VT_NVTO_PARM)
	call fprintf(STDOUT," VT_NVTO_PARM = %d \n")
	call pargi(nvto)

	call fprintf(STDOUT," VT_IDSFLG_PARM = %b \n")
	call pargb(vt_statb(vt_ptr, VT_IDSFLG_PARM))

	call fprintf(STDOUT," VT_IDS_PARM = %d \n")
	call pargi(vt_stati(vt_ptr, VT_IDS_PARM))

	call fprintf(STDOUT," VT_DDSFLG_PARM = %b \n")
	call pargb(vt_statb(vt_ptr, VT_DDSFLG_PARM))

	call fprintf(STDOUT," VT_DDS_PARM = %d \n")
	call pargi(vt_stati(vt_ptr, VT_DDS_PARM))

	call fprintf(STDOUT," VT_VTOIND_PARM = %d \n")
	call pargi(vt_stati(vt_ptr, VT_VTOIND_PARM))

	call fprintf(STDOUT," VT_VCTTYP_PARM = %d \n")
	call pargi(vt_stati(vt_ptr, VT_VCTTYP_PARM))

	call fprintf(STDOUT," VT_VTOLEN_PARM = %d \n")
	call pargi(vt_statl(vt_ptr, VT_VTOLEN_PARM))

	stat_ptr = vt_statp(vt_ptr, VT_VTOHDR_PARM)
	if(stat_ptr == NULL){
		call fprintf(STDOUT," VT_VTOHDR_PARM = NULL \n")
	} else {
		call fprintf(STDOUT," VT_VTOHDR_PARM = %d \n")
		call pargi(stat_ptr)

		vt_vto_len = vt_statl(vt_ptr, VT_VTOLEN_PARM)
		do i = 1, vt_vto_len {
			call fprintf(STDOUT,"\n ptr %d = %d \n")
			call pargi(i)
			call pargi(VT_VTO(vt_ptr,i))
		}
	}


end

