# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  pa_ps.x
# 	Author	:  akeith
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) pa_ps.x -r1.1 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/30/92   akeith	date and time created 92/04/30 12:35:45 by akeith
# H-
# 
#

#	 Read a pset file into a data structure
include "pa.h"

define	IDX_OPERATION	1
define	IDX_INFIELD1	2
define	IDX_INFIELD2	3
define	IDX_OUTFIELD	4

procedure	pa_ps (ffd, arg, ptr)
int		ffd
pointer		arg
pointer		ptr

extern		ffd()
pointer		sp
char		junk

int		index, strdic()
int		ip
pointer		buf
int		ac
pointer		av
pointer		vp

string		dict	 ",operation,infield1,infield2,outfield,"
begin
  call smark(sp)
  call salloc(buf, SZ_LINE, TY_CHAR)

  call pa_malloc(ptr)
  call ds_strcpy("",PA_OPERATION_PTR(ptr))
  call ds_strcpy("",PA_INFIELD1_PTR(ptr))
  call ds_strcpy("",PA_INFIELD2_PTR(ptr))
  call ds_strcpy("",PA_OUTFIELD_PTR(ptr))

  while (ffd(arg, Memc[buf], SZ_LINE) != EOF) {
    call ii_parse_string(Memc[buf], ac, av, ',')
    if (ac > 1) {
      index = strdic(Memc[Meml[av]], junk, 1, dict)
      ip = 1
      vp = Meml[av+3]
      switch(index){
      case IDX_OPERATION :
        call mfree(PA_OPERATION_PTR(ptr), TY_CHAR)
        call ds_strcpy(Memc[vp],PA_OPERATION_PTR(ptr))
      case IDX_INFIELD1 :
        call mfree(PA_INFIELD1_PTR(ptr), TY_CHAR)
        call ds_strcpy(Memc[vp],PA_INFIELD1_PTR(ptr))
      case IDX_INFIELD2 :
        call mfree(PA_INFIELD2_PTR(ptr), TY_CHAR)
        call ds_strcpy(Memc[vp],PA_INFIELD2_PTR(ptr))
      case IDX_OUTFIELD :
        call mfree(PA_OUTFIELD_PTR(ptr), TY_CHAR)
        call ds_strcpy(Memc[vp],PA_OUTFIELD_PTR(ptr))
      }
    }
    if (ac > 0) {
      call mfree(Meml[av], TY_CHAR)
      call mfree(av, TY_LONG)
    }
  }
  call sfree(sp)
end
