# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqclsclos.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqclsclos.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	12/10/92   akeith	Now uses the dq_freeclsgt() function
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:28 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_clsclos() frees the structure of all alocated memory including the
#	structure itself. The structure pointer is not set to NULL.
#

procedure	dq_clsclos(cls_ptr)

pointer	cls_ptr					#I dsp structure pointer

begin

	if(cls_ptr == NULL) return

	call dq_vtodel(cls_ptr)

	if(CLS_CNAME_LEN(cls_ptr) > 0)
		call mfree(CLS_CNAME_PTR(cls_ptr), TY_CHAR)

	call dq_freeclsgt(cls_ptr)

	call mfree(cls_ptr, TY_STRUCT)

end

