# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqclsinit.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqclsinit.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:33 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_clsinit() simply mallocs and initializes the cls structure.
#	dq_clsinit returns the structure pointer.
#

pointer	procedure	dq_clsinit(dq_ptr)

pointer	dq_ptr					#I dq structure pointer

pointer	cls_ptr					# cls structure pointer

begin

	call malloc(cls_ptr, CLS_LEN, TY_STRUCT)

	CLS_DQ(cls_ptr) = dq_ptr
	CLS_TLSINDX(cls_ptr) = 0
	CLS_VTOINDX(cls_ptr) = 0
	CLS_DSPD(cls_ptr) = FALSE
	CLS_WCSINDX(cls_ptr) = INDEFI
	CLS_CNAME_PTR(cls_ptr) = NULL
	CLS_CNAME_LEN(cls_ptr) = 0
	CLS_COLPTR(cls_ptr) = NULL
	CLS_COLINDX(cls_ptr) = 0
	CLS_DTYPE(cls_ptr) = INDEFI
	CLS_STYPE(cls_ptr) = INDEFI
	CLS_DSPLIM(cls_ptr) = TRUE
	CLS_SGT_LEN(cls_ptr) = 0
	CLS_SGT_PTR(cls_ptr) = NULL
	CLS_EGT_LEN(cls_ptr) = 0
	CLS_EGT_PTR(cls_ptr) = NULL

	return(cls_ptr)

end

