# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqdaygap.x
# 	Author	:  akeith
# 	Date	:  07/29/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqdaygap.x -r1.4 07/29/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/29/92   akeith	date and time created 92/07/29 12:07:56 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
#	dq_daygap ()
#

procedure	dq_daygap (dq_ptr)

pointer	dq_ptr					#I dq structure pointer

int	i
int	cls_indx				# column list structure index

double	time_tol				# time tol

pointer tls_ptr					# table list structure
pointer cls_ptr					# column list structure

begin

	call fprintf(STDERR, "\n Generating day gaps. \n")

	do i = 1, DQ_TLS_LEN(dq_ptr) {
		tls_ptr = DQ_TLS(dq_ptr, i)
		cls_indx = TLS_IDSCLS(tls_ptr)
		cls_ptr = DQ_CLS(dq_ptr, cls_indx)
		time_tol = DQ_GAP(dq_ptr)*TLS_DELT(tls_ptr)
		call dq_fnddaygap(cls_ptr, time_tol)
	}

end

