# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqdispmon.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqdispmon.x -r1.6 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/16/92   akeith	Added print statment to inform user that no more windows were available.
# 	06/26/92   akeith	Only if graphics is needed is it initialized, before it was started when dq was started which was a pain when now graphics was required, e.g. gtgen.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:41 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include	"dq.h"

#
# dq_dispmon() starts the process of displaying a column from a ST table.
#

procedure	dq_dispmon (dq_ptr, monitor)

pointer	dq_ptr						# dq structure pointer
char	monitor[ARB]					# monitor name

int	window						# wcs index
pointer	dsp_ptr						# dsp structure pointer

begin

	call strlwr(monitor)		# Changes input string to lower case.

	if(DQ_DSP(dq_ptr) == NULL) call dq_grphinit(dq_ptr)
	dsp_ptr = DQ_DSP(dq_ptr)

	window = 0
	if (window < 1 || window > DSP_NWCS(dsp_ptr)) {
		window = 0
	}

	if (window == 0) {

		if (DSP_NWCS(dsp_ptr) >= 4) {
			call fprintf(STDERR, "\n Sorry, but there are no more ")
			call fprintf(STDERR, "windows available. \n")
			 return
		}

		call dq_cdisp (dq_ptr, monitor, DQ_WCS_NEW, DQ_SAMPLE)

	} else {

		call dq_cdisp (dq_ptr, monitor, window, DQ_SAMPLE)

	}
end
