# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqdspclos.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqdspclos.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:45 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_dspclos() closes the dsp structure and frees all memory.
#

procedure	dq_dspclos(dq_ptr)

pointer	dq_ptr					#O dq structure pointer

int	i					# index
pointer	dsp_ptr					# display structure pointer

begin

	dsp_ptr = DQ_DSP(dq_ptr)

	if(dsp_ptr == NULL) return

	if(DSP_WCS_PTR(dsp_ptr) != NULL) {

		do i = 1, DSP_WCS_LEN(dsp_ptr)
			call dq_wcsdel(dsp_ptr, i)

	}

	call mfree(DSP_WCS_PTR(dsp_ptr), TY_LONG)

	if(DSP_VTYP_PTR(dsp_ptr) != NULL) {
		do i = 1, DSP_VTYP_LEN(dsp_ptr)
			call dq_vtypdel(dsp_ptr, i)
	}

	call mfree(DSP_VTYP_PTR(dsp_ptr), TY_LONG)

	call mfree(dsp_ptr, TY_STRUCT)

	DQ_DSP(dq_ptr) = NULL

end

