# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqfndclsindx.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqfndclsindx.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/26/97   mabbott	added support for multiple "time" columns
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:51 by akeith
# H-
# 
#

#  Date last modified: 2/26/97

include "dq.h"

# dq_fndclsindx() returns the index of the i'th cls 
#
#
#
#

int	procedure	dq_fndclsindx(dq_ptr, col_name, str_len)

pointer	dq_ptr					#I dq structure pointer
char	col_name[ARB]				#I table name
int	str_len					#I wcs index

int	indx

int	strdic()

pointer sp
pointer tmp_str

begin
   # handle case where we are called before any dictionary exists
   if (DQ_CNAMES_PTR(dq_ptr) == NULL) return INDEFI

	call smark(sp)
	call salloc(tmp_str, str_len+1, TY_CHAR)

	indx = strdic(col_name, Memc[tmp_str], str_len, DQ_CNAMES(dq_ptr))

	call sfree(sp)

	if(indx == 0) indx = INDEFI

	return(indx)

end

