# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqgtnew.x
# 	Author	:  akeith
# 	Date	:  07/29/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqgtnew.x -r1.6 07/29/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	12/10/92   akeith	For each loaded table, clear out the night time intervals.
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/29/92   akeith	I forgot to set the gt pointer held within the dq structure to NULL.
# 	07/29/92   akeith	date and time created 92/07/29 16:23:06 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_gtnew() 
#

procedure	dq_gtnew (dq_ptr)

pointer	dq_ptr						# dq structure pointer

int	i
pointer	gt_ptr						# good times pointer
pointer	tls_ptr						# table list structure

begin

	gt_ptr = DQ_GT(dq_ptr)
	call gt_close(gt_ptr)
	DQ_GT(dq_ptr) = NULL

#   For each loaded table, clear out the night time intervals.

	do i = 1, DQ_TLS_LEN(dq_ptr) {
		tls_ptr = DQ_TLS(dq_ptr, i)
		call dq_freetlsnt(tls_ptr)
	}

	call fprintf(STDERR, "\n Ready for generation of new good times. \n")

end

