# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqhide.x
# 	Author	:  akeith
# 	Date	:  10/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqhide.x -r1.3 10/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	date and time created 92/10/30 15:55:48 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_hide() undisplays a displayed column.
#

procedure	dq_hide(dq_ptr)

pointer	dq_ptr					#O dq structure pointer

int	i
int     wcs_indx
int     cls_indx
real    wx, wy
int     stat

pointer sp
pointer cmd
pointer mode

pointer ek_ptr
pointer wcs_ptr

int     ek_gcur()

begin

	if(DQ_DSP(dq_ptr) == NULL) {
		call fprintf(STDERR,"\n You are not displaying anything. \n")
		return
	}

	call smark(sp)
	call salloc(cmd, SZ_LINE, TY_CHAR)
	call salloc(mode, SZ_LINE, TY_CHAR)

	call strcpy("gcur", Memc[mode], SZ_LINE)

	ek_ptr = DQ_EK(dq_ptr)

	call fprintf(STDOUT, "\n Choose a window.\n")
	stat = ek_gcur(Memc[mode], ek_ptr, wx, wy, wcs_indx, Memc[cmd], SZ_LINE)

	call sfree(sp)

	wcs_ptr = DSP_WCS(DQ_DSP(dq_ptr), wcs_indx)

	do i = 1, WCS_CLSINDX_LEN(wcs_ptr) {
		cls_indx = WCS_CLSINDX(wcs_ptr, i)
		call dq_undisp(dq_ptr, cls_indx)
	}

	call dq_display(DQ_DSP(dq_ptr))

end

