# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqhidemon.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqhidemon.x -r1.8 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/27/92   akeith	added some helpful comments to send the user
# 	07/23/92   akeith	Now only does a redisplay if a valid monitor name is given.
# 	06/26/92   akeith	if nothing has been displayed initialize the graphics.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:12 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_hidemon() undisplays a displayed column.
#

procedure	dq_hidemon(dq_ptr, col_name)

pointer	dq_ptr					#O dq structure pointer
char	col_name[ARB]				#I table name

int	str_len					# string length
int	cls_indx				# dq cls list index

int	strlen()
int	dq_fndclsindx()

bool	streq()

begin

	call strlwr(col_name)

	if(DQ_DSP(dq_ptr) == NULL) {
		call fprintf(STDERR,"\n You are not displaying anything. \n")
		return
	}

	if(streq(col_name, "all") == FALSE) {

		str_len = strlen(col_name)
		cls_indx = dq_fndclsindx(dq_ptr, col_name, str_len)

		if(cls_indx == INDEFI) {
			call fprintf(STDERR,"\n Sorry, no such monitor. \n")
			return
		}

		if(!IS_DSPD(dq_ptr, cls_indx)) {
			call fprintf(STDERR,"\n %s is not currently displayed. \n")
			call pargstr(col_name)
			return
		}

		call dq_undisp(dq_ptr, cls_indx)

		call dq_display(DQ_DSP(dq_ptr))

	} else {
		call dq_undispall(dq_ptr)

		call dq_display(DQ_DSP(dq_ptr))
	}

end

