# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqids.gx
# 	Author	:  akeith
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqids.gx -r1.8 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	put in generic prep. for loop over enter procedure put in a forgotten
# 	05/14/92   akeith	documentation
# 	04/30/92   akeith	date and time created 92/04/30 17:01:21 by akeith
# H-
# 
#

#  Date last modified: 11/23/93



#
# dq_ids[ird]() performs two tasks. First, it subtracts the first value of the
#       ids array from every value in the ids array using asubk[ird](). Second,
#       it changes the case of the resulting array to a real array using
#       acht[ird]()
#

procedure	dq_idss(x_ptr, ids_ptr, nelms)

pointer	x_ptr			#O results
pointer	ids_ptr			#I ids pointer
int	nelms			#I ids len

short	ids_0

pointer sp
pointer tmp_ptr

begin

	call smark(sp)
	call salloc(tmp_ptr, nelms, TY_SHORT)

	ids_0 = Mems[ids_ptr]
	call asubks(Mems[ids_ptr], ids_0, Mems[tmp_ptr], nelms)

	call achtsr(Mems[tmp_ptr], Memr[x_ptr], nelms)

	call sfree(sp)

end



#
# dq_ids[ird]() performs two tasks. First, it subtracts the first value of the
#       ids array from every value in the ids array using asubk[ird](). Second,
#       it changes the case of the resulting array to a real array using
#       acht[ird]()
#

procedure	dq_idsi(x_ptr, ids_ptr, nelms)

pointer	x_ptr			#O results
pointer	ids_ptr			#I ids pointer
int	nelms			#I ids len

int	ids_0

pointer sp
pointer tmp_ptr

begin

	call smark(sp)
	call salloc(tmp_ptr, nelms, TY_INT)

	ids_0 = Memi[ids_ptr]
	call asubki(Memi[ids_ptr], ids_0, Memi[tmp_ptr], nelms)

	call achtir(Memi[tmp_ptr], Memr[x_ptr], nelms)

	call sfree(sp)

end



#
# dq_ids[ird]() performs two tasks. First, it subtracts the first value of the
#       ids array from every value in the ids array using asubk[ird](). Second,
#       it changes the case of the resulting array to a real array using
#       acht[ird]()
#

procedure	dq_idsr(x_ptr, ids_ptr, nelms)

pointer	x_ptr			#O results
pointer	ids_ptr			#I ids pointer
int	nelms			#I ids len

real	ids_0

pointer sp
pointer tmp_ptr

begin

	call smark(sp)
	call salloc(tmp_ptr, nelms, TY_REAL)

	ids_0 = Memr[ids_ptr]
	call asubkr(Memr[ids_ptr], ids_0, Memr[tmp_ptr], nelms)

	call achtrr(Memr[tmp_ptr], Memr[x_ptr], nelms)

	call sfree(sp)

end



#
# dq_ids[ird]() performs two tasks. First, it subtracts the first value of the
#       ids array from every value in the ids array using asubk[ird](). Second,
#       it changes the case of the resulting array to a real array using
#       acht[ird]()
#

procedure	dq_idsd(x_ptr, ids_ptr, nelms)

pointer	x_ptr			#O results
pointer	ids_ptr			#I ids pointer
int	nelms			#I ids len

double	ids_0

pointer sp
pointer tmp_ptr

begin

	call smark(sp)
	call salloc(tmp_ptr, nelms, TY_DOUBLE)

	ids_0 = Memd[ids_ptr]
	call asubkd(Memd[ids_ptr], ids_0, Memd[tmp_ptr], nelms)

	call achtdr(Memd[tmp_ptr], Memr[x_ptr], nelms)

	call sfree(sp)

end



