# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqlimload.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqlimload.x -r1.6 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Now does a redraw if something is display in case a new limit is placed on a displayed monitor.
# 	07/27/92   akeith	added some helpful comments to send the user
# 	04/27/92   akeith	date and time created 92/04/27 16:29:23 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_limload() loads a limit file using eric's mls library.
#

procedure	dq_limload(dq_ptr, lim_name)

pointer	dq_ptr					#O dq structure pointer
char	lim_name[ARB]				#I limit filename

int	strlen()

begin

	if(DQ_MLS(dq_ptr) != NULL) call mls_close(DQ_MLS(dq_ptr))

	DQ_MLS(dq_ptr) = NULL

	if(strlen(lim_name) == 0) {
		call fprintf(STDERR, "\n File name required. \n")
		return
	}

	call mls_load (DQ_MLS(dq_ptr), lim_name, NULL)
	if(DQ_MLS(dq_ptr) == NULL) {
		call fprintf(STDERR, "\n\n No such limits file, sorry. \n\n")
		return
	} else {
		call fprintf(STDERR, "\n %s read. \n")
		call pargstr(lim_name)
	}

	if(DQ_DSP(dq_ptr) != NULL)
		call dq_display(DQ_DSP(dq_ptr))


end

