# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqmkdict.x
# 	Author	:  akeith
# 	Date	:  06/24/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqmkdict.x -r1.5 06/24/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/08/92   akeith	changed SZ_LINE to ARB in strcat
# 	06/24/92   akeith	date and time created 92/06/24 20:43:58 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
#


procedure	dq_mkdict(dq_ptr)

pointer	dq_ptr					#O dq structure pointer

int	i
int	tot_len					# total length need for dict

pointer cls_ptr					# cls structure pointer

int	strlen()

begin

	if(DQ_CNAMES_PTR(dq_ptr) != NULL) {
		call mfree(DQ_CNAMES_PTR(dq_ptr), TY_CHAR)
		DQ_CNAMES_PTR(dq_ptr) = NULL
	}

	tot_len = 0
	do i = 1, DQ_CLS_LEN(dq_ptr) {
		cls_ptr = DQ_CLS(dq_ptr, i)
		if(cls_ptr == NULL) 
			tot_len = tot_len + strlen("NULL") + 1
		else
			tot_len = tot_len + strlen(CLS_CNAME(cls_ptr)) + 1
	}

	DQ_CNAMES_LEN(dq_ptr) = tot_len + 1
	call malloc(DQ_CNAMES_PTR(dq_ptr), DQ_CNAMES_LEN(dq_ptr), TY_CHAR)

	DQ_CNAMES(dq_ptr) = EOS
	do i = 1, DQ_CLS_LEN(dq_ptr) {
		cls_ptr = DQ_CLS(dq_ptr, i)
		if(cls_ptr == NULL) {
			call strcat(",NULL", DQ_CNAMES(dq_ptr), ARB)
		} else {
			call strcat(",", DQ_CNAMES(dq_ptr), ARB)
			call strcat(CLS_CNAME(cls_ptr), DQ_CNAMES(dq_ptr), ARB)
		}
	}

end

