# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqrstrwcs.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqrstrwcs.x -r1.7 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/14/94   akeith	got rid of unused var
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Does the restore using the structure macros
# 	05/14/92   akeith	documented flows for procedure parameters
# 	04/27/92   akeith	added id keyword
# 	04/27/92   akeith	date and time created 92/04/27 16:29:40 by akeith
# H-
# 
#

#       Last revised: 9/14/94

include	"dq.h"

#
# dq_rstrwcs() restores all wcs's from the copy made when using dq_edit().
#

procedure	dq_rstrwcs (dq_ptr, wcs_copy)

pointer	dq_ptr				#I dq structure pointer
pointer wcs_copy			#I pointer to wcs strct. copy

int	wcs_indx
int	cls_num
int	ary_len				# array length
int	cls_indx			# dq's cls index

pointer the_wcs_ptr
pointer wcs_ptr				# wcs pointer structure
pointer cls_ptr				# cls pointer structure

begin

	do wcs_indx = 1, WCS_ARY_LEN {

		wcs_ptr = ARRYL(wcs_copy, wcs_indx)

		if(wcs_ptr != NULL) {

			ary_len = WCS_CLSINDX_LEN(wcs_ptr)
			if(ary_len != 0) {

				cls_indx = WCS_CLSINDX(wcs_ptr, 1)
				call dq_setdisp(dq_ptr, DQ_WCS_NEW, cls_indx)

				do cls_num = 2, ary_len {
					cls_indx = WCS_CLSINDX(wcs_ptr, cls_num)
					call dq_setdisp(dq_ptr, wcs_indx, cls_indx)
				}

				cls_ptr = DQ_CLS(dq_ptr, cls_indx)
				the_wcs_ptr = CLS_WCSPTR(cls_ptr)

				WCS_WRLDX1(the_wcs_ptr) = WCS_WRLDX1(wcs_ptr)
				WCS_WRLDX2(the_wcs_ptr) = WCS_WRLDX2(wcs_ptr)
				WCS_WRLDY1(the_wcs_ptr) = WCS_WRLDY1(wcs_ptr)
				WCS_WRLDY2(the_wcs_ptr) = WCS_WRLDY2(wcs_ptr)

			}

		}

	}

end

