# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqtlsadd.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqtlsadd.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:52 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_tlsadd() adds a table list structure (tls) to the dq structure.
#

pointer	procedure	dq_tlsadd(dq_ptr)

pointer	dq_ptr					#O dq structure pointer

pointer dq_tls_ptr				# dq tls list pointer

pointer	tls_ptr					# tls structure pointer

pointer dq_tlsinit()

begin

   # Add memory to the table structure list.

	dq_tls_ptr = DQ_TLS_PTR(dq_ptr)

	DQ_TLS_LEN(dq_ptr) = DQ_TLS_LEN(dq_ptr) + 1
	call realloc(dq_tls_ptr, DQ_TLS_LEN(dq_ptr), TY_STRUCT)

	DQ_TLS_PTR(dq_ptr) = dq_tls_ptr

	tls_ptr = dq_tlsinit(dq_ptr)
	DQ_TLS(dq_ptr, DQ_TLS_LEN(dq_ptr)) = tls_ptr

	return(tls_ptr)

end

