# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqundispall.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqundispall.x -r1.6 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	05/14/92   akeith	documented flows for procedure parameters
# 	04/27/92   akeith	added id keyword
# 	04/27/92   akeith	date and time created 92/04/27 16:29:58 by akeith
# H-
# 
#

#       Last revised: 11/23/93

include	"dq.h"

#
# dq_undispall() undisplays all columns currently being displayed by going
#	through each wcs and each column display under that wcs and
#	undisplaying it using dq_undisp().
#

procedure	dq_undispall (dq_ptr)

pointer	dq_ptr						#I dq structure pointer

int	i, j
int	cls_indx					# dq's cls index

pointer	dsp_ptr						# dsp structure pointer
pointer wcs_ptr						# wcs structure pointer

begin

	dsp_ptr = DQ_DSP(dq_ptr)

	do i = 1, DSP_WCS_LEN(dsp_ptr) {

		wcs_ptr = DSP_WCS(dsp_ptr, i)

		if(wcs_ptr != NULL) {

			do j = 1, WCS_CLSINDX_LEN(wcs_ptr) {

				cls_indx = WCS_CLSINDX(wcs_ptr, j)
				call dq_undisp(dq_ptr, cls_indx)

			}

		}

	}
	
end

