# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqvtodel.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqvtodel.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/16/93   akeith	declared as an interger function, but returned nothing and only called as a procedure. So I made it a procedure.
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:30:04 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_vtodel() deletes a vector table object using vto_destroy() of the vt library.
#

procedure	dq_vtodel(cls_ptr)

pointer	cls_ptr					#I column list structure pointer

pointer vt_ptr					# vector table pointer
pointer vto_ptr					# vector table object pointer

pointer vt_vtoptr()

begin

	vt_ptr = CLS_VTPTR(cls_ptr)

	vto_ptr = vt_vtoptr(vt_ptr, CLS_VTOINDX(cls_ptr) )

	call vto_destroy(vto_ptr)

end

