# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqvtypclos.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqvtypclos.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:30:12 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_vtypclos() closes a view type deleting all views under that view type using
#	dq_viewdel() and freeing all associated memory.
#

procedure	dq_vtypclos(vtyp_ptr)

pointer	vtyp_ptr				#O vtyp structure pointer

int	i					# index

begin

	if(VTYP_VIEW_PTR(vtyp_ptr) != NULL) {

		do i = 1, VTYP_VIEW_LEN(vtyp_ptr)
			call dq_viewdel(vtyp_ptr, i)

	}

	call mfree(VTYP_VIEW_PTR(vtyp_ptr), TY_LONG)

	call mfree(vtyp_ptr, TY_STRUCT)

end

