# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqwcsadd.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqwcsadd.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:30:25 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_wcsadd() adds a new wcs to the list of wcs's under the display (dsp)
#	structure.
#

int	procedure	dq_wcsadd(dsp_ptr)

pointer	dsp_ptr					#I dsp structure pointer

int	i

pointer dq_wcsinit()

begin

	i = 0
	repeat {
		i = i + 1
	} until (i == DSP_WCS_LEN(dsp_ptr) || DSP_WCS(dsp_ptr, i) == NULL)

	if(DSP_WCS(dsp_ptr, i) == NULL) {
		DSP_NWCS(dsp_ptr) = DSP_NWCS(dsp_ptr) + 1
		DSP_WCS(dsp_ptr, i) = dq_wcsinit(dsp_ptr)
	} else {
		call fprintf(STDERR,"\n dq_wcsadd: All wcs slots are filled.\n")
	}

	call dq_resetv(dsp_ptr)

	return(i)

end

