# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqwcsdel.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqwcsdel.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	06/26/92   akeith	Now the world and view fields of the WCS structure are cleared, instead
#  of tring to reset the gio. This was causing a problem that crashed the program.
# 	04/27/92   akeith	date and time created 92/04/27 16:30:32 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"
include <gset.h>

#
# dq_wcsdel() does all the book keeping needed in deleting a wcs from the
#	display	like closing the wcs and reseting the viewports.
#

procedure	dq_wcsdel(dsp_ptr, wcs_indx)

pointer	dsp_ptr					#O dsp structure pointer
int	wcs_indx				#I dsp wcs index

pointer wcs_ptr					# pointer to wcs pointer array

begin

	if(wcs_indx < 1 || wcs_indx > DSP_WCS_LEN(dsp_ptr)) {
		call fprintf(STDERR, "\n dq_wcsdel: dsp index out of bounds.\n")
		return
	}

	wcs_ptr = DSP_WCS(dsp_ptr, wcs_indx)
	if(wcs_ptr == NULL) return

	call dq_wcsclos(wcs_ptr)

	DSP_WCS(dsp_ptr, wcs_indx) = NULL

	DSP_NWCS(dsp_ptr) = DSP_NWCS(dsp_ptr) - 1

	call dq_resetv(dsp_ptr)

end

