# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqwcsinit.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqwcsinit.x -r1.6 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	initializes the field BASE as false.
# 	10/30/92   akeith	initializes WCS_ORG_WRLD fields
# 	06/26/92   akeith	initialize the new fields which hold the view and world coords for gio.
# 	04/27/92   akeith	date and time created 92/04/27 16:30:35 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_wcsinit() initializes a new wcs structure allocating memory and setting
#	values.
#

pointer	procedure	dq_wcsinit(dsp_ptr)

pointer	dsp_ptr					#I dsp structure pointer

pointer	wcs_ptr					# wcs structure pointer

begin

	call malloc(wcs_ptr, WCS_LEN, TY_STRUCT)

	WCS_DQ(wcs_ptr) = DSP_DQ(dsp_ptr)

	WCS_VIEWX1(wcs_ptr) = INDEFR
	WCS_VIEWX2(wcs_ptr) = INDEFR
	WCS_VIEWY1(wcs_ptr) = INDEFR
	WCS_VIEWY2(wcs_ptr) = INDEFR

	WCS_ORG_WRLDX1(wcs_ptr) = INDEFR
	WCS_ORG_WRLDX2(wcs_ptr) = INDEFR
	WCS_ORG_WRLDY1(wcs_ptr) = INDEFR
	WCS_ORG_WRLDY2(wcs_ptr) = INDEFR

	WCS_WRLDX1(wcs_ptr) = INDEFR
	WCS_WRLDX2(wcs_ptr) = INDEFR
	WCS_WRLDY1(wcs_ptr) = INDEFR
	WCS_WRLDY2(wcs_ptr) = INDEFR

	WCS_BASE(wcs_ptr) = FALSE

	WCS_NCLSINDX(wcs_ptr) = 0
	WCS_CLSINDX_LEN(wcs_ptr) = 0
	WCS_CLSINDX_PTR(wcs_ptr) = NULL

	return(wcs_ptr)

end

