# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  tbhgtu.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) tbhgtu.x -r1.6 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	05/14/92   akeith	documented flows for procedure parameters
# 	05/14/92   akeith	documentation
# 	04/27/92   akeith	added id keyword
# 	04/27/92   akeith	date and time created 92/04/27 16:30:41 by akeith
# H-
# 
#

#       Last revised: 11/23/93

#
# tbhgtu() does an error check on tbhgtt() and returns a status of YES/NO.
#

int	procedure	tbhgtu (tp, keyword, text, maxch)

pointer tp			#I pointer to table descriptor
char	keyword[ARB]		#I name of parameter
char	text[ARB]		#O value of parameter
int	maxch			#I maximum number of characters to get

errchk	tbhgtt

begin

	iferr (call tbhgtt (tp, keyword, text, maxch)) {
		return(NO)		
	}
	return(YES)

end

