# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vlline.x
# 	Author	:  ericco
# 	Date	:  08/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) vlline.x -r1.2 08/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	08/30/94   ericco	date and time created 94/08/30 16:29:24 by ericco
# H-
# 
#

#	Read a very long line of input from fd, and
#	malloc just enough space in ptr to contain it.
#	Newlines are eliminated.  ptr is NULL at the
#	end of file.

procedure	vlline(fd, ptr) # very long line (read)
int		fd		# I file descriptor
pointer		ptr		# O line read

int		slen, len
char		ch

begin
	slen = 100
	call malloc(ptr, slen, TY_CHAR)
	len = 1
	repeat {
		call getc(fd, ch)
		if (ch == EOF) break;
		if (ch == '\n') break;
		Memc[ptr+len-1] = ch
		len = len + 1
		if (len >= slen) {
			slen = slen * 2
			call realloc(ptr, slen, TY_CHAR)
		}
	}
	if (ch == EOF && len == 1) {
		call mfree(ptr, TY_CHAR)
		ptr = NULL
	} else {
		Memc[ptr+len-1] = EOS
		call realloc(ptr, len, TY_CHAR)
	}
end
