# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  ahivri.x
# 	Author	:  tnk
# 	Date	:  08/10/95
# 	Synopsis:  
# 	Keywords:
# 		@(#) ahivri.x -r1.1 08/10/95 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	08/10/95   tnk	date and time created 95/08/10 14:25:05 by tnk
# H-
# 
#

# Copyright(c) 1986 Association of Universities for Research in Astronomy Inc.

# AHIV -- Compute the high value (maximum) of a vector.
# 2/95 bboyd CEA;  modified to output index of max value as well
# @(#)ahivri.x	1.1 8/10/95 UCB CEA EGO

real procedure ahivri (a, npix, high, indx)

real	a[ARB]
int	npix
real	high, pixval
int	i, indx

begin
	high = a[1]
	indx = 1

	do i = 1, npix {
	    pixval = a[i]
	    if (pixval > high) {
		high = pixval
		indx = i
	    }
	}

end
