# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  detmp.h
# 	Author	:  tnk
# 	Date	:  08/15/95
# 	Synopsis:  
# 	Keywords:
# 		@(#) detmp.h -r1.1 08/15/95 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	08/15/95   tnk	date and time created 95/08/15 14:43:49 by tnk
# H-
# 
#

#  @(#)detmp.h	1.1 8/15/95
#  primbsch boundary info structure
#
define MP_NUM           Memi[($1)]      #(int) detector number
define MP_QBOUND_TYPE   Memi[(($1)+1)]  #(int) quadrant boundary type (x,y or y1,y2,y3)
define MP_QBOUND_X_Y1   Memi[(($1)+2)]  #(int) primbsch quad boundary x | y1
define MP_QBOUND_Y_Y2   Memi[(($1)+3)]  #(int) primbsch quad boundary y | y2
define MP_QBOUND_Y3     Memi[(($1)+4)]  #(int) primbsch quad boundary y3

define MP_LEN	5
define MP_TYP	TY_INT

# input from "detector" table
define  TIFNUM_COLNAME         "tif_number"
define  PRIMB_TYPE_COLNAME     "primbsch_type"
define  PRIMB_X_Y1_COLNAME     "primbsch_x_y1"
define  PRIMB_Y_Y2_COLNAME     "primbsch_y_y2"
define  PRIMB_Y3_COLNAME       "primbsch_y3"

# primbsch quadrant types
define  PRIMB_VERT_TYPE        2        # "quads" are really vertically stacked
define  PRIMB_SQR_TYPE         1        # "quads" really are quadrants


#	 end of definition of MP
