# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  prfopen.x
# 	Author	:  akeith
# 	Date	:  07/06/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) prfopen.x -r1.3 07/06/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/07/94   akeith	new and totally improved
# 	07/06/94   akeith	date and time created 94/07/06 17:01:49 by akeith
# H-
# 
#


#	Version: @(#)prfopen.x	1.3 7/7/94 UCB CEA EGO

include	"prf.h"

#
# prf_open()
#

pointer	procedure	prf_open()

pointer	prf			#

begin

	call prf_malloc(prf)

	PRF_INTER(prf) = FALSE
	PRF_TRIM(prf) = FALSE
	PRF_NFWHM(prf) = 0
	PRF_AXIS(prf) = 0
	PRF_X1(prf) = 0
	PRF_NX(prf) = 0
	PRF_NP(prf) = 0
	PRF_LO(prf) = 0
	PRF_HI(prf) = 0
	PRF_THRESH(prf) = 0.0
	PRF_IC(prf) = NULL
	PRF_GP(prf) = NULL
	PRF_GT(prf) = NULL
	PRF_DT(prf) = NULL

	return(prf)

end


#
# prf_close()
#

procedure	prf_close(prf)

pointer	prf			#I

begin

	if(prf == NULL) return

	if(PRF_DT(prf) != NULL) call dt_close(PRF_DT(prf))
	if(PRF_GT(prf) != NULL) call gt_free(PRF_GT(prf))
	if(PRF_GP(prf) != NULL) call gclose(PRF_GP(prf))
	if(PRF_IC(prf) != NULL) call ic_closer(PRF_IC(prf))

	call prf_free(prf)
	
end


#
# prf_mkname()
#

procedure	prf_mkname(i, str)

int	i			#
pointer	str			#

int	nchar, itoc()

begin
	call salloc(str, 5, TY_CHAR)
	nchar = itoc(i, Memc[str], 5)
end

