# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  qpl.h
# 	Author	:  ericco
# 	Date	:  10/29/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) qpl.h -r1.6 10/29/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/24/93   akeith	changed version string and spelled structure correctly.
# 	04/07/92   akeith	Changed the help page to coorsp. to the commands.
# 	04/03/92   akeith	Just took out the debug output file descrip. for the structure.
# 	12/12/91   akeith	no
# 	10/30/91   akeith	documentation was added
# 	10/29/91   ericco	date and time created 91/10/29 15:09:50 by ericco
# H-
# 
#

#       Version: @(#)qpl.h	1.6 3/24/93 UCB CEA EGO


define	UP		-1	# Indicates move up or down the page
define	DOWN		 1

define	MAXCHARS	80

define	LEN_QPLSTR	13	# Length of the qpl structure

define	QPL_QP			Memi[($1)]	# qpoe file pointer
define	QPL_IO			Memi[($1)+1]	# ptr to io descriptor
define	QPL_DD			Memi[($1)+2]	# ptr to domain descriptor
define	QPL_TTY			Memi[($1)+3]	# device pointer
define	QPL_EVS			Memi[($1)+4]	# pointer to event array
define	QPL_EVSLN		Memi[($1)+5]	# event len = bckt length
define	QPL_EVI			Memi[($1)+6]	# event num. at top of page
define	QPL_TPEV		Memi[($1)+7]	# event index at top of page
define	QPL_CURBK		Memi[($1)+8]	# current bucket number
define	QPL_NEVENTS		Memi[($1)+9]	# total number of events
define	QPL_FRMT		Memi[($1)+10]	# pointer to format string
define	QPL_REDRAW		Memi[($1)+11]	# indicate change in clmn info 
define	QPL_MAPCC		Memi[($1)+12]	# map_cc

define	LEN_CLMSTR	7	# Length of the qpl structure

define	CLM_ON		Memi[($1)]		# column ON | OFF

define	CLM_NAM_LNG	Memi[($1)+1]		# column real name len
define	CLM_MAC_LNG	Memi[($1)+2]		# column macro name len
define	CLM_FMT_LNG	Memi[($1)+3]		# column format name len

define	CLM_NAM_PTR	Memi[($1)+4]		# column real name ptr
define	CLM_MAC_PTR	Memi[($1)+5]		# column macro name ptr
define	CLM_FMT_PTR	Memi[($1)+6]		# column format ptr

define	CLM_NAM_STR	Memc[CLM_NAM_PTR($1)]	# column real name string
define	CLM_MAC_STR	Memc[CLM_MAC_PTR($1)]	# column macro name string
define	CLM_FMT_STR	Memc[CLM_FMT_PTR($1)]	# column format string

define	CLM_PTR		Memi[($1)]		# a reminder

