# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  qpl_cls_opn.x
# 	Author	:  ericco
# 	Date	:  10/29/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) qpl_cls_opn.x -r1.10 10/29/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	10/14/97   mabbott	remove illegal QPOE private data and function dependencies
# 	01/13/97   tnk	changed from qpl_open_filtered to qpofilt
# 	03/24/93   akeith	changed version string
# 	08/14/92   ericco	add qpl_open_filtered call
# 	04/07/92   akeith	Changed the help page to coorsp. to the commands.
# 	04/03/92   akeith	Nothing interesting.
# 	10/30/91   akeith	documentation was added
# 	10/29/91   ericco	date and time created 91/10/29 15:09:51 by ericco
# H-
# 
#


#       Version: @(#)qpl_cls_opn.x	1.10 10/14/97 UCB CEA EGO

include <qpeuv.h>
include <qpioset.h>
include "qpl.h"

#	Closes QPIO file.

procedure	qpl_close(qpl)

pointer		qpl			#I The main structure

pointer		io			# io ptr
pointer		qp			# qpoe file ptr

begin

	qp = QPL_QP(qpl)
	io = QPL_IO(qpl)

	call qpio_close(io)
	call qp_close(qp)

end

#	Opens QPIO file and checks for qpio filter.
#	Parses filename[filter].
#

procedure	qpl_open(qpl, file)

pointer		qpl				#I/O The main structure
char		file[ARB]			#I filename

pointer		qp
int			qpio_stati()

begin
	call qpofilt(qp, QPL_IO(qpl), file)

# initialize file pointer and the domain descriptor

  QPL_QP(qpl) = qp
  call salloc(QPL_DD(qpl), LEN_EUVDDDES, TY_STRUCT)
  call qp_acquirefields (QPL_IO(qpl), QPL_DD(qpl))

# set the event struct length to length of bucket

  QPL_EVSLN(qpl) = qpio_stati(QPL_IO(qpl), QPIO_BUCKETLEN)

end

