# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  t_qprebuild.x
# 	Author	:  ericco
# 	Date	:  12/18/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) t_qprebuild.x -r1.1 12/18/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	12/18/92   ericco	date and time created 92/12/18 22:55:55 by ericco
# H-
# 
#

# DATE 12/18/92
# PROCEDURE NAME 
# INCLUDE FILES


# QP_REBUILD -- Rebuild a poefile to reclaim unused space, and render storage
# elements logically contiguous to improve file access efficiency.




procedure t_qprebuild()

#AUTHOR : GARETH BEVAN
#
#IMPORT VARIABLES :
#IMPORT/EXPORT VARIABLES :
#EXPORT VARIABLES :
#LOCAL VARIABLES :
pointer fname                   # name of qpoe file
pointer sp                      # stack pointer

#FUNCTIONS :
#############################################################################

begin

  call smark( sp )
  call salloc( fname, SZ_LINE, TY_CHAR )

  call clgstr("input", Memc[fname], SZ_LINE )
  call qp_rebuild( Memc[fname] )

  call sfree( sp )
  
end  # OF PROCEDURE t_qprebuild
