# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  specprint.cl
# 	Author	:  tnk
# 	Date	:  08/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) specprint.cl -r1.1 08/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	08/30/94   tnk	date and time created 94/08/30 15:27:10 by tnk
# H-
# 
#

# @(#)specprint.cl	1.1 8/30/94 UCB CEA EGO
# print spectrum and error bands

procedure specprint (input)

file    input    {prompt="Input image file"}
int     specband {1, prompt="Image band with spectrum"}
int     errband  {2, prompt="Image band with spectrum errors"}
string  format   {"%14.4f %g", prompt="Output formats"}

begin
        file    xinput, tfile, tfile2

        # read parameters
        xinput = input   

        # Make sure needed package is loaded
        if (! defpac ("images") || ! defpac ("proto") )
                bye

        # write file
        tfile = mktemp("tmp$specpr")
        tfile2 = mktemp("tmp$specpr")
        listpix (xinput//"[*,"//specband//"]", wcs="world", form=format, 
                        ver-, > tfile)
        listpix (xinput//"[*,"//errband//"]", wcs="world", form=format, ver-) |
                fields ("STDIN", 2, lines="1-9999", quit-, print-, > tfile2)
        joinlines (tfile//","//tfile2, out="STDOUT", delim="  ", 
                missing="missing", max=161, short-, ver-)
        delete (tfile//","//tfile2, ver-, >& "dev$null")
end
