# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  soacmd.x
# 	Author	:  akeith
# 	Date	:  06/27/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) soacmd.x -r1.1 06/27/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	06/27/94   akeith	date and time created 94/06/27 15:01:51 by akeith
# H-
# 
#


#	Version: @(#)soacmd.x	1.1 6/27/94 UCB CEA EGO

include	"so.h"
include	"spc.h"


#
# so_acmd()
#

procedure	so_acmd(so)

pointer	so			#

int	ispc
pointer	spc

begin
	do ispc = SW, LW {
		spc = SO_SPC(so, ispc)
		if(SPC_EXISTS(spc)) SPC_ON(spc) = TRUE
	}
	call so_display(so)
end


#
# so_scmd()
#

procedure	so_scmd(so)

pointer	so			#

pointer	spc

begin
	spc = SO_SPC(so, SO_WCS(so))
	call so_oncmd(SPC_ORG_ON(spc))
	call so_display(so)
end


#
# so_dcmd()
#

procedure	so_dcmd(so)

pointer	so			#

pointer	spc

begin
	spc = SO_SPC(so, SO_WCS(so))
	call so_oncmd(SPC_NEW_ON(spc))
	call so_display(so)
end


#
# so_fcmd()
#

procedure	so_fcmd(so)

pointer	so			#

pointer	spc

begin
	if(SO_WCS(so) > SO_CXWL(so)) return
	spc = SO_SPC(so, SO_WCS(so))
	call so_oncmd(SPC_ORD_ON(spc))
	call so_display(so)
end


#
# so_oncmd()
#

procedure	so_oncmd(on)

bool	on			#

begin
	if(on)	on = FALSE
	else	on = TRUE
end


#
# so_lcmd()
#

procedure	so_lcmd(so)

pointer	so			#

begin

	SO_SPC_ON(so, SW) = FALSE
	SO_SPC_ON(so, MW) = FALSE
	SO_SPC_ON(so, LW) = FALSE
	SO_SPC_ON(so, SO_WCS(so)) = TRUE
	call so_display(so)
end


#
# so_mcmd()
#

procedure	so_mcmd(so)

pointer	so			#

begin
	SO_SPC_ON(so, SO_WCS(so)) = FALSE
	call so_display(so)
end

