# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  soops.x
# 	Author	:  akeith
# 	Date	:  06/27/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) soops.x -r1.1 06/27/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	06/27/94   akeith	date and time created 94/06/27 15:03:06 by akeith
# H-
# 
#


#	Version: @(#)soops.x	1.1 6/27/94 UCB CEA EGO

include	"so.h"
include	"spc.h"


#
# so_gjoin()
#

procedure	so_gjoin(so)

pointer	so			#

double	join_pnt, clgetd()
bool	so_join()

begin

	join_pnt = clgetd("sw_mw")
	if(!IS_INDEFD(join_pnt)) {

		if(SPC_EXISTS(SO_SW(so))) {
			if(!so_join(so, SW, join_pnt))
				call eprintf("Warning: Bad range for parameter, sw_mw\n")

		} else if(SPC_EXISTS(SO_MW(so))) {
			if(!so_join(so, MW, join_pnt))
				call eprintf("Warning: Bad range for parameter, sw_mw\n")
		}
	}

	join_pnt = clgetd("mw_lw")
	if(!IS_INDEFD(join_pnt)) {

		if(SPC_EXISTS(SO_LW(so))) {
			if(!so_join(so, LW, join_pnt))
				call eprintf("Warning: Bad range for parameter, mw_lw\n")

		} else if(SPC_EXISTS(SO_MW(so))) {
			if(!so_join(so, MW, join_pnt))
				call eprintf("Warning: Bad range for parameter, mw_lw\n")
		}
	}

end


#
# so_wcsinit()
#

procedure	so_wcsinit(so)

pointer	so			#I

int	i			#
pointer	spc			#
int	stat, so_gwind()	#

begin

	do i = SW, LW {
		spc = SO_SPC(so, i)
		if(SPC_EXISTS(spc)) {
			stat = so_gwind(spc, SPC_XL(spc), SPC_XH(spc),
					     SPC_YL(spc), SPC_YH(spc))
		}
	}

end

