# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  soundo.x
# 	Author	:  akeith
# 	Date	:  06/27/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) soundo.x -r1.2 06/27/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/14/94   akeith	commented out error propagation
# 	06/27/94   akeith	date and time created 94/06/27 15:03:10 by akeith
# H-
# 
#


#	Version: @(#)soundo.x	1.2 9/14/94 UCB CEA EGO

include	"so.h"
include	"spc.h"

#
# so_undo()
#

procedure	so_undo(so)

pointer so			#I

pointer spc			#
bool	stat, so_order()	#

begin

	if(!SO_UNDO(so)) return

	spc = SO_SPC(so, SO_CXWL(so))
	SPC_ORD_ON(spc) = FALSE

	spc = SO_SPC(so, SO_LXWL(so))

	call df_mov(ORG(spc), NEW(spc))
#	call df_mov(ORG_ERR(spc), NEW_ERR(spc))

	SPC_ORD_ON(spc) = TRUE

	SO_CXWL(so) = SO_LXWL(so)
	SO_CSWL(so) = SO_LSWL(so)
	SO_CORD(so) = SO_LORD(so)
	SO_UNDO(so) = FALSE

	stat = so_order(so, SO_CXWL(so), SO_CSWL(so), SO_CORD(so))

	if(!stat)
		call error(1, "so_undo(): Something is seriously wrong!")

	call so_display(so)
end

