# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  sowcmd.x
# 	Author	:  akeith
# 	Date	:  06/27/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) sowcmd.x -r1.1 06/27/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	06/27/94   akeith	date and time created 94/06/27 15:03:11 by akeith
# H-
# 
#


#	Version: @(#)sowcmd.x	1.1 6/27/94 UCB CEA EGO

include	"so.h"
include	"spc.h"

#
# so_wcmd()
#

procedure	so_wcmd(so)

pointer	so			#

int	wcs, t_wcs		#
real	wx, wy			#
real	t_wx, t_wy		#
real	wxl, wxh		#
real	wyl, wyh		#

pointer	sp			#
pointer	spc			#
pointer	cmd			#

int	stat, ek_gcur()		#

int	so_gwind()

begin

	wx  = SO_WX(so)
	wy  = SO_WY(so)
	wcs = SO_WCS(so)

	spc = SO_SPC(so, wcs)
	wxl = SPC_XL(spc)
	wxh = SPC_XH(spc)
	wyl = SPC_YL(spc)
	wyh = SPC_YH(spc)

	call smark(sp)
	call salloc(cmd, SZ_LINE, TY_CHAR)

	call printf("window:")
	stat = ek_gcur("gcur", SO_EK(so), t_wx, t_wy, t_wcs, Memc[cmd], SZ_LINE)
	call gctran(SO_GP(so), t_wx, t_wy, wx, wy, t_wcs, wcs)

	if(Memc[cmd] == 'e') {

		SPC_XL(spc) = wx
		SPC_YL(spc) = wy

		call printf("again:")
		stat = ek_gcur("gcur", SO_EK(so), t_wx, t_wy, t_wcs, Memc[cmd], SZ_LINE)
		call gctran(SO_GP(so), t_wx, t_wy, wx, wy, t_wcs, wcs)

		SPC_XH(spc) = wx
		SPC_YH(spc) = wy

	} else {
		call eu_gwind(Memc[cmd], wx, wy, wxl, wxh, wyl, wyh, so_gwind, spc)

		SPC_XL(spc) = wxl
		SPC_XH(spc) = wxh
		SPC_YL(spc) = wyl
		SPC_YH(spc) = wyh
	}

	call sfree(sp)

	call so_display(so)
end


#
# so_gwind()
#

int	procedure	so_gwind(spc, xmin, xmax, ymin, ymax)

pointer	spc				#I
real	xmin				#O
real	xmax				#O
real	ymin				#O
real	ymax				#O

real	delta				#

begin

	xmin = 100000.0; xmax = -100000.0
	ymin = 0.0; ymax = -100000.0

	delta = real(SPC_DELTA(spc))

	if(SPC_ORG_ON(spc))
		call so_minmax(SPC_ORG(spc), delta, xmin, xmax, ymin, ymax)

	if(SPC_NEW_ON(spc))
		call so_minmax(SPC_NEW(spc), delta, xmin, xmax, ymin, ymax)

	if(SPC_ORD_ON(spc))
		call so_minmax(SPC_ORD(spc), delta, xmin, xmax, ymin, ymax)

	return(1)

end


#
# so_minmax()
#

procedure	so_minmax(df, delta, xmin, xmax, ymin, ymax)

pointer	df			#I
real	delta			#I
real	xmin			#O
real	xmax			#O
real	ymin			#O
real	ymax			#O

double	x0
real	x, y			#
int	df_rgetr()

begin

	call df_gx0(df, x0)
	x = real(x0)
	if(x < xmin) xmin = x

	while(df_rgetr(df, x, y, 1) != 0) {
		if(y < ymin) ymin = y
		else if(y > ymax) ymax = y
	}

	if(x > xmax) xmax = x

	call df_rewind(df)

end


