#
#   This file is part of the CEP task in the EUVRED package.
#
#   Define the parameter override structure.
#
#	@(#)override.h	1.2 12/27/96


#	CEP parameter override structure
define	REFERENCE_PTR	Meml[($1)+0]	# full path reference file
define	TABLEINDEX_PTR	Meml[($1)+1]	# full path to observation text db
define	EVENTS_PTR	Meml[($1)+2]	# full path to event list table
define	ASPECT_PTR	Meml[($1)+3]	# full path to aspect table
define	SRCPOS   	Meml[($1)+4]	# source position structure

define REFERENCE Memc[REFERENCE_PTR($1)]
define TABLEINDEX Memc[TABLEINDEX_PTR($1)]
define EVENTS Memc[EVENTS_PTR($1)]
define ASPECT Memc[ASPECT_PTR($1)]

define	SZ_OVERRIDE	5


# Source position structure
define	SRC_RA	    Memd[P2D($1+0)]	# source RA
define	SRC_DEC 	Memd[P2D($1+2)]	# source DEC

define SZ_SRCPOS 4
