#
#	Last revised: 4/29/92
#

#	vector table library parameter definitions for setting the ...

define VT_NVTO_PARM		0		#i number of vto's
define VT_IDSFLG_PARM		1		#b ids flag
define VT_IDS_PARM		2		#i vto designated as ids
define VT_DDSFLG_PARM		3		#b dds flag
define VT_DDS_PARM		4		#i vto designated as dds
define VT_VTOIND_PARM		6		#i index of current vto
define VT_VCTTYP_PARM		7		#i vector type
define VT_VTOLEN_PARM		8		#l lngth of ptr array
define VT_VTOHDR_PARM		9		#p pointer to head of ptr array


#	vector table object library parameter definitions for setting the ...

define VTO_NELMS_PARM		0		#i number of elements
define VTO_VTPTR_PARM		1		#p pointer to vt assc. w/ vto
define VTO_VTIND_PARM		2		#i index to vt assc. w/ vto
define VTO_SPEC_PARM		3		#i data storage specification
define VTO_ORDER_PARM		4		#b data ordered flag
define VTO_DTYPE_PARM		5		#i data type
define VTO_MODE_PARM		6		#i input mode
define VTO_SET_PARM		7		#b memory allocation flag
define VTO_VCT_PARM		8		#p pointer to vector memory
define VTO_CVI_PARM		9		#i current vector index
define VTO_AUX_PARM		10		#p pointer to auxilary memory

#	These indicate the current mode of data entry into a VTO.

define VTO_NEW			1		# no data is currently stored
define VTO_APPEND		2		# append data after the CVI
define VTO_INSERT		3		# insert data before the CVI
define VTO_OVRWRT		4		# over write data at the CVI

#	These specify how the vector is stored.

define VTO_ARRAY		1		# within an array
define VTO_DELTA		2		# as a delta min/max
define VTO_FNCT			3 		# as a function
define VTO_POLY			4		# as a polynomial

