# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  ebprint.x
# 	Author	:  ericco
# 	Date	:  12/04/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) ebprint.x -r1.5 12/04/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	10/13/97   mabbott	removed an unused variable
# 	10/13/97   mabbott	removed condition field code
# 	12/17/92   ericco	added empty output check
# 	12/04/92   ericco	date and time created 92/12/04 14:56:19 by ericco
# H-
# 
#

#	Revised: 10/13/97

#	EUV buffer print operations

#
#  NOTE - MJA 10/13/97
#
#     I removed all the code supporting condition fields because it
#   is no longer supported, since it needs to use illegal QPOE calls.
#   On input, cndoff will always be -1.
#

include <mach.h>
include	<edata.h>
include	"../eb/ebuffer.h"

#	Events are print to fd

procedure	eb_print (fd, offsets, formats, len, cndoff,
			  xs, xe, xlen, eb, ob) #E
int		fd		#I file descriptor
int		offsets[len]	#I field offsets
pointer		formats[len]	#I field formats
int		len		#I number of fields
int		cndoff		#I condition field offset
double		xs[xlen]	#I condition field range
double		xe[xlen]	#I condition field range
int		xlen		#I number of ranges
pointer		eb		#B input events
pointer		ob		#B output events

long		index
pointer		ptr
int		i
int	printit
#bool	open_left, open_right
#double	v

begin
  printit = YES
#  if (cndoff > 0) {
#    open_left = (xs[1] == LEFTD)
#    open_right = (xe[xlen] == RIGHTD)
#  }	
  EB_FROMFIRST(index, eb) {
    ptr = EB_POINTER(eb, index)
#    if (cndoff > 0) {
#      v = EB_VALUE(ptr, cndoff)
#      printit = NO
#      if (open_left && open_right && xlen == 1) ;
#      else {
#		 do i = 1, xlen {
#		  if (i == 1 && open_left) {
#			if (v < xe[1]) {printit = YES; break}
#		  } else if (i == xlen && open_right) {
#			if (v > xs[xlen]) {printit = YES; break}
#		  } else if (v >= xs[i] && v <= xe[i]) {
#			printit = YES; break
#		  }
#		 }
#      }
#    }
	
    if (printit == YES) {
      do i = 1, len {
		call fprintf(fd, Memc[formats[i]])
		call pargd(EB_VALUE(ptr, offsets[i]))
      }
      call fprintf(fd, "\n")
    }
    call eb_copye(eb, index, ob, index) # general event copy
  }
  EBG_USED(ob) = EBG_USED(eb)
  EBG_USED(eb) = 0
  if (EBG_USED(ob) == 0) ob = 0
end
