# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfdelta.x
# 	Author	:  tnk
# 	Date	:  10/19/95
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfdelta.x -r1.1 10/19/95 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	10/19/95   tnk	date and time created 95/10/19 09:39:36 by tnk
# H-
# 
#


#       Version: @(#)dfdelta.x	1.1 10/19/95 UCB CEA EGO

include "df.h"

#
# df_gdelta() returns the delta values of the df.
#

bool	procedure	df_gdelta(df, gap, delta, base) #E

pointer	df			#I discrete function
double	gap			#O gap value
double	delta			#O delta value
double	base			#O base value

pointer dmn
pointer dto_usr()

begin
	if(DF_DELTA(df)) {
		dmn = dto_usr(DF_DMN(df)) 
		gap = DMN_GAP(dmn)
		delta = DMN_DELTA(dmn)
		base = DMN_BASE(dmn)
	} 
	return DF_DELTA(df)
end


#
# df_pdelta() sets the delta and base values of the df
#	and declears the df as a delta df.
#

procedure	df_pdelta(df, gap, delta, base) #E

pointer	df			#I discrete function
double	gap			#I gap value
double	delta			#I delta value
double	base			#I base value

pointer dmn
pointer dto_usr()

begin
	DF_DELTA(df) = TRUE
	dmn = dto_usr(DF_DMN(df)) 
	DMN_GAP(dmn) = gap
	DMN_DELTA(dmn) = delta
	DMN_BASE(dmn) = base
end


#
# df_undelta() unsets the delta and base values of the df
#	and declears the df as not a delta df.
#

procedure	df_undelta(df) #E

pointer	df			#I discrete function

pointer dmn
pointer dto_usr()

begin
	DF_DELTA(df) = FALSE
	dmn = dto_usr(DF_DMN(df)) 
	DMN_GAP(dmn) = INDEFD
	DMN_DELTA(dmn) = INDEFD
	DMN_BASE(dmn) = INDEFD
end
