# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfedge.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfedge.x -r1.2 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/24/95   akeith	updated documentation
# 	03/30/94   akeith	date and time created 94/03/30 12:37:00 by akeith
# H-
# 
#


#       Version: @(#)dfedge.x	1.2 4/24/95 UCB CEA EGO

include "df.h"

#
# df_gedge() returns the values of the left and right
#	edge extensions of the df. Initially these are
#	set to INDEFD.
#

procedure	df_gedge(df, ledge, redge) #E

pointer	df			#I discrete function
double	ledge			#O left edge value
double	redge			#O right edge value

pointer rng
pointer dto_usr()

begin
	rng = dto_usr(DF_RNG(df)) 
	ledge = RNG_LEDGE(rng)
	redge = RNG_REDGE(rng)
end


#
# df_pedge() sets the values of the left and right
#	edge extensions of the df. Initially these
#	are set to INDEFD.
#

procedure	df_pedge(df, ledge, redge) #E

pointer	df			#I discrete function
double	ledge			#I left edge value
double	redge			#I right edge value

pointer rng
pointer dto_usr()

begin
	rng = dto_usr(DF_RNG(df)) 
	RNG_LEDGE(rng) = ledge
	RNG_REDGE(rng) = redge
end

