# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfgxrng.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfgxrng.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 12:37:03 by akeith
# H-
# 
#


#       Version: @(#)dfgxrng.x	1.1 3/30/94 UCB CEA EGO

include "df.h"
include <dtset.h>

#
# df_gxrng()
#

procedure	df_gxrng(df, xmin, xmax) #E

pointer	df			#I discrete function
double	xmin			#O x min
double	xmax			#O x max

double	ymin, ymax

int	npts, dto_stati()
int	stat, df_dgetd()

begin

	if(DF_STORAGE(df) == DF_SYM) {
		call df_minmax(df, xmin, xmax, ymin, ymax)
	} else {

		call df_gx0(df, xmin)
		if(IS_INDEFD(xmin)) {
			call df_mkx0(df)
			call df_gx0(df, xmin)
		}

		npts = dto_stati(DF_DMN(df), DTO_NELMS_PARM)
		call df_seekg(df, npts)
		stat = df_dgetd(df, xmax, ymax, 1)
		call df_rewind(df)

	}

end

