# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfopk.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfopk.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 12:37:12 by akeith
# H-
# 
#


#	Version: @(#)dfopk.x	1.1 3/30/94 UCB CEA EGO

include	"op.h"
include	<dfset.h>

#
# op_open()
#

pointer	procedure	op_open(op, a, b) #I

pointer	op			#O operational pointer
pointer	a			#I input df
pointer	b			#O existing output df

int	type_a, type_b
int	df_type()
pointer	df_tmp()

begin

	call df_rewind(a)

	call op_malloc(op)
	OP_DF(op) = NULL
	OP_OP(op) = 0

#       
#   If the input is the output make a tmp df.
#
	if(a == b) {
		OP_DF(op) = df_tmp(b, df_type(b))
		OP_OP(op) = AEQB
		return(OP_DF(op))
	}
#
#   Otherwise, check for df type conversion.
#
	call df_reset(b)

	type_a = df_type(a); type_b = df_type(b)

	if(type_a != type_b) {

		if(type_b == DF_PD) {
			OP_OP(op) = PFPD
			OP_DF(op) = b
			b = df_tmp(a, type_a)
			return(b)
		}

		call error(1, "op_open(): Bad conversion.")
	}

	OP_OP(op) = ABOK
	return(b)
end


#
# op_close()
#

procedure	op_close(op, a, b) #I

pointer	op			#O operational pointer
pointer	a			#O input df
pointer	b			#O existing output df

begin

	switch(OP_OP(op)) {
	  case AEQB:
		call df_reset(a)
		call df_mov(OP_DF(op), a)
		call df_tmpclose(OP_DF(op))

	  case PFPD:
		call df_pfpd(b, OP_DF(op))
		call df_tmpclose(b)
		b = OP_DF(op)
	}

	call op_free(op)

	call df_rewind(a)
	call df_rewind(b)

end

