# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dfprint.x
# 	Author	:  tnk
# 	Date	:  04/28/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dfprint.x -r1.2 04/28/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/08/94   tnk	added df_predge call
# 	04/28/94   tnk	date and time created 94/04/28 12:02:00 by tnk
# H-
# 
#


# @(#)dfprint.x	1.2 9/8/94 UCB CEA EGO

# print the elements of a DF (Discrete Function)

procedure df_print(a,n_elem,msg)   #External
pointer a       #I input DF
int  n_elem     #I number to print
char msg[ARB]   #I ascii message to print

# Local Variables
double x,y 
int count
int df_dgetd()

begin

   call eprintf("*** %s ***\n")
   call pargstr(msg)

   call df_predge(a,msg)

   # print each domain, range element
   for (count=1; count<=n_elem; count=count+1) {

      if ( df_dgetd(a,x,y,1) != 0 ) {

         call eprintf("%3d) %30.20f %30.20f\n")
         call pargi(count)
         call pargd(x)
         call pargd(y)
 
      }
      else {
         break
      }

   }

   call df_rewind(a)

end
