# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dsu.gx
# 	Author	:  ericco
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dsu.gx -r1.2 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/14/92   ericco	added documentation
# 	04/30/92   ericco	date and time created 92/04/30 00:14:43 by ericco
# H-
# 
#


#	Convert a string into a short debug string representation

procedure	ds_str(out, ip, str)
char		out[ARB]		#O output buffer
int		ip			#I/O output positio
char		str[ARB]		#I string to format

int		len, strlen()

begin
  len = strlen(str)
  if (len > 10) len = 10
  call strcpy(str, out[ip], len)
  ip = ip + len
  out[ip] = ' '
  ip = ip + 1
  out[ip] = EOS
end

#	Convert a real number into a string

procedure	ds_r(out, ip, dat)
char		out[ARB]		#O output buffer
int		ip			#I/O output position
real		dat			#I data value

double		d

begin
  d = dat
  call ds_d(out, ip, d)
end

#	Convert a double to a string

procedure	ds_d(out, ip, dat)
char		out[ARB]		#O output buffer
int		ip			#I/O output position
double		dat			#I data value

int		dtoc()

begin
  ip = ip + dtoc (dat, out[ip], ARB, 5, 'g', 10)
  out[ip] = ' '
  ip = ip + 1
  out[ip] = EOS
end


#	Convert short, int, and char into a string
procedure	ds_s(out, ip, dat)
char		out[ARB]		#O output buffer
int		ip			#I/O output positio
short		dat			#I data value

long		l
begin
  l = dat
  call ds_l(out, ip, l)
end

#	Convert short, int, and char into a string
procedure	ds_i(out, ip, dat)
char		out[ARB]		#O output buffer
int		ip			#I/O output positio
int		dat			#I data value

long		l
begin
  l = dat
  call ds_l(out, ip, l)
end

#	Convert short, int, and char into a string
procedure	ds_c(out, ip, dat)
char		out[ARB]		#O output buffer
int		ip			#I/O output positio
char		dat			#I data value

long		l
begin
  l = dat
  call ds_l(out, ip, l)
end


#	Convert a long into a string
procedure	ds_l(out, ip, dat)
char		out[ARB]		#O output buffer
int		ip			#I/O output position
long		dat			#I data value

int		ltoc()

begin
  ip = ip + ltoc (dat, out[ip], ARB)
  out[ip] = ' '
  ip = ip + 1
  out[ip] = EOS
end
