
#       Version: @(#)bufcopy.ggx	1.1 3/30/94 UCB CEA EGO




#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_scpys(ibuf, ip, inelms, obuf, op, onelms) #I

short	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
short	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFS(ibuf[ip+i]))
			obuf[op+i] = INDEFS
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_scpyi(ibuf, ip, inelms, obuf, op, onelms) #I

short	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
int	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFS(ibuf[ip+i]))
			obuf[op+i] = INDEFI
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_scpyl(ibuf, ip, inelms, obuf, op, onelms) #I

short	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
long	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFS(ibuf[ip+i]))
			obuf[op+i] = INDEFL
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_scpyr(ibuf, ip, inelms, obuf, op, onelms) #I

short	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
real	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFS(ibuf[ip+i]))
			obuf[op+i] = INDEFR
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_scpyd(ibuf, ip, inelms, obuf, op, onelms) #I

short	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
double	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFS(ibuf[ip+i]))
			obuf[op+i] = INDEFD
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end





#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_icpys(ibuf, ip, inelms, obuf, op, onelms) #I

int	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
short	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFI(ibuf[ip+i]))
			obuf[op+i] = INDEFS
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_icpyi(ibuf, ip, inelms, obuf, op, onelms) #I

int	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
int	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFI(ibuf[ip+i]))
			obuf[op+i] = INDEFI
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_icpyl(ibuf, ip, inelms, obuf, op, onelms) #I

int	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
long	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFI(ibuf[ip+i]))
			obuf[op+i] = INDEFL
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_icpyr(ibuf, ip, inelms, obuf, op, onelms) #I

int	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
real	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFI(ibuf[ip+i]))
			obuf[op+i] = INDEFR
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_icpyd(ibuf, ip, inelms, obuf, op, onelms) #I

int	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
double	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFI(ibuf[ip+i]))
			obuf[op+i] = INDEFD
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end





#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_lcpys(ibuf, ip, inelms, obuf, op, onelms) #I

long	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
short	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFL(ibuf[ip+i]))
			obuf[op+i] = INDEFS
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_lcpyi(ibuf, ip, inelms, obuf, op, onelms) #I

long	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
int	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFL(ibuf[ip+i]))
			obuf[op+i] = INDEFI
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_lcpyl(ibuf, ip, inelms, obuf, op, onelms) #I

long	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
long	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFL(ibuf[ip+i]))
			obuf[op+i] = INDEFL
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_lcpyr(ibuf, ip, inelms, obuf, op, onelms) #I

long	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
real	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFL(ibuf[ip+i]))
			obuf[op+i] = INDEFR
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_lcpyd(ibuf, ip, inelms, obuf, op, onelms) #I

long	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
double	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFL(ibuf[ip+i]))
			obuf[op+i] = INDEFD
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end





#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_rcpys(ibuf, ip, inelms, obuf, op, onelms) #I

real	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
short	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFR(ibuf[ip+i]))
			obuf[op+i] = INDEFS
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_rcpyi(ibuf, ip, inelms, obuf, op, onelms) #I

real	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
int	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFR(ibuf[ip+i]))
			obuf[op+i] = INDEFI
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_rcpyl(ibuf, ip, inelms, obuf, op, onelms) #I

real	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
long	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFR(ibuf[ip+i]))
			obuf[op+i] = INDEFL
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_rcpyr(ibuf, ip, inelms, obuf, op, onelms) #I

real	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
real	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFR(ibuf[ip+i]))
			obuf[op+i] = INDEFR
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_rcpyd(ibuf, ip, inelms, obuf, op, onelms) #I

real	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
double	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFR(ibuf[ip+i]))
			obuf[op+i] = INDEFD
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end





#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_dcpys(ibuf, ip, inelms, obuf, op, onelms) #I

double	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
short	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFD(ibuf[ip+i]))
			obuf[op+i] = INDEFS
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_dcpyi(ibuf, ip, inelms, obuf, op, onelms) #I

double	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
int	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFD(ibuf[ip+i]))
			obuf[op+i] = INDEFI
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_dcpyl(ibuf, ip, inelms, obuf, op, onelms) #I

double	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
long	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFD(ibuf[ip+i]))
			obuf[op+i] = INDEFL
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_dcpyr(ibuf, ip, inelms, obuf, op, onelms) #I

double	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
real	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFD(ibuf[ip+i]))
			obuf[op+i] = INDEFR
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



#
# buf_[silrd]cpy[silrd]() copies from ip, inelm number of elements
#	of ibuf to obuf starting at op a maximum of onelms number
#	of elements. ip and op are updated by adding the number
#	of elements actually copied.
#

int	procedure	buf_dcpyd(ibuf, ip, inelms, obuf, op, onelms) #I

double	ibuf[ARB]			#O in buffer
int	ip				#O in buf position
int	inelms				#I in number of elements
double	obuf[ARB]			#O out buffer
int	op				#O out buf position
int	onelms				#I out number of elements

int	i
int	cpy_nelms			# nelms to cpy from ibuf to obuf

begin

	if(inelms < onelms) cpy_nelms = inelms
	else cpy_nelms = onelms

	i = 0
	while(i < cpy_nelms) {
		if(IS_INDEFD(ibuf[ip+i]))
			obuf[op+i] = INDEFD
		else	obuf[op+i] = ibuf[ip+i]	
		i = i + 1
	}

	ip = ip + i
	op = op + i 

	return(i)

end



