# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtclose.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtclose.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:26 by akeith
# H-
# 
#


#       Version: @(#)dtclose.x	1.1 3/30/94 UCB CEA EGO

include "dt.h"

#
# dt_close closes a data table, freeing memory and ridding itself of 
#	any attached data table objects.
#

procedure	dt_close (dt) #E

pointer dt				#O pointer to data table

pointer sp, name
pointer dto, item
bool	ls_next()

begin

#   Remove the list of dto's

	call smark(sp)
	call salloc(name, SZ_DTO_NAME, TY_CHAR)
	Memc[name] = EOS

	dto = NULL
	call ls_start(DT_LS(dt))
	while(ls_next(DT_LS(dt), Memc[name], SZ_DTO_NAME, dto)) {
		call dto_destroy(dto)
		call ls_delete(DT_LS(dt), Memc[name], dto)
	}
	call ls_close(DT_LS(dt))

	
	call ls_start(DT_HDR(dt))
	while(ls_next(DT_HDR(dt), Memc[name], SZ_DTO_NAME, item)) {
		call item_release(item)
		call ls_delete(DT_HDR(dt), Memc[name], dto)
	}
	call ls_close(DT_HDR(dt))

	call sfree(sp)

	call dt_free(dt)

end


