# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtdtomkusr.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtdtomkusr.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:28 by akeith
# H-
# 
#


#       Version: @(#)dtdtomkusr.x	1.1 3/30/94 UCB CEA EGO

include	"dt.h"
include	"dto.h"

#
# dt_mkdtousr() sets a user defined pointer and its release function
#	for the named dto. The release function should expect a single
#	argument, the user pointer, usr.
#

procedure	dt_mkdtousr(dt, name, usr, usr_close) #E

pointer	dt				#I pointer to data table
char	name[ARB]			#I usr pointer
pointer usr				#I usr pointer
extern	usr_close			#I usr close function

pointer	dto				# pointer to data table object

begin

	call ls_get(DT_LS(dt), name, dto)
	if(dto == NULL) call error(1, "dt_mkdtousr(): Invalid dto name.")

	call dto_mkusr(dto, usr, usr_close)

end


#
# dto_mkusr() sets a user defined pointer and its release function
#	for the given dto. The release function should expect a single
#	argument, the user pointer, usr.
#

procedure	dto_mkusr(dto, usr, usr_close) #E

pointer	dto				#I pointer to data table object
pointer usr				#I usr pointer
extern	usr_close			#I usr close function

pointer locpr()

begin

	if(dto == NULL) call error(1, "dto_mkusr(): Invalid dto.")

	DTO_USR(dto) = usr
	DTO_UREL(dto) = locpr(usr_close)
end

