# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtghdr.gx
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtghdr.gx -r1.2 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/09/94   akeith	added type bool to generic list
# 	03/30/94   akeith	date and time created 94/03/30 14:11:33 by akeith
# H-
# 
#


#       Version: @(#)dtghdr.gx	1.2 4/9/94 UCB CEA EGO

include "dt.h"


#
# dt_ghdr$t()
#

procedure	dt_ghdrb(dt, name, value, status) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
bool	value				#O value to store
int	status				#O status

pointer	item				# item
bool	item_is_b()

begin
	status = NO
	call ls_get(DT_HDR(dt), name, item)
	if(item == NULL) return
	if(item_is_b(item)) {
		call item_to_b(item, value)
		status = YES
	}
end

#
# dt_ghdr$t()
#

procedure	dt_ghdrd(dt, name, value, status) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
double	value				#O value to store
int	status				#O status

pointer	item				# item
bool	item_is_d()

begin
	status = NO
	call ls_get(DT_HDR(dt), name, item)
	if(item == NULL) return
	if(item_is_d(item)) {
		call item_to_d(item, value)
		status = YES
	}
end

#
# dt_ghdr$t()
#

procedure	dt_ghdrr(dt, name, value, status) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
real	value				#O value to store
int	status				#O status

pointer	item				# item
bool	item_is_r()

begin
	status = NO
	call ls_get(DT_HDR(dt), name, item)
	if(item == NULL) return
	if(item_is_r(item)) {
		call item_to_r(item, value)
		status = YES
	}
end

#
# dt_ghdr$t()
#

procedure	dt_ghdrs(dt, name, value, status) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
short	value				#O value to store
int	status				#O status

pointer	item				# item
bool	item_is_s()

begin
	status = NO
	call ls_get(DT_HDR(dt), name, item)
	if(item == NULL) return
	if(item_is_s(item)) {
		call item_to_s(item, value)
		status = YES
	}
end

#
# dt_ghdr$t()
#

procedure	dt_ghdrl(dt, name, value, status) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
long	value				#O value to store
int	status				#O status

pointer	item				# item
bool	item_is_l()

begin
	status = NO
	call ls_get(DT_HDR(dt), name, item)
	if(item == NULL) return
	if(item_is_l(item)) {
		call item_to_l(item, value)
		status = YES
	}
end

#
# dt_ghdr$t()
#

procedure	dt_ghdri(dt, name, value, status) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
int	value				#O value to store
int	status				#O status

pointer	item				# item
bool	item_is_i()

begin
	status = NO
	call ls_get(DT_HDR(dt), name, item)
	if(item == NULL) return
	if(item_is_i(item)) {
		call item_to_i(item, value)
		status = YES
	}
end

#
# dt_ghdr$t()
#

procedure	dt_ghdrc(dt, name, value, status) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
char	value				#O value to store
int	status				#O status

pointer	item				# item
bool	item_is_c()

begin
	status = NO
	call ls_get(DT_HDR(dt), name, item)
	if(item == NULL) return
	if(item_is_c(item)) {
		call item_to_c(item, value)
		status = YES
	}
end



#
# dt_ghdrp()
#

procedure	dt_ghdrp(dt, name, value, status) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
pointer	value				#O value to store
int	status				#O status

pointer	item				# item
bool	item_is_p()

begin
	status = NO
	call ls_get(DT_HDR(dt), name, item)
	if(item == NULL) return
	if(item_is_p(item)) {
		call item_to_p(item, value)
		status = YES
	}
end


#
# dt_ghdrt()
#

procedure	dt_ghdrt(dt, name, value, maxch, status) #E

pointer dt				#I pointer to data table
char	name[ARB]			#I name of header
char	value[ARB]			#O value to store
int	maxch				#I max number of chars
int	status				#O status

pointer sp, str
pointer	item				# item
bool	item_is_string()

begin
	status = NO
	call ls_get(DT_HDR(dt), name, item)
	if(item == NULL) return
	if(item_is_string(item)) {
		call smark(sp)
		call item_to_string(item, str)
		call strcpy(Memc[str], value, maxch)
		call sfree(sp)
		status = YES
	}
end

