# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtodestroy.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtodestroy.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:42 by akeith
# H-
# 
#


#       Version: @(#)dtodestroy.x	1.1 3/30/94 UCB CEA EGO

include "dto.h"

#
# dto_destroy deletes a data table object from a data table.
#

procedure	dto_destroy (dto) #I

pointer dto				#O pointer to data table object

begin


	if(dto == NULL) return

	call dto_flush(dto)

	if(DTO_BUF_PTR(dto) != NULL)
		call mfree(DTO_BUF_PTR(dto), DTO_DTYPE(dto))

	if(DTO_IO(dto) != NULL && DTO_IOREL(dto) != NULL)
		call zcall2(DTO_IOREL(dto), DTO_IO(dto), DTO_USR(dto))

	if(DTO_USR(dto) != NULL && DTO_UREL(dto) != NULL)
		call zcall1(DTO_UREL(dto), DTO_USR(dto))

   # Free structure.

	call dto_free(dto)

end

