# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtopen.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtopen.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:50 by akeith
# H-
# 
#


#       Version: @(#)dtopen.x	1.1 3/30/94 UCB CEA EGO

include "dt.h"

#
# dt_open opens and initializes a new data table, dt. For each
#	data table any number of data table objects, dto's, may
#	be named and created. A dto presents a common interface
#	for handling data, whether it is store in a dto's internal
#	memory or as a symbolic link to some other data storage.
#

pointer		procedure	dt_open () #E

pointer dt				# pointer to data table

begin
	call dt_malloc(dt)
	call dt_init(dt)

	return(dt)
end


#
# dt_init initializes a newly created data table structure.
#

procedure	dt_init (dt) #I

pointer dt				#I pointer to data table

begin

	call ls_open(DT_LS(dt))
	call ls_open(DT_HDR(dt))

end

