# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtoset.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtoset.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:51 by akeith
# H-
# 
#


#       Version: @(#)dtoset.x	1.1 3/30/94 UCB CEA EGO

include <dtset.h>
include "dto.h"

define	DT_DEFAULT	-128

#
# dto_set[bdilrsp] sets the value of a particular parameter stored within
#       the data table object.
#

procedure	dto_setb (dto, dto_param, value) #E

pointer dto				#I pointer to data table
int	dto_param			#I parameter to be set
bool	value				#I new value for parameter

begin

	switch	(dto_param) {

	case DT_DEFAULT:
	default:  call error(1, "dto_set(): No such parameter.")

	}

end


#
# dto_set[bdilrsp] sets the value of a particular parameter stored within
#       the data table object.
#

procedure	dto_setd (dto, dto_param, value) #E

pointer dto				#I pointer to data table
int	dto_param			#I parameter to be set
double	value				#I new value for parameter

begin

	switch	(dto_param) {

	case DT_DEFAULT:
	default:  call error(1, "dto_set(): No such parameter.")

	}

end


#
# dto_set[bdilrsp] sets the value of a particular parameter stored within
#       the data table object.
#

procedure	dto_seti (dto, dto_param, value) #E

pointer dto				#I pointer to data table
int	dto_param			#I parameter to be set
int	value				#I new value for parameter

begin

	switch	(dto_param) {

	case DTO_PAGESZ_PARM:
		DTO_PAGESZ(dto) = value
		if(DTO_PAGESZ(dto) <= 0) DTO_PAGESZ(dto) = 1

	default:  call error(1, "dto_set(): No such parameter.")

	}

end


#
# dto_set[bdilrsp] sets the value of a particular parameter stored within
#       the data table object.
#

procedure	dto_setl (dto, dto_param, value) #E

pointer dto				#I pointer to data table
int	dto_param			#I parameter to be set
long	value				#I new value for parameter

begin

	switch	(dto_param) {

	case DT_DEFAULT:
	default:  call error(1, "dto_set(): No such parameter.")

	}

end


#
# dto_set[bdilrsp] sets the value of a particular parameter stored within
#       the data table object.
#

procedure	dto_setr (dto, dto_param, value) #E

pointer dto				#I pointer to data table
int	dto_param			#I parameter to be set
real	value				#I new value for parameter

begin

	switch	(dto_param) {

	case DT_DEFAULT:
	default:  call error(1, "dto_set(): No such parameter.")

	}

end


#
# dto_set[bdilrsp] sets the value of a particular parameter stored within
#       the data table object.
#

procedure	dto_sets (dto, dto_param, value) #E

pointer dto				#I pointer to data table
int	dto_param			#I parameter to be set
short	value				#I new value for parameter

begin

	switch	(dto_param) {

	case DT_DEFAULT:
	default:  call error(1, "dto_set(): No such parameter.")

	}

end

