# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtstat.x
# 	Author	:  akeith
# 	Date	:  03/30/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtstat.x -r1.1 03/30/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/30/94   akeith	date and time created 94/03/30 14:11:59 by akeith
# H-
# 
#


#       Version: @(#)dtstat.x	1.1 3/30/94 UCB CEA EGO

include <dtset.h>
include "dt.h"

define	DT_DEFAULT	-128

#
# dt_stat[bdilrsp] returns the value of a particular parameter stored within
#	the data table.
#

bool	procedure	dt_statb (dt, dt_param) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to inquire

bool	value				# output value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:
		call error(1, "dt_stat(): No such parameter.")
		value = FALSE

	}

	return(value)

end


#
# dt_stat[bdilrsp] returns the value of a particular parameter stored within
#	the data table.
#

double	procedure	dt_statd (dt, dt_param) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to inquire

double	value				# output value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:
		call error(1, "dt_stat(): No such parameter.")
		value = INDEFD
	}

	return(value)

end


#
# dt_stat[bdilrsp] returns the value of a particular parameter stored within
#	the data table.
#

int	procedure	dt_stati (dt, dt_param) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to inquire

int	value				# output value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:

		call error(1, "dt_stat(): No such parameter.")
		value = INDEFI

	}

	return(value)

end


#
# dt_stat[bdilrsp] returns the value of a particular parameter stored within
#	the data table.
#

long	procedure	dt_statl (dt, dt_param) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to inquire

long	value				# output value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:

		call error(1, "dt_stat(): No such parameter.")
		value = INDEFL

	}

	return(value)

end


#
# dt_stat[bdilrsp] returns the value of a particular parameter stored within
#	the data table.
#

pointer	procedure	dt_statp (dt, dt_param) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to inquire

pointer	value				# output value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:

		call error(1, "dt_stat(): No such parameter.")
		value = NULL

	}

	return(value)

end


#
# dt_stat[bdilrsp] returns the value of a particular parameter stored within
#	the data table.
#

real	procedure	dt_statr (dt, dt_param) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to inquire

real	value				# output value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:

		call error(1, "dt_stat(): No such parameter.")
		value = INDEFR

	}

	return(value)

end


#
# dt_stat[bdilrsp] returns the value of a particular parameter stored within
#	the data table.
#

short	procedure	dt_stats (dt, dt_param) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to inquire

short	value				# output value for parameter

begin

	switch	(dt_param) {

	case DT_DEFAULT:
	default:

		call error(1, "dt_stat(): No such parameter.")
		value = INDEFS

	}

	return(value)

end


#
# dt_stat[bdilrsp] returns the value of a particular parameter stored within
#	the data table.
#

procedure	dt_statt (dt, dt_param, value) #E

pointer dt				#I pointer to data table
int	dt_param			#I parameter to inquire
char	value[ARB]			#O output value for parameter

begin

	value[1] = EOS

	switch	(dt_param) {

	case DT_DEFAULT:
	default:
		call error(1, "dt_stat(): No such parameter.")

	}

end

