# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  ewbproc.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) ewbproc.x -r1.6 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/04/94   akeith	Got rid of DEBUG statements
# 	09/28/92   akeith	put in debug statements
# 	10/30/91   ericco	removed ind declaration
# 	10/28/91   ericco	use standard MWCS routines. Also allow additional
# 	05/07/91   ericco	date and time created 91/05/07 14:06:32 by ericco
# H-
# 
#

#	Revised: 5/4/94

include <iraf.h>

include	<dbg.h>
include <edata.h>
include	"ebuffer.h"

#	Write out a event buffer.
#	This requires a transformation into physical
#	image coordinates and a sort.
procedure	ewb_proc(state, ct, xi, yi, # es,
			 eb, force)
pointer		state
pointer		ct
long		xi, yi
#pointer		es
pointer		eb
int		force

int		index
pointer		ptr
#double		in[2], out[2]
pointer		eo
#int		ind

begin
  if (eb != 0) {
    call eb_ctran2(ct, eb, xi, yi, xi, yi)
#    call es_split(es, eb, yi)
  }
#  ind = 0
#  if (force == 0) {
#    call es_popfull(es, ind, eo)
#  } else {
#    call es_popany(es, ind, eo)
#  }
  eo = eb
  if (eo == 0 && force == 1) {
    call ewt_flush (state)
  } else if (eo != 0) {
    EB_FROMFIRST(index, eo) {
      ptr = EB_POINTER(eo, index)
      call ewt_out (state, Memd[ptr])
    }
    EBG_USED(eo) = 0
  }
  eb = eo
end
