# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  edgtbl.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) edgtbl.x -r1.3 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/28/92   akeith	put in debug statements
# 	05/07/91   ericco	date and time created 91/05/07 14:07:13 by ericco
# H-
# 
#

#	Revised: 9/28/92

include	<edata.h>
include <dbg.h>

#	Get table pointer from a column name.
procedure	edgtbl (ptr, name, tbl)		# get table from column
pointer		ptr				#I data pointer
char		name[ARB]			#I column name
pointer		tbl				#O pointer to table name

long		len
bool		streq()
long		index
pointer		cols
pointer		tnames

begin

DEBUG(
        call dbg_printf("edgtbl,func", "edgtbl() column name = %s\n")
        call pargstr(name)
)

	cols = ED_COLUMN(ptr)
	tnames = ED_TABLES(ptr)
	len = VEC_SIZE(cols)

	do index = 1, len {
		if (streq(name, VEC_STRING(cols,index))) {
			tbl = VEC_ELEMENT(tnames,index)
			return
		}
	}
	tbl = 0

return

end

