# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  edgtc.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) edgtc.x -r1.3 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/28/92   akeith	put in debug statements
# 	05/07/91   ericco	date and time created 91/05/07 14:07:17 by ericco
# H-
# 
#

#	Revised: 9/28/92

include	<edata.h>
include <dbg.h>

#
#	Get a table pointer and a column index
#	from a column name using the info already
#	stored in the ED_ structure.
#

procedure	edgtc (ed_ptr, name, tbl, col)	# get table, column index

pointer		ed_ptr				#I data pointer
char		name[ARB]			#I column name
long		tbl				#O table index
long		col				#O column index

long		len
bool		streq()
long		index
pointer		cols

begin

DEBUG(
	call dbg_printf("edgtc,fun", "edgtc() name = %s\n")
	call pargstr(name)
)
  cols = ED_COLUMN(ed_ptr)		# list of column names
  len = VEC_SIZE(cols)

  do index = 1, len {
    if ( streq( name, VEC_STRING(cols, index) ) ) {
      tbl = VEC_ELEMENT( ED_TBL_REF(ed_ptr), index) 	# corres. table
      col = index
      return
    }
  }

  col = 0
  tbl = 0

end

