#	Generated from euvlib$eerror.h.
#	Revised: %G%

include <eerror.h>
procedure	eerror(e)
int		e

begin
  switch(e){
	case EES_GENERAL: call error(e,"General CEA library error")
	case EES_GROUP: call error(e,"Table Group not in same table")
	case EES_INDBUF: call error(e,"Invalid indirect buffer")
	case EES_DIRBUF: call error(e,"Invalid direct buffer")
	case EES_EXTPTR: call error(e,"Buffer already allocated")
	case EES_NEXTPTR: call error(e,"Buffer not allocated")
	case EES_VALFLD: call error(e,"Invalid field index")
	case EES_INDLIST: call error(e,"Indirect buffer allocated")
	case EES_NINDLIST: call error(e,"Indirect buffer not allocated")
	case EES_TRUNCLIST: call error(e,"Event list truncated")
	case EES_CORRFULL: call error(e,"Correction buffer overflow")
	case EES_REQPIPE: call error(e,"Record isn't a pipeline")
	case EES_REQREAD: call error(e,"Record isn't a read")
	case EES_NOREAD: call error(e,"Record is a read")
	case EES_DETOFF: call error(e,"Detector data unavailable")
	case EES_REQLIST: call error(e,"List record is required")
	case EES_WRGTYPE: call error(e,"Bad record type")
	case EES_DTRNFND: call error(e,"Record not found")
	case EES_NOASP: call error(e,"No Aspect Data")
	case EES_NULCOL: call error(e,"No Data in Column")
	case EES_NOQUAT: call error(e,"Quaternion Record Not Found")
	case EES_NOTAB: call error(e,"Table not found")
	case EES_BAD_QPOE_TYPE: call error(e,"Bad QPOE event type specifcation")
	case EES_DS_NOT_EXPECTED: call error(e,"Internal error, ds_type not expected for item")
	case VT_NULLPTR: call error(e,"Null pointer received")
	case VT_NOPARM: call error(e,"No such parameter exists")
	case VT_BADINDX: call error(e,"Index out of range")
	case VT_MEMSET: call error(e,"Vector memory already allocated")
	case VT_BADCVI: call error(e,"Current vector index out of range")
	case VT_BADDTYP: call error(e,"Incompatible data type")
	default: call error(e,"Unknown error number")
  }
end
