# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  ekgcur.x
# 	Author	:  ericco
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) ekgcur.x -r1.2 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/15/95   akeith	fixed commands beginning with the letter q
# 	04/30/92   ericco	date and time created 92/04/30 00:35:59 by ericco
# H-
# 
#

include	"ek.h"

#	Read a keyboard event
int procedure	ek_gcur (param, ek, wx, wy, wcs, strval, maxch)
char	param[ARB]		#I input parameter
pointer	ek			#I key map
real	wx, wy			#O cursor coordinates
int	wcs			#O wcs to which coordinates belong
char	strval[ARB]		#O string value, if any
int	maxch

int	clgcur(), clgkey()
int	key
pointer	sp
pointer	buf
pointer	value
bool	streq()
int	stat
int	getline()
int	strlen()
int	ctor()
real	rval
int	ip

begin
  stat = 0
  call smark(sp)
  call salloc(buf, maxch, TY_CHAR)

  wx = INDEFR
  wy = INDEFR
  wcs = 0

  if (streq("line", param)) {
    if (getline(STDIN, Memc[buf]) == EOF) {
      Memc[buf] = 'q'
      Memc[buf+1] = EOS
    } else {
      stat = strlen(Memc[buf]) - 1
      Memc[buf+stat] = EOS
    }
    call strcpy(Memc[buf], strval, maxch)
  } else if (streq("ukey", param)) {
    switch(clgkey ("ukey", key, Memc[buf], maxch)) {
    default: # no string value and no key value
      strval[1] = EOS
    case EOF :
      stat = EOF
    case 1 : # no string value and a key value
      Memc[buf] = key
      Memc[buf+1] = EOS
      call ek_get(ek, Memc[buf], value)
      if (value == 0)	call strcpy(Memc[buf], strval, maxch)
      else		call strcpy(Memc[value], strval, maxch)
    case 2 : # all ready have a string value
      call ek_get(ek, Memc[buf], value)
      if (value != 0)	call strcpy(Memc[value], strval, maxch)
      else		call strcpy(Memc[buf], strval, maxch)
    }
  } else switch(clgcur (param, wx, wy, wcs, key, Memc[buf], maxch)) {
  default: # no string value and no key value
    strval[1] = EOS
  case EOF:
    stat = EOF
  case 4 : # no string value and a key value
    Memc[buf] = key
    Memc[buf+1] = EOS
    call ek_get(ek, Memc[buf], value)
    if (value == 0)	call strcpy(Memc[buf], strval, maxch)
    else		call strcpy(Memc[value], strval, maxch)
  case 5 : # all ready have a string value
    call ek_get(ek, Memc[buf], value)
    if (value != 0)	call strcpy(Memc[value], strval, maxch)
    else		call strcpy(Memc[buf], strval, maxch)
  }

  call sfree(sp)

  if (stat != EOF) {
    switch (strval[1]) {
    case 'q' :
      if (strval[2] == EOS) {
         stat = EOF;
         strval[1] = EOS
      }
    case 'x' :
      if (strval[2] == ' ') {
	ip = 3
	if (ctor(strval[1], ip, rval) > 0) wx = rval
	strval[1] = EOS
      } else if (strval[2] == 'y' && strval[3] == ' ') {
	ip = 4
	if (ctor(strval[1], ip, rval) > 0) wx = rval
	if (ctor(strval[1], ip, rval) > 0) wy = rval
	strval[1] = EOS
      }
    case 'y' :
      if (strval[2] == ' ') {
	ip = 3
	if (ctor(strval[1], ip, rval) > 0) wy = rval
	strval[1] = EOS
      } else if (strval[2] == 'x' && strval[3] == ' ') {
	ip = 4
	if (ctor(strval[1], ip, rval) > 0) wy = rval
	if (ctor(strval[1], ip, rval) > 0) wx = rval
	strval[1] = EOS
      }
    }
  }

  return stat
end
