# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  eoxauto.x
# 	Author	:  akeith
# 	Date	:  07/15/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) eoxauto.x -r1.2 07/15/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/26/94   akeith	added str macro
# 	07/15/94   akeith	date and time created 94/07/15 11:39:59 by akeith
# H-
# 
#


#	Version: @(#)eoxauto.x	1.2 7/26/94 UCB CEA EGO

define	C	Memc[($1)]

#
# eox_auto_detect()
#

int	procedure	eox_auto_detect(data, npix)

real	data[npix]			#I
int	npix				#I

int	ip				#
int	len				#
int	vs, ve				#
real	x, width			#
pointer	auto_rgn			#

int	stat, eu_grange()
real	rval, c1d_center()

begin

	ip = 1
	call eu_clstr(auto_rgn, "auto_rgn")
	stat = eu_grange(C(auto_rgn), ip, vs, ve)

	width = 4.0
	len = ve - vs + 1
	x = real(ve - vs + 1)/2.0
	rval = c1d_center(x, data[vs], len, width)
	if(IS_INDEF(rval)) {
		call eprintf("\n Center not found using 1024.\n")
		return(1024)
	}

	return(int(rval+vs))
end

