# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  eoxprofile.x
# 	Author	:  akeith
# 	Date	:  07/15/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) eoxprofile.x -r1.1 07/15/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/15/94   akeith	date and time created 94/07/15 11:40:05 by akeith
# H-
# 
#


#	Version: @(#)eoxprofile.x	1.1 7/15/94 UCB CEA EGO

include	<dfset.h>

#
# eox_gprofs()
#

procedure	eox_gprofs(ili, mw, match, ncol, nline, ishift, profs, start_ln, end_ln)

pointer	ili				#
pointer	mw				#
pointer	match				#
int	ncol				#
int	nline				#
int	ishift				#
pointer	profs				#
int	start_ln			#
int	end_ln				#

int	i, j

double	wx, wy
double	df_integ()

pointer	prof
pointer	pf_prof, df_open()

bool	fp_equald()

begin

	pf_prof = df_open(DF_PF, TY_REAL, TY_REAL)

	do i = 1, nline {

		call lw_c2trand(mw, "world", 1.0d0, double(i), wx, wy)

		call df_reset(pf_prof)

		call ili_retrieve(ili, wy, pf_prof)

		j = i + ishift
		if(!fp_equald(df_integ(pf_prof), 0.0d0)) {
			if(start_ln == 0) start_ln = j
			else end_ln = j
			call salloc(prof, ncol, TY_REAL)
			call eox_gprof(pf_prof, match, Memr[prof], ncol)
			Meml[profs+j-1] = prof
		}
	}

	call df_close(pf_prof)

end


#
# eox_gprof()
#

procedure	eox_gprof(df, match, prof, len)

pointer	df				#
pointer	match				#
real	prof[len]			#
int	len				#

pointer sp, x				#
pointer	pd, df_open()			#
int	stat, df_rgetr()		#

begin

	call smark(sp)
	call salloc(x, len, TY_REAL)

	pd = df_open(DF_PD, TY_REAL, TY_REAL)

	call df_mul(df, match, pd)
	call df_dfdomain(pd, match, pd)
	stat = df_rgetr(pd, Memr[x], prof, len)

	call df_close(pd)
	call sfree(sp)

end

