# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dtgetb.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) dtgetb.x -r1.4 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	12/18/92   akeith	put in error checking
# 	09/28/92   akeith	put in debug statements
# 	10/29/91   ericco	add eu_mfree call
# 	05/07/91   ericco	date and time created 91/05/07 14:09:15 by ericco
# H-
# 
#

#	Revised: 12/18/92
include <error.h>

#	Get a boolean value from a text database

bool	procedure dtgetb (dt, record, label) # get boolean

pointer	dt					#I data base
int	record					#I record id
char	label[ARB]				#I field label

pointer sp, tmp
pointer	ptr
bool	streq(), value
int	errcode()

begin

	iferr( call dtgptr(dt, record, label, ptr) ) {

		call smark(sp)
		call salloc(tmp, SZ_LINE, TY_CHAR)
		call strcpy("Unable to locate ", Memc[tmp], SZ_LINE)
		call strcat(label, Memc[tmp], SZ_LINE)
		call error(errcode(), Memc[tmp])
		call sfree(sp)

		value = FALSE
		call eu_mfree(ptr, TY_CHAR)
	} else {
		value = streq(Memc[ptr], "yes") || streq(Memc[ptr], "YES")
		call eu_mfree(ptr, TY_CHAR)
	}

	return value

end

