# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  eugwind.x
# 	Author	:  akeith
# 	Date	:  03/25/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) eugwind.x -r1.1 03/25/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/25/94   akeith	date and time created 94/03/25 12:41:34 by akeith
# H-
# 
#


#       Version: @(#)eugwind.x	1.1 3/25/94 UCB CEA EGO

#
# eu_gwind()
#

procedure	eu_gwind(cmd, wx, wy, wxl, wxh, wyl, wyh, fnc, state)

char	cmd				#I
real	wx				#I
real	wy				#I
real	wxl				#O
real	wxh				#O
real	wyl				#O
real	wyh				#O
int	fnc				#
pointer	state				#

int	stat

real	tmp
real	centx, centy
real	difx, dify
real	halfx, halfy

extern	fnc()

begin

	switch(cmd) {
	  case 'a':				# a
		stat = fnc(state, wxl, wxh, wyl, wyh)

	  case 'b':				# b
		wyl = wy

	  case 'c':				# c
		centx = (wxh-wxl)/2.0 + wxl
		centy = (wyh-wyl)/2.0 + wyl
		difx = centx - wx
		dify = centy - wy
		wxl = wxl - difx
		wxh = wxh - difx
		wyl = wyl - dify
		wyh = wyh - dify

	  case 'd':				# d
		centy = (wyh-wyl)/2.0 + wyl
		dify = centy - wyl
		wyl = wyl + dify
		wyh = wyh + dify

	  case 'f':				# f
		tmp = wxl
		wxl = wxh
		wxh = tmp

	  case 'g':				# g
		tmp = wyl
		wyl = wyh
		wyh = tmp

	  case 'j':				# j
		wxl = wx

	  case 'k':				# k
		wxh = wx

	  case 'l':				# l
		centx = (wxh-wxl)/2.0 + wxl
		difx = centx - wxl
		wxl = wxl + difx
		wxh = wxh + difx

	  case 'p':				# p
		halfx = (wxh-wxl)/2.0
		halfy = (wyh-wyl)/2.0
		centx = halfx + wxl
		centy = halfy + wyl
		difx = centx - wx
		dify = centy - wy
		wxl = wxl - difx - halfx
		wxh = wxh - difx + halfx
		wyl = wyl - dify - halfy
		wyh = wyh - dify + halfy

	  case 'm':				# m
		stat = fnc(state, wxl, wxh, wx, wy)

	  case 'n':				# n
		stat = fnc(state, wx, wy, wyl, wyh)

	  case 'r':				# r
		centx = (wxh-wxl)/2.0 + wxl
		difx = centx - wxl
		wxl = wxl - difx
		wxh = wxh - difx

	  case 't':				# t
		wyh = wy

	  case 'u':				# u
		centy = (wyh-wyl)/2.0 + wyl
		dify = centy - wyl
		wyl = wyl - dify
		wyh = wyh - dify

	  case 'x':				# x
		halfx = (wxh-wxl)/2.0
		centx = halfx + wxl
		difx = centx - wx
		wxl = wxl - difx + halfx/2.0
		wxh = wxh - difx - halfx/2.0

	  case 'y':				# y
		halfy = (wyh-wyl)/2.0
		centy = halfy + wyl
		dify = centy - wy
		wyl = wyl - dify + halfy/2.0
		wyh = wyh - dify - halfy/2.0

	  case 'z':				# z
		halfx = (wxh-wxl)/2.0
		halfy = (wyh-wyl)/2.0
		centx = halfx + wxl
		centy = halfy + wyl
		difx = centx - wx
		dify = centy - wy
		wxl = wxl - difx + halfx/2.0
		wxh = wxh - difx - halfx/2.0
		wyl = wyl - dify + halfy/2.0
		wyh = wyh - dify - halfy/2.0
	}

end

