# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  eunewimg.x
# 	Author	:  akeith
# 	Date	:  02/17/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) eunewimg.x -r1.3 02/17/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/14/94   akeith	added pixtype
# 	03/07/94   akeith	it now compiles
# 	02/17/94   akeith	date and time created 94/02/17 11:24:07 by akeith
# H-
# 
#


#	Version: @(#)eunewimg.x	1.3 9/14/94 UCB CEA EGO

include	<imhdr.h>

define	IMG_HDR_SZ	28800

#
# eu_newimg()
#

pointer	procedure	eu_newimg(image, r, w, cd, npts, ndim, pixtype)

char	image[ARB]		#I
real	r[ndim]			#I
real	w[ndim]			#I
real	cd[ndim, ndim]		#I
int	npts[ndim]		#I
int	ndim			#I
int	pixtype			#I

int	i			#
pointer im, immap()		#
pointer bpt, imgl1r()		#
pointer mw, mw_openim()		#

begin

	im = immap(image, NEW_IMAGE, IMG_HDR_SZ)
	
	IM_NDIM(im) = ndim
	do i = 1, ndim
		IM_LEN(im, i) = npts[i]

	IM_PIXTYPE(im) = pixtype
	bpt = imgl1r(im)

	mw = mw_openim(im)
	call mw_newsystem(mw, "world", IM_NDIM(im))
	call mw_swtermr(mw, r, w, cd, IM_NDIM(im))
	call mw_saveim(mw, im)
	call mw_close(mw)

	return(im)
		
end

