# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  eunewstr.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) eunewstr.x -r1.3 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	12/27/96   mabbott	added eu_snewstr()
# 	09/14/94   akeith	fixed strcpy
# 	05/07/91   ericco	date and time created 91/05/07 14:13:58 by ericco
# H-
# 
#

#	Revised: 12/27/96

#	Alloc heap memory for a new copy of a string
#	and return a pointer to it.
procedure	eu_newstr (str, ptr)		# malloc new copy of string
char		str[ARB]			#I original string
pointer	ptr					#O pointer to new string

int	length
int	strlen()

begin
  length = strlen (str) + 1

  call eu_malloc (ptr, length, TY_CHAR)
  call strcpy (str, Memc[ptr], length)
end

#	Alloc stack memory for a new copy of a string
#	and return a pointer to it.
procedure	eu_snewstr (str, ptr)		# malloc new copy of string
char		str[ARB]			#I original string
pointer	ptr					#O pointer to new string

int	length
int	strlen()

begin
  length = strlen (str) + 1

  call eu_salloc (ptr, length, TY_CHAR)
  call strcpy (str, Memc[ptr], length)
end
