# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  fnpath.x
# 	Author	:  tnk
# 	Date	:  04/28/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) fnpath.x -r1.2 04/28/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/28/94   tnk	added sccs keywords
# 	04/28/94   tnk	date and time created 94/04/28 12:20:27 by tnk
# H-
# 
#


# @(#)fnpath.x	1.2 4/28/94

# FNPATH -- Extract the file name path from a virtual file name (or from a
# machine dependent filename.  If the VFN contains no path name, the null
# string is returned.  This occurs when the VFN refers to a directory or
# device, or when the VFN string is a null string.  The number of chars in
# the path file name is returned as the function value.

int procedure fnpath (vfn, outstr, maxch)

char    vfn[ARB], outstr[maxch]
int     maxch
int     root_offset, extn_offset, nchars_path
int     gstrcpy()

begin
        call zfnbrk (vfn, root_offset, extn_offset)
        nchars_path = max(0, min(maxch, root_offset-1))

        return (gstrcpy (vfn[1], outstr, nchars_path))
end
