# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  qpacqfields.x
# 	Author	:  bboyd
# 	Date	:  09/19/97
# 	Synopsis:  
# 	Keywords:
# 		@(#) qpacqfields.x -r1.3 09/19/97 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/25/97   bboyd	Changed TY_INT to TY_CHAR for the string malloc
# 	09/22/97   bboyd	working
# 	09/19/97   bboyd	date and time created 97/09/19 16:17:24 by bboyd
# H-
# 
#


# @(#)qpacqfields.x	1.3 9/25/97  UCB CEA EGO

# qpacquirefields.x - get fields for a QPOE file of unknown format....

include <qpioset.h>
include <qpset.h>

procedure qp_acquirefields (qpio, ddptr)

pointer qpio		#I QPIO descriptor 
pointer ddptr		#I QPIO field information struct
pointer qp		# QPOE descriptor
pointer eventlist	# string name of event list parameter
char    datatype[SZ_DATATYPE]
int     maxelem 
char    comment[SZ_COMMENT]
int     flags
int 	numelem		# number of elements in the parameter named in datatype
int	str_size	# size of fieldlist string to malloc
int	numparsed	# number of chars parsed by qp_parseeuv

pointer	qpio_stati()
int	qp_lenf(), qp_parseeuv()

pointer	fieldlist

begin

    # Get pointer to the QPOE
    qp = qpio_stati(qpio, QPIO_QP)

    # Get the QPOE event list
    eventlist = qpio_stati(qpio, QPIO_PARAMP)

    # Get the string value named in datatype
    call qp_queryf(qp, Memc[eventlist], datatype, maxelem, comment, flags)

    # Get the number of elements in the value of datatype, malloc space
    numelem = qp_lenf(qp, datatype)

    str_size = numelem + 1
    call malloc (fieldlist, str_size, TY_CHAR)

    # Get the field list
    call qp_gstr(qp, datatype, Memc[fieldlist], numelem)

    numparsed = qp_parseeuv(qp, Memc[fieldlist],  ddptr)

    call mfree(fieldlist, TY_CHAR)
end

