# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  qpfldoff.x
# 	Author	:  tnk
# 	Date	:  05/02/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) qpfldoff.x -r1.1 05/02/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/02/94   tnk	date and time created 94/05/02 13:29:28 by tnk
# H-
# 
#

#@(#)qpfldoff.x	1.1 5/2/94 UCB CEA EGO

#----------------------------------
# given name of qpoe field, return type and offset

procedure qpfld_off(qp, field, fld_type, offset)
pointer qp          #I qpoe file
char    field[ARB]  #I name of qpoe field
char    fld_type    #O field type (ie, sirld)
int     offset      #O offset into qpoe event structure

long lval
int  ip
char first_dig
int  radix
pointer new_field
pointer sp
int  stridx()

begin

  call smark(sp)
  call salloc(new_field, SZ_LINE, TY_CHAR)

  call qp_expandtext(qp, field, Memc[new_field], SZ_LINE)
  fld_type = Memc[new_field]
  first_dig = Memc[new_field+1]

  # verify attribute
  # note that this only a test of attribute format
  if ( (stridx(fld_type,"silrdSILRD") == 0) ||
       (stridx(first_dig,"0123456789") == 0))
  {
     call eprintf("bad attribute '%s' \n")
     call pargstr(field)
     call error(101,"Invalid attribute")
  }

  ip = 2
  radix = 10
  call gctol(Memc[new_field], ip, lval, radix)
  offset = lval / 2

  call sfree(sp)

end
