# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  qpofilt.x
# 	Author	:  tnk
# 	Date	:  05/02/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) qpofilt.x -r1.3 05/02/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	01/13/97   tnk	changed arg defs to match order of args; renamed qpparse to qp_parse
# 	02/08/95   tnk	corrected given array size in qpparse call
# 	05/02/94   tnk	date and time created 94/05/02 13:29:29 by tnk
# H-
# 
#

# @(#)qpofilt.x	1.3 1/13/97 UCB CEA EGO

# Open a QPOE for reading, parsing optional filter
#----------------------------------------------------------
procedure   qpofilt (qp, qpio, file)
pointer qp          #O returned qpoe file pointer
pointer qpio        #O returned qpoe i/o pointer
char    file[ARB]   #I name of QPOE file

# LOCAL VARS
pointer fname
pointer filter
pointer sp
pointer qp_open(), qpio_open()

begin

   call smark(sp)

   # split full qppath into filename & filter specification
   call salloc(fname, SZ_PATHNAME, TY_CHAR)
   call salloc(filter, SZ_PATHNAME, TY_CHAR)

   call qp_parse (file, Memc[fname], SZ_PATHNAME, Memc[filter], SZ_PATHNAME)
   qp = qp_open (Memc[fname], READ_ONLY, 0)
   qpio = qpio_open(qp, Memc[filter], READ_ONLY)

   call sfree(sp)

end
