# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  tbccpy.x
# 	Author	:  akeith
# 	Date	:  04/13/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) tbccpy.x -r1.3 04/13/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/05/93   akeith	fixed
# 	04/13/93   akeith	forgot version string
# 	04/13/93   akeith	date and time created 93/04/13 17:43:51 by akeith
# H-
# 
#


#       Version: @(#)tbccpy.x	1.3 5/5/93 UCB CEA EGO

#
# tbccpy() copies a column definition from the input column pointer of some
#	table and uses it to define a new column within the table specified
#	with the table pointer, tb, returning the newly defined column
#	pointer, colnew.
#

pointer	procedure	tbccpy(tb, colptr)

pointer	tb			#I newly created table
pointer	colptr			#I originating column

int	colnum
int	datatype
int	lendata
int	lenfmt
int	numcols

pointer	sp
pointer colname			# string
pointer colunits		# string
pointer colfmt			# string
pointer colnew			# newly defined column

begin

	numcols = 1

	call smark(sp)
	call salloc(colname, SZ_LINE, TY_CHAR)
	call salloc(colunits, SZ_LINE, TY_CHAR)
	call salloc(colfmt, SZ_LINE, TY_CHAR)

	call tbcinf(colptr, colnum, Memc[colname], Memc[colunits],
				Memc[colfmt], datatype, lendata, lenfmt)

	call tbcdef(tb, colnew, Memc[colname], Memc[colunits],
				Memc[colfmt], datatype, lendata, numcols)
	call sfree(sp)

	return(colnew)

end

