# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  tbcgttn.x
# 	Author	:  tnk
# 	Date	:  07/19/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) tbcgttn.x -r1.1 07/19/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/19/93   tnk	date and time created 93/07/19 14:45:44 by tnk
# H-
# 
#


# @(#)tbcgttn.x	1.1 7/19/93 UCB CEA EGO

# tbcgttn -- getcol text, trimming trailing blanks
# Read values for one column from a range of rows.  This is for character
# strings.

procedure tbcgttn (tp, colptr, buffer, nullflag, lenstring, firstrow, lastrow)


pointer tp                      # Pointer to table descriptor
pointer colptr                  # Pointer to descriptor of the column
char    buffer[lenstring,ARB]   # Buffer for values
bool    nullflag[ARB]           # True if element is undefined in table
int     lenstring               # The number of char in each element of buffer
int     firstrow                # Number of first row from which to get values
int     lastrow                 # Number of last row from which to get values

int i
int row

begin

   call tbcgtt (tp, colptr, buffer, nullflag, lenstring, firstrow, lastrow)

   i = 1
   for (row=firstrow; row<=lastrow; row=row+1){
      call trimwhite(buffer[1,i])
      i=i+1
   }

end




