# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  tbrgttn.x
# 	Author	:  tnk
# 	Date	:  07/19/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) tbrgttn.x -r1.1 07/19/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/19/93   tnk	date and time created 93/07/19 14:45:46 by tnk
# H-
# 
#


# @(#)tbrgttn.x	1.1 7/19/93 UCB CEA EGO

# tbrgttn -- get row of text, trimming any trailing blanks
# Read column values from a row.  This is for character strings.

procedure tbrgttn (tp, cp, buffer, nullflag, lenstr, numcols, rownum)

pointer tp                      # Pointer to table descriptor
pointer cp[ARB]                 # Array of pointers to column descriptors
char    buffer[lenstr,ARB]      # Buffer for values
bool    nullflag[ARB]           # True if element is undefined in table
int     lenstr                  # Length of each string in array buffer
int     numcols                 # Number of columns from which to get values
int     rownum                  # Row number

int i

begin

   call tbrgtt (tp, cp, buffer, nullflag, lenstr, numcols, rownum)
  
   for (i=1; i<=numcols; i=i+1)
      call trimwhite(buffer[1,i])

end
