# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  grptbggrp.x
# 	Author	:  akeith
# 	Date	:  07/16/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) grptbggrp.x -r1.1 07/16/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	date and time created 93/07/16 11:05:42 by akeith
# H-
# 
#


#       Version: @(#)grptbggrp.x	1.1 7/16/93 UCB CEA EGO

include "grp.h"

#
# grp_tbggrp() looks for the given keword first in the ST table
#	specified by fd. If it is unable to find it there, then
#	looks to the cl. If the given file descriptor is NULL the
#	cl is searched directly.
#

pointer	procedure	grp_tbggrp(fd, keyword) #E

pointer	fd				#I file descriptor
char	keyword[ARB]			#I keyword

pointer sp				# stack pointer
pointer	grp				# group library pointer
pointer list				# tmp list buffer

begin

	call smark(sp)
	call salloc(list, GRP_LNOC, TY_CHAR)
	Memc[list] = EOS

	call grp_malloc(grp)
	call grp_init(grp, fd, keyword)

	if(GRP_FD(grp) != NULL) {

		GRP_FDTYPE(grp) = GRP_TABLE
		iferr(call tbhgtt(fd, keyword, Memc[list], GRP_LNOC))
			call grp_clstr(keyword, Memc[list], GRP_LNOC)

	} else call grp_clstr(keyword, Memc[list], GRP_LNOC)

	if(Memc[list] != EOS) call grp_slist(grp, Memc[list])
	else call grp_close(grp)

	call sfree(sp)
	return(grp)

end


