# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  gtload.x
# 	Author	:  akeith
# 	Date	:  04/28/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) gtload.x -r1.2 04/28/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/23/94   akeith	fixed now sends rvalue to gt_merge()
# 	04/28/92   akeith	date and time created 92/04/28 11:42:02 by akeith
# H-
# 
#

#  Date last modified: 5/23/94

include <gt.h>
include <tbset.h>

#
# gt_load loads a good time table.
#

int	procedure	gt_load(gt_ptr, tb_name)

pointer	gt_ptr					#O good time structure pointer
char	tb_name[ARB]				#I ST table name

int	length

pointer sp
pointer sgt, egt

int	tbtacc()
pointer tbtopn()
int	tbpsta()

begin

#	call fprintf(STDERR,"\n gt_load() \n")

	if(tbtacc(tb_name) == NO) return(NO)

	GT_TBPTR(gt_ptr) = tbtopn(tb_name, READ_ONLY, 0)

	length = tbpsta(GT_TBPTR(gt_ptr), TBL_NROWS)

	call smark(sp)
	call salloc(sgt, length, TY_DOUBLE)
	call salloc(egt, length, TY_DOUBLE)

	call gt_cload(gt_ptr, "stime", sgt, length)
	call gt_cload(gt_ptr, "etime", egt, length)

	call tbtclo(GT_TBPTR(gt_ptr))

	call gt_merge(gt_ptr, Memd[sgt], Memd[egt], length)

	GT_TBPTR(gt_ptr) = NULL

	call sfree(sp)

	return(YES)

end

