# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  gtmerge.x
# 	Author	:  akeith
# 	Date	:  04/28/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) gtmerge.x -r1.2 04/28/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	10/13/97   bboyd	changed qp_rlmerged to qp_rlmergeeuvd
# 	04/28/92   akeith	date and time created 92/04/28 11:42:03 by akeith
# H-
# 
#

#  Date last modified: 10/13/97

include <gt.h>

#
# gt_merge takes the intersections of two good time arrays.
#

procedure	gt_merge(gt_ptr, sgt, egt, length)

pointer gt_ptr						#O gt structure pointer
double	sgt[ARB]					#I start good time array
double	egt[ARB]					#I start good time array
int	length						#I array length

int	xgt_len						# memory length
pointer xsgt, xegt                                      # start and end pointers

int     ogt_len                                         # memory length
pointer osgt, oegt                                      # start and end pointers

int	qp_rlmergeeuvd()

begin

#	call fprintf(STDERR,"\n gt_merge() \n")

	xsgt = GT_SGT_PTR(gt_ptr)
	xegt = GT_EGT_PTR(gt_ptr)
	xgt_len = GT_SGT_LEN(gt_ptr)

	if(xsgt == NULL) {
		call malloc(xsgt, length, TY_DOUBLE)
		call malloc(xegt, length, TY_DOUBLE)
		call amovd(sgt, Memd[xsgt], length)
		call amovd(egt, Memd[xegt], length)
		GT_SGT_PTR(gt_ptr) = xsgt
		GT_SGT_LEN(gt_ptr) = length
		GT_EGT_PTR(gt_ptr) = xegt
		GT_EGT_LEN(gt_ptr) = length
		return
	}

	osgt = NULL
	osgt = NULL
	ogt_len = 0
	length = qp_rlmergeeuvd(osgt, oegt, ogt_len,
			 Memd[xsgt], Memd[xegt], xgt_len, sgt, egt, length)


	call mfree(GT_SGT_PTR(gt_ptr), TY_DOUBLE)
	call mfree(GT_EGT_PTR(gt_ptr), TY_DOUBLE)

	call malloc(GT_SGT_PTR(gt_ptr), length, TY_DOUBLE)
	call malloc(GT_EGT_PTR(gt_ptr), length, TY_DOUBLE)

	GT_SGT_LEN(gt_ptr) = length
	GT_EGT_LEN(gt_ptr) = length

	xsgt = GT_SGT_PTR(gt_ptr)
	xegt = GT_EGT_PTR(gt_ptr)

	call amovd(Memd[osgt], Memd[xsgt], length)
	call amovd(Memd[oegt], Memd[xegt], length)

	call mfree(osgt, TY_DOUBLE)
	call mfree(oegt, TY_DOUBLE)

end

