# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  ilops.x
# 	Author	:  ericco
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) ilops.x -r1.3 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	11/17/92   ericco	added map function
# 	04/30/92   ericco	date and time created 92/04/30 01:45:59 by ericco
# H-
# 
#

include "il.h"

#	Construct a new itemlist node
procedure	il_new(il, str) #E
pointer		il		#O new itemlist
char		str[ARB]	#I label

int		len
int		strlen()
pointer		buf

begin
  len = strlen(str)
  call malloc(buf, len, TY_CHAR)
  call il_malloc(il)
  IL_NAME_PTR(il) = buf

  call strcpy(str, IL_NAME(il), len)
  call item_new_empty(IL_VALUE(il))
  IL_NEXT(il) = 0
end

#	Release everything in an itemlist
procedure	il_close(top, release) #E
pointer		top		#I itemlist
pointer		release		#I release function

pointer		il
pointer		nil

begin
  for (il = top; il != 0; il = nil) {
    nil = IL_NEXT(il)
    call mfree(IL_NAME_PTR(il), TY_CHAR)
    call item_release(IL_VALUE(il), release)
  }
  top = 0
end


#
# il_next()
#

int	procedure	il_next(il, str, item)

pointer	il			#O symbol table
char	str[ARB]		#O label
pointer item			#O item

int	len
int	strlen()

begin

	if(il == NULL) return(0)

	len = strlen(IL_NAME(il))
	call strcpy(IL_NAME(il), str, len)

	item = IL_VALUE(il)
	il = IL_NEXT(il)

	return(1)

end

