# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  iadd.gx
# 	Author	:  tnk
# 	Date	:  03/02/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) iadd.gx -r1.1 03/02/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/02/93   tnk	date and time created 93/03/02 09:24:41 by tnk
# H-
# 
#

# @(#)iadd.gx	1.1 3/2/93

#
# add 2 vectors with check for INDEF values
# c[i] = a[i] + b[i]

procedure iaddd (a, b, c, n)     #EXTERNAL

double	a[ARB]  #I input vector
double   b[ARB]  #I input vector
double   c[ARB]  #O output vector
int	n       #I length of vectors

int	i

begin
  do i = 1, n {
	if (IS_INDEFD(a[i]) || IS_INDEFD(b[i])) {
	  c[i] = INDEFD	
	}	
	else {	
	  c[i] = a[i] + b[i]
	}
  }
end

