# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  imulk.gx
# 	Author	:  tnk
# 	Date	:  03/02/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) imulk.gx -r1.1 03/02/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/02/93   tnk	date and time created 93/03/02 09:24:44 by tnk
# H-
# 
#

# @(#)imulk.gx	1.1 3/2/93

#
# multiply vector and a constant with check for INDEF values
# c[i] = a[i] * k

procedure imulkd (a, k, c, n)   #EXTERNAL

double	a[ARB]   #I input vector
double   c[ARB]   #O output vector
double   k        #I constant
int	n        #I length of vectors

int	i

begin
  do i = 1, n {
	if (IS_INDEFD(k) || IS_INDEFD(a[i])) {
	  c[i] = INDEFD	
	}	
	else {	
	  c[i] = k * a[i]
	}
  }
end


