# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  isqr.gx
# 	Author	:  tnk
# 	Date	:  03/02/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) isqr.gx -r1.1 03/02/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/02/93   tnk	date and time created 93/03/02 09:24:44 by tnk
# H-
# 
#

# @(#)isqr.gx	1.1 3/2/93

#
# sqrt with check for INDEF values and negative values
# b[i] = sqrt(a[i])
# 

procedure isqrl (a, b, n)   #EXTERNAL

long    a[ARB]   #I input vector
long	 b[ARB]   #O output vector
int	 n        #I length of vectors

int	 i

begin
        do i = 1, n {
                if (IS_INDEFL(a[i]) || a[i] < 0)
                    b[i] = INDEFL
                else
                {
                        b[i] = sqrt (double (a[i]))
                }
        }
end
