# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  plfclip.x
# 	Author	:  ericco
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) plfclip.x -r1.4 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/02/93   akeith	documented
# 	01/04/93   gareth	added comments
# 	04/13/92   ericco	date and time created 92/04/13 14:08:35 by ericco
# H-
# 
#


#       Version: @(#)plfclip.x	1.4 7/2/93 UCB CEA EGO

#
#	Clips a plf between minx and maxx and producess a new
#	plf.
#

procedure	plf_clip(xs, ys, len, minx, maxx, nxs, nys, nlen) #E
real		xs[len], ys[len]		#I plf
int		len				#I plf length
real		minx, maxx			#I clip region
pointer		nxs, nys			#O plf
int		nlen				#O plf len

int		x
real		clipx[2], clipy[2]
data		clipy / 1.0, 1.0 /

begin
  if (len < 2) return

  clipx[1] = max(minx,xs[1])
  clipx[2] = min(maxx,xs[len])

  call plf_binops(xs, ys, len,
		  clipx, clipy, 2, '*',
		  nxs, nys, nlen)
  do x = 1, nlen {
    if (Memr[nxs+x-1] < minx) {
      Memr[nxs+x-1] = minx
      Memr[nys+x-1] = 0
    } else if (Memr[nxs+x-1] > maxx) {
      Memr[nxs+x-1] = maxx
      Memr[nys+x-1] = 0
    }
  }
end
