# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  plffromarray.x
# 	Author	:  gareth
# 	Date	:  05/12/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) plffromarray.x -r1.2 05/12/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/02/93   gareth	added comments
# 	05/12/92   gareth	date and time created 92/05/12 14:50:13 by gareth
# H-
# 
#

#	Minx is really W0.  The x value corresponding to the first
#	bin in the array.  Dx is just WPC.
#	This function assumes that the array value represents the
#	integral of a curve.  It estimates the curve as the average
#	value over the interval. ie it generates points on the cell
#	boundaries
procedure	plf_from_array(minx, dx, array, len, xs, ys, length) #E
real		minx, dx		#I start and dx
real		array[len]		#I input
int		len			#I intput size
pointer		xs, ys			#O plf
int		length			#O plf size

real		lx
real            offset     
int		i

begin
  xs = 0
  ys = 0
  length = len * 2
  if (length == 0) return
  call malloc(xs, length, TY_REAL)
  call malloc(ys, length, TY_REAL)
  lx = minx - dx/2.0
  offset = lx
  do i = 1, len {
    Memr[xs+2*i-2] = lx
    lx = offset + i * dx
    Memr[xs+2*i-1] = lx
    Memr[ys+2*i-2] = array[i] 
    Memr[ys+2*i-1] = array[i] 
  }
end

