# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  plfop.x
# 	Author	:  ericco
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) plfop.x -r1.3 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   ericco	date and time created 92/04/13 14:14:41 by ericco
# H-
# 
#

# DATE:  7/2/93
# PLF OP
#
# INCLUDE FILES
#

# performs a given calculation on two variables

procedure plf_op( y1, y2, op, y ) #I

# AUTHOR : GARETH BEVAN
# HISTORY :
#
# IMPORT VARIABLES :
real y1, y2                               #I The input operands
int op                                    #I The operator

# IMPORT/EXPORT VARIABLES :
# EXPORT VARIABLES :
real y                                    #O The result
# LOCAL VARIABLES :
#############################################################################

begin
 
    y = 0
    switch (op) {
    case '+' :	y = y1 + y2
    case '-' :	y = y1 - y2
    case '%' :	y = y1 - long(y1 / y2) * y2
    case '/' :	if (y2 != 0) y = y1 / y2
    case '*' :	y = y1 * y2
    case '^' :	y = y1 ** y2
    case '&' :	if (y1 != 0 && y2 != 0) y = 1
    case '=' :	if (y1 == y2) y = 1
    case '|' :	if (y1 != 0 || y2 != 0) y = 1
    case '<' :	if (y1 < y2) y = 1
    case '>' :	if (y1 > y2) y = 1
    case 't' :	y = atan2(y1, y2)
    }


end  # OF PROCEDURE PLF OP
