# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  qscmp.x
# 	Author	:  akeith
# 	Date	:  03/24/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) qscmp.x -r1.2 03/24/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	09/28/94   akeith	documentation
# 	03/24/93   akeith	date and time created 93/03/24 14:26:50 by akeith
# H-
# 
#

#       Version: @(#)qscmp.x	1.2 9/28/94 UCB CEA EGO

include	"qs.h"

#
# qs_cmp() compares two events.
#

int	procedure	qs_cmp(p1, p2)

pointer	p1		#I qs record 1
pointer	p2		#I qs record 2

short	y1, y2
short	x1, x2

include	"qs.com"

begin

#   The field offsets, xoffset and yoffset are passed in 
#       using the common block in qs.com.

	y1 = Mems[p1+yoffset]; y2 = Mems[p2+yoffset]
	x1 = Mems[p1+xoffset]; x2 = Mems[p2+xoffset]

	     if(y1 < y2) return(-1)
	else if(y1 > y2) return( 1)
	else if(x1 < x2) return(-1)
	else if(x1 > x2) return( 1)
	else return(0)

end

