# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  cfdebug.x
# 	Author	:  akeith
# 	Date	:  02/12/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) cfdebug.x -r1.1 02/12/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/12/93   akeith	date and time created 93/02/12 10:34:23 by akeith
# H-
# 
#

#       Revised: 2/12/93

include "cf.h"


#
# cf_debug()
#
 
procedure	cf_debug(cf)  #E

pointer cf			#I/O composite file pointer

int	page
pointer pl

begin

	if(cf == NULL) return

	call eprintf("\n\n")

	if(CF_FNAME_PTR(cf) != NULL) {
		call eprintf("filename = %s\n")
		call pargstr(CF_FNAME(cf))
	}

	call eprintf("fd: %d omode: %d mode: %d type: %d\n")
	call pargi(CF_FD(cf))
	call pargi(CF_OMODE(cf))
	call pargi(CF_MODE(cf))
	call pargi(CF_TYPE(cf))

	call eprintf("create: %b pgsize: %d maxvfile: %d fo: %d\n")
	call pargb(CF_CREATE(cf))
	call pargi(CF_PAGESIZE(cf))
	call pargi(CF_MAXVFILE(cf))
	call pargl(CF_FO(cf))

	call eprintf("aep: %d npages: %d\n")
	call pargl(CF_AEP(cf))
	call pargi(CF_NPAGES(cf))

	call eprintf("----------------------------------------------\n")
	if(CF_PL_PTR(cf) != NULL) {
		do page = 1, CF_NPAGES(cf) {
			pl = CF_PL(cf, page)
			call eprintf("page: %d vfile: %d afp: %d\n")
			call pargi(page)
			call pargi(PL_VFILE(pl))
			call pargl(PL_AFP(pl))
		}
	}

	call eprintf("\n\n")

end

