# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vfdebug.x
# 	Author	:  akeith
# 	Date	:  02/12/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) vfdebug.x -r1.1 02/12/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/12/93   akeith	date and time created 93/02/12 10:34:30 by akeith
# H-
# 
#

#       Revised: 2/12/93

include "cf.h"
include <vfio.h>


#
# vf_debug()
#
 
procedure	vf_debug(cf, vfile)  #E

pointer cf			#I composite file pointer
int	vfile			#I virtual file number

pointer vf
int	page

begin

	if(cf == NULL) return
	vf = CF_VF(cf, vfile)

	call eprintf("\n")

	call eprintf("vfile # %d\n")
	call pargi(vfile)
	call eprintf("cf: %d mode: %d type: %d open: %b\n")
	call pargl(VF_CF(vf))
	call pargi(VF_MODE(vf))
	call pargi(VF_TYPE(vf))
	call pargb(VF_OPEN(vf))

	call eprintf("cpi: %d cafp: %d cvfp: %d veof: %d veop: %d npages: %d\n")
	call pargi(VF_CPI(vf))
	call pargi(VF_CAFP(vf))
	call pargi(VF_CVFP(vf))
	call pargl(VF_VEOF(vf))
	call pargl(VF_VEOP(vf))
	call pargi(VF_NPAGES(vf))

	call eprintf("----------------------------------------------\n")
	if(VF_APP_PTR(vf) != NULL) {
		do page = 1, VF_NPAGES(vf) {
			call eprintf("page: %d app: %d\n")
			call pargi(page)
			call pargl(VF_APP(vf, page))
		}
	}

	call eprintf("\n")

end

