# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vfopen.x
# 	Author	:  akeith
# 	Date	:  02/12/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) vfopen.x -r1.1 02/12/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	02/12/93   akeith	date and time created 93/02/12 10:34:35 by akeith
# H-
# 
#

#       Revised: 2/12/93

include "cf.h"
include <vfio.h>

#
# vf_open()
#

procedure	vf_open(cf, vfile, mode, type)  #E

pointer cf			#I/O composite file pointer
int	vfile			#I virtual file number
int	mode			#I file mode
int	type			#I file type

pointer vf

bool	vf_access()

begin

	if(type != BINARY_FILE) {
		call error(1, "File type not available.") 
		return
	}

	if(mode != READ_WRITE) {
		call error(1, "File mode not available.") 
		return
	}

	if(vf_access(cf, vfile, VF_VALID) == FALSE) {
		call error(1, "Invalid virtual file.") 
		return
	}

	if(vf_access(cf, vfile, VF_OPENED) == TRUE) {
		call error(1, "Virtual file already open.") 
		return
	}

	if(vf_access(cf, vfile, VF_EXISTS) == TRUE) {
		call error(1, "Virt. files exits")
	} else {
		call vf_malloc(vf)
		CF_VF(cf, vfile) = vf
		call vf_init(cf, vf, mode, type)
	}

end


