# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtgidsi.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtgidsi.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:27 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vt_gidsi returns the index of the vector table object designated as the
#	independent data set.
#

int	procedure	vt_gidsi (vt_ptr)

pointer vt_ptr				#I pointer to vector table

int	ids_indx			# index of VTO designated as ids

bool	vt_statb()
int	vt_stati()

begin

	if(vt_ptr == NULL) {
		call eerror(VT_NULLPTR)
		return(NULL)
	}

	if(vt_statb(vt_ptr, VT_IDSFLG_PARM) == FALSE) return(NULL)

	ids_indx = vt_stati(vt_ptr, VT_IDS_PARM)

	return(ids_indx)

end

