# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtgvctinfo.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtgvctinfo.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:29 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vt_gvctinfo returns the vector pointer, the number of elements and the
#	data type given a pointer to the vector table and the vector table
#	object.
#

procedure	vt_gvctinfo (vt_ptr, index, vct_ptr, nelms, dtype)

pointer vt_ptr				#I pointer to vector table
int	index				#I index of vector table object
pointer	vct_ptr				#O pointer to vector array
int	nelms				#O number of elements
int	dtype				#O data type

pointer	vto_ptr				# pointer to vector table object

pointer	vt_vtoptr()

begin

	if(vt_ptr == NULL) {
		call eerror(VT_NULLPTR)
		return
	}

	vto_ptr = vt_vtoptr(vt_ptr, index)

	call vto_gvctinfo(vto_ptr, vct_ptr, nelms, dtype)

end

