# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  vtpddsi.x
# 	Author	:  akeith
# 	Date	:  04/13/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) vtpddsi.x -r1.1 04/13/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/13/92   akeith	date and time created 92/04/13 15:34:48 by akeith
# H-
# 
#

#       Last revised: 4/13/92
#
include <vtl.h>
include <eerror.h>

#
# vt_pddsi designates a particular vector table object as the primary dependent
#	data set given a vto index.
#

procedure	vt_pddsi (vt_ptr, dds_indx)

pointer vt_ptr				#I pointer to vector table
int	dds_indx			#I index of VTO designated as dds

int	nvto				# number of vector table objects

int	vt_stati()

begin

	if(vt_ptr == NULL) {
		call eerror(VT_NULLPTR)
		return
	}

	nvto = vt_stati(vt_ptr, VT_NVTO_PARM)

	if(dds_indx > nvto || dds_indx < 1) {
		call eerror(VT_BADINDX)
		return
	}

	call vt_setb(vt_ptr, VT_DDSFLG_PARM, TRUE)
	call vt_seti(vt_ptr, VT_DDS_PARM, dds_indx)

end

