# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  cepcmd.x
# 	Author	:  akeith
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) cepcmd.x -r1.1 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/30/92   akeith	date and time created 92/04/30 12:35:43 by akeith
# H-
# 
#

define KEY_END              1
define KEY_INCLUDE          2
define KEY_ADD_PSET         3
define KEY_PIPELINE         4
define KEY_LOADPATH         5
define KEY_ADD_DELETE       6

define KEYWORDS 6
define DS_PA                1

procedure ii_eval (state, command)
pointer	state
char	command[ARB]

int	argc
int	key
pointer	rcmd
pointer	p1
pointer	t1

pointer	private


string	keydict ",end,include,add_pset,pipeline,loadpath,add_delete,"
pointer	sp
define	redo_	10
define	finish_	20
begin
	call smark(sp)
	call ii_error(state,YES)
	call ii_parse(state, command)
redo_
	call ii_args(state, argc)
	if (argc == 0) goto finish_
	call ii_lookup(state, keydict, key)
	if (key <= 0) {
		call ii_not_found(state)
		call ii_post_process(state, 1)
		goto finish_
	}
	if (key > KEYWORDS) goto finish_

	switch(key) {
		case KEY_ADD_DELETE:
			if (argc != 2) goto finish_
			call ii_pre_process(state)
			call ii_get_p (state, 2, p1)
			call cc_add_free(p1)
			call ii_post_process(state, 0)
		case KEY_ADD_PSET:
			if (argc != 1) goto finish_
			call ii_pre_process(state)
		call ii_private(state, private)
			call cc_add(private,p1)
			call ii_push_z (state, p1, DS_PA)
			call ii_post_process(state, 1)
		case KEY_END:
			if (argc != 1) goto finish_
			call ii_pre_process(state)
		call ii_private(state, private)
			call cc_end(private)
			call ii_post_process(state, 0)
		case KEY_PIPELINE:
			if (argc != 2) goto finish_
			call ii_pre_process(state)
			call ii_get_t (state, 2, t1)
		call ii_private(state, private)
			call cc_pipeline(private,Memc[t1])
			call ii_post_process(state, 0)
		case KEY_LOADPATH:
			if (argc != 2) goto finish_
			call ii_pre_process(state)
			call ii_get_t (state, 2, t1)
		call ii_private(state, private)
			call cc_loadpath(private,Memc[t1])
			call ii_post_process(state, 0)
		case KEY_INCLUDE:
			if (argc != 2) goto finish_
			call ii_pre_process(state)
			call ii_get_t (state, 2, t1)
		call ii_private(state, private)
			call cc_include(state,private,Memc[t1])
			call ii_post_process(state, 0)
	}
	call ii_error(state,NO)
	repeat {
		call ii_redo(state,rcmd)
		if (rcmd == 0) break
		call ii_parse(state, Memc[rcmd])
		call ii_args(state, argc)
		if (argc > 0) goto redo_
	}
finish_
	call ii_clean_include(state)
	call smark(sp)
end

procedure	ii_release(ptr, dtype)
pointer	ptr
int	dtype

begin
	switch(dtype) {
	case DS_PA: call cc_add_free(ptr)
	default: call mfree(ptr, dtype)
	}
	ptr = 0
end
