# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  t_cep2.x
# 	Author	:  akeith
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) t_cep2.x -r1.3 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/14/92   ericco	added documentation
# 	04/30/92   akeith	date and time created 92/04/30 12:35:46 by akeith
# H-
# 
#

#	t_cep2

include	"pa.h"
include	"cep.h"

#	prototype of next cep revision
procedure	t_cep ()

pointer	sp
pointer	buf

pointer	intr
pointer	cep

int	cep_newline()
extern	cep_close()
extern	ii_eval()
extern	ii_release()

begin
  call smark(sp)
  call salloc(buf, SZ_LINE, TY_CHAR)
  call cep_open(cep)
  call ii_open(intr, ii_eval, ii_release)
#  call ii_help_open (intr, "euv$doc/cepcmd.hlp")
  call ii_post_private (intr, cep, cep_close)

  while (cep_newline(cep, Memc[buf], SZ_LINE) != EOF) {
    call ii_evaluate (intr, Memc[buf])
  }

  call ii_close(intr)
  call sfree(sp)
end

#	create cep state
procedure	cep_open(cep)
pointer		cep		#O

begin
  call cep_new(cep)
  call ek_key_file (CEP_EK(cep), "cep.mac", 0)
end

#	release cep state
procedure	cep_close(cep)
pointer		cep		#I/O

begin
  call cc_close(cep)
  cep = 0
end

#	add command
procedure	cc_add(cep, addop)
pointer		cep		#I
pointer		addop		#I add structure

extern		cep_newline()

begin
  call pa_ps(cep_newline, cep, addop)
end

#	release add structure
procedure	cc_add_free(pa)
pointer		pa		#I/O

begin
  call mfree(PA_OPERATION_PTR(pa), TY_CHAR)
  call mfree(PA_INFIELD1_PTR(pa), TY_CHAR)
  call mfree(PA_INFIELD2_PTR(pa), TY_CHAR)
  call mfree(PA_OUTFIELD_PTR(pa), TY_CHAR)
  call pa_free(pa)
end

#	read a line of input
int	procedure	cep_newline (cep, buf, nchar)
pointer	cep			#I
char	buf[nchar]		#I input buffer
int	nchar			#I buffer size

int	wcs
real	wx, wy
int	ek_gcur()
pointer	ek
int	stat
bool	streq()

begin
  ek = CEP_EK(cep)
  stat = ek_gcur("line", ek, wx, wy, wcs, buf, nchar)
  if (stat != EOF) {
    if (streq(buf, "end")) {
      stat = EOF
    }
  }
  return stat
end
