# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqaddclsindx.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqaddclsindx.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:12 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_addclsindx() adds another cls structure index to the list of cls
#	indicies stored under this particular wcs. It increase the
#	length of the CLSINDX array, realloc's space, stores the 
#	index and increments the number cls index actually stored.
#

procedure	dq_addclsindx(wcs_ptr, cls_indx)

pointer	wcs_ptr					#O wcs structure pointer
int	cls_indx				#I dq cls list index

pointer wcs_clsindx_ptr

begin

	WCS_CLSINDX_LEN(wcs_ptr) = WCS_CLSINDX_LEN(wcs_ptr) + 1
	wcs_clsindx_ptr = WCS_CLSINDX_PTR(wcs_ptr)
	call realloc(wcs_clsindx_ptr, WCS_CLSINDX_LEN(wcs_ptr), TY_INT)
	WCS_CLSINDX_PTR(wcs_ptr) = wcs_clsindx_ptr

	WCS_CLSINDX(wcs_ptr, WCS_CLSINDX_LEN(wcs_ptr)) = cls_indx

	WCS_NCLSINDX(wcs_ptr) = WCS_NCLSINDX(wcs_ptr) + 1

end

