# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqcdisp.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqcdisp.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:16 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"
include <gset.h>

#
# dq_cdisp() is the first step in displaying a partular column. dq_gclsptr
#	gets a cls pointer to be displayed. dq_setdisp sets up the wcs
#	for displaying the column. dq_display does the actual displaying.
#

procedure	dq_cdisp(dq_ptr, col_name, wcs_indx, stype)

pointer	dq_ptr					#O dq structure pointer
char	col_name[ARB]				#I table name
int	wcs_indx				#I wcs index
int	stype					#I sample type

int	cls_indx				# dq cls list index

pointer cls_ptr
pointer dq_gclsptr()

begin

	cls_ptr = dq_gclsptr(dq_ptr, col_name, stype, cls_indx)
	if(cls_ptr == NULL) return

	if(CLS_DSPD(cls_ptr) == TRUE) return

	call dq_setdisp(dq_ptr, wcs_indx, cls_indx)

	call dq_display(DQ_DSP(dq_ptr))

end

