# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqchngmode.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqchngmode.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	05/05/93   akeith	added quit, changed gcur to cursor
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:19 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_chngmode() simply changes the mode to either line or gcur for eric's
#	ekgcur() which is stored within DQ_IMODE.
#

procedure	dq_chngmode (dq_ptr, mode)

pointer	dq_ptr						# dq structure pointer
char	mode[ARB]					# mode name

bool	dq_streq()

begin

	if(dq_streq(mode, "line")) 
		call strcpy("line", DQ_IMODE(dq_ptr), DQ_IMODE_LEN(dq_ptr))
	else if(dq_streq(mode, "cursor")) 
		call strcpy("gcur", DQ_IMODE(dq_ptr), DQ_IMODE_LEN(dq_ptr))

end


#
# dq_quit() simply changes the DQ_IMODE to quit to quit dqselect.
#

procedure	dq_quit (dq_ptr)

pointer	dq_ptr						# dq structure pointer

begin

	call strcpy("quit", DQ_IMODE(dq_ptr), DQ_IMODE_LEN(dq_ptr))

end


#
# dq_streq() compares str1 to str2.
#

bool	procedure	dq_streq (str1, str2)

char	str1[ARB]
char	str2[ARB]

int	i

begin

	do i = 1, ARB
		if(str1[i] != str2[i]) return(FALSE)
		else if(str1[i] == EOS) return(TRUE)

end
