# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqclos.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqclos.x -r1.6 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/29/92   akeith	Did the required gt_close() which was never done before.
# 	06/26/92   akeith	Gets the gio_ptr if the display structure, DSP has been allocated.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:24 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_clos() is the first step in closing up and freeing the 
#	entire dq sturcture which is done by dq_dqclos().
#

procedure	dq_clos(dq_ptr)

pointer	dq_ptr					#O dq structure pointer

pointer ek_ptr
pointer gt_ptr
pointer mls_ptr
pointer gio_ptr
pointer tty_ptr

begin

	gt_ptr = DQ_GT(dq_ptr)
	mls_ptr = DQ_MLS(dq_ptr)
	tty_ptr = DQ_TTY(dq_ptr)
	ek_ptr = DQ_EK(dq_ptr)
	if(DQ_DSP(dq_ptr) != NULL) gio_ptr = DSP_GPPTR(DQ_DSP(dq_ptr))
	else gio_ptr = NULL

	call dq_dqclos(dq_ptr)

	if(ek_ptr  != NULL) call ek_close(ek_ptr)

	if(gt_ptr  != NULL) call gt_close(gt_ptr)

	if(mls_ptr != NULL) call mls_close(mls_ptr)

	if(gio_ptr != NULL) call gclose(gio_ptr)

	if(tty_ptr != NULL) call ttycdes(tty_ptr)

end

