# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqclsdel.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqclsdel.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	06/26/92   akeith	If the column is displayed dq_undisp is now called to undisplay the column instead of doing some complicated crap before.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:30 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_clsdel() deletes a cls structure for the DQ_CLS array list. 
#	If the column is displayed it's deleted for the wcs
#	list of displayed columns.
#

procedure	dq_clsdel(dq_ptr, cls_indx)

pointer	dq_ptr					#O dq structure pointer
int	cls_indx				#I dq cls index

pointer	cls_ptr					# cls structure pointer 

begin

	if(cls_indx < 1 || cls_indx > DQ_CLS_LEN(dq_ptr)) {
		call fprintf(STDERR, "\n dq_clsdel: cls index out of bounds.\n")
		return
	}

	cls_ptr = DQ_CLS(dq_ptr, cls_indx)
	if(cls_ptr == NULL) return

	if(CLS_DSPD(cls_ptr) == TRUE)
		call dq_undisp(dq_ptr, cls_indx)

	call dq_clsclos(cls_ptr)

	DQ_CLS(dq_ptr, cls_indx) = NULL

	call dq_mkdict(dq_ptr)

end

