# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqcpywcs.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqcpywcs.x -r1.6 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	copies all of the WCS structure
# 	06/26/92   akeith	Interface was changed! (bad) The wcs copy is allocated before entering dq_cpywcs where as is was malloced inside and never freed previously.
# 	04/27/92   akeith	added id keyword
# 	04/27/92   akeith	date and time created 92/04/27 16:28:37 by akeith
# H-
# 
#

#       Last revised: 11/23/93

include	"dq.h"

#
# dq_cpywcs() copies the wcs structure list and what is stored within.
#

procedure	dq_cpywcs (dsp_ptr, wcs_copy)

pointer	dsp_ptr						#I dsp structure pointer
pointer	wcs_copy					#O tmp wcs pointer

int	i, j

int	cls_indx					# dq's cls index
pointer	wcs_ptr						# wcs structure pointer
pointer	wcs_cpy_ptr					# wcs structure copy pointer

pointer dq_wcsinit()

begin

	do i = 1, WCS_ARY_LEN {

		wcs_ptr = DSP_WCS(dsp_ptr, i)
		if(wcs_ptr != NULL) {

			ARRYL(wcs_copy, i) = dq_wcsinit(dsp_ptr)

			do j = 1, WCS_CLSINDX_LEN(wcs_ptr) {
		
				cls_indx = WCS_CLSINDX(wcs_ptr, j)
				call dq_addclsindx(ARRYL(wcs_copy, i), cls_indx)
			}

			wcs_cpy_ptr = ARRYL(wcs_copy, i)

			WCS_VIEWX1(wcs_cpy_ptr) = WCS_VIEWX1(wcs_ptr)
			WCS_VIEWX2(wcs_cpy_ptr) = WCS_VIEWX2(wcs_ptr)
			WCS_VIEWY1(wcs_cpy_ptr) = WCS_VIEWY1(wcs_ptr)
			WCS_VIEWY2(wcs_cpy_ptr) = WCS_VIEWY2(wcs_ptr)

			WCS_ORG_WRLDX1(wcs_cpy_ptr) = WCS_ORG_WRLDX1(wcs_ptr)
			WCS_ORG_WRLDX2(wcs_cpy_ptr) = WCS_ORG_WRLDX2(wcs_ptr)
			WCS_ORG_WRLDY1(wcs_cpy_ptr) = WCS_ORG_WRLDY1(wcs_ptr)
			WCS_ORG_WRLDY2(wcs_cpy_ptr) = WCS_ORG_WRLDY2(wcs_ptr)

			WCS_WRLDX1(wcs_cpy_ptr) = WCS_WRLDX1(wcs_ptr)
			WCS_WRLDX2(wcs_cpy_ptr) = WCS_WRLDX2(wcs_ptr)
			WCS_WRLDY1(wcs_cpy_ptr) = WCS_WRLDY1(wcs_ptr)
			WCS_WRLDY2(wcs_cpy_ptr) = WCS_WRLDY2(wcs_ptr)

		} else {
			ARRYL(wcs_copy, i) = NULL
		}
	}
	
end

