# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqdqinit.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqdqinit.x -r1.8 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	05/05/93   akeith	added init format
# 	10/30/92   akeith	initialize gap with a real number.
# 	07/14/92   akeith	DQ_GT is now initialized to NULL.
# 	06/26/92   akeith	DQ_TTOL was replaced by DQ_GAP which correct takes care of the gap drawing.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:43 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_dqinit() initializes the dq structure after opening.
#

pointer	procedure	dq_dqinit()

pointer	dq_ptr					# dq structure pointer

begin

	call malloc(dq_ptr, DQ_LEN, TY_STRUCT)

	DQ_DSP(dq_ptr) = NULL
	DQ_CNAMES_LEN(dq_ptr) = 0
	DQ_CNAMES_PTR(dq_ptr) = NULL
	DQ_TLS_LEN(dq_ptr) = 0
	DQ_TLS_PTR(dq_ptr) = NULL
	DQ_CLS_LEN(dq_ptr) = 0
	DQ_CLS_PTR(dq_ptr) = NULL
	DQ_TTY(dq_ptr) = NULL
	DQ_MLS(dq_ptr) = NULL
	DQ_GT(dq_ptr) = NULL
	DQ_GAP(dq_ptr) = 10000000.0
	DQ_EK(dq_ptr) = NULL
	DQ_FMT_PTR(dq_ptr) = NULL
	DQ_FMT_LEN(dq_ptr) = 0

	DQ_IMODE_LEN(dq_ptr) = SZ_LINE
	call malloc(DQ_IMODE_PTR(dq_ptr), SZ_LINE, TY_CHAR)
	DQ_FMT_LEN(dq_ptr) = SZ_LINE
	call malloc(DQ_FMT_PTR(dq_ptr), SZ_LINE, TY_CHAR)
	DQ_IMODE(dq_ptr) = EOS
	call strcpy("gcur", DQ_IMODE(dq_ptr), DQ_IMODE_LEN(dq_ptr))

	return(dq_ptr)

end

