# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqdspinit.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqdspinit.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:28:47 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_dspinit() allocates the memory and initializes the dsp structure.
#

pointer	procedure	dq_dspinit(dq_ptr)

pointer	dq_ptr					#I dq structure pointer

pointer	dsp_ptr					# dsp structure pointer

int	i					# index
pointer wcs_ptr					# pointer to wcs pointer array
pointer vtyp_ptr				# pointer to vtyp pointer array

pointer dq_vtypinit()

begin

	call malloc(dsp_ptr, DSP_LEN, TY_STRUCT)

	DSP_DQ(dsp_ptr) = dq_ptr
	DSP_ACTVD(dsp_ptr) = FALSE
	DSP_DEV_PTR(dsp_ptr) = NULL
	DSP_MODE(dsp_ptr) = INDEFI
	DSP_FD(dsp_ptr) = INDEFI
	DSP_NWCS(dsp_ptr) = 0

	call malloc(wcs_ptr, WCS_ARY_LEN, TY_LONG)
	DSP_WCS_LEN(dsp_ptr) = WCS_ARY_LEN
	DSP_WCS_PTR(dsp_ptr) = wcs_ptr

	do i = 1, DSP_WCS_LEN(dsp_ptr)
		DSP_WCS(dsp_ptr, i) = NULL


	call malloc(vtyp_ptr, VTYP_ARY_LEN, TY_LONG)
	DSP_VTYP_LEN(dsp_ptr) = VTYP_ARY_LEN
	DSP_VTYP_PTR(dsp_ptr) = vtyp_ptr

	do i = 1, VTYP_ARY_LEN {

		DSP_VTYP(dsp_ptr, i) = dq_vtypinit(i)

		call dq_vwset(dsp_ptr, i)

	}

	return(dsp_ptr)

end

