# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqgrphinit.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqgrphinit.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:02 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"
include <gset.h>

#
# dq_grphinit() initializes the graphics and initializes the dsp structure.
#

procedure	dq_grphinit(dq_ptr)

pointer	dq_ptr					#O dq structure pointer

pointer	dsp_ptr					# dsp structure pointer

pointer dq_dspinit()
pointer gopen()

begin

	DQ_DSP(dq_ptr) = dq_dspinit(dq_ptr)

	dsp_ptr = DQ_DSP(dq_ptr)

	call malloc(DSP_DEV_PTR(dsp_ptr), SZ_LINE, TY_CHAR)

	call clgstr ("device", DSP_DEV(dsp_ptr), SZ_LINE)

	DSP_MODE(dsp_ptr) = NEW_FILE + AW_DEFER
	DSP_FD(dsp_ptr) = STDGRAPH

	DSP_GPPTR(dsp_ptr) = 
		gopen(DSP_DEV(dsp_ptr), DSP_MODE(dsp_ptr), DSP_FD(dsp_ptr))

#	call gclear(DSP_GPPTR(dsp_ptr))
#	call gsetr(DSP_GPPTR(dsp_ptr), G_PLWIDTH, 0.2)

        call greactivate(DSP_GPPTR(dsp_ptr), AW_CLEAR)
        call gdeactivate(DSP_GPPTR(dsp_ptr), AW_CLEAR)

end

