# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqgtload.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqgtload.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/23/94   akeith	added a print statement indicating successful load of gt file
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:08 by akeith
# H-
# 
#

#  Date last modified: 5/23/94

include "dq.h"

#
# dq_gtload() loads a good time ST table with the gt library.
#

procedure	dq_gtload(dq_ptr, gt_name)

pointer	dq_ptr					#O dq structure pointer
char	gt_name[ARB]				#I good time table filename

pointer	gt_ptr					# good times pointer

int	status

int	gt_load()

begin

	gt_ptr = DQ_GT(dq_ptr)
	if(gt_ptr == NULL) call gt_open(gt_ptr)
	DQ_GT(dq_ptr) = gt_ptr 

	status =  gt_load (gt_ptr, gt_name)
	if(status == NO) {
		call fprintf(STDERR, "\n\n No such good times file, sorry. \n\n")
		return
	} else {
		call fprintf(STDOUT, "\n\n Loaded good times file, %s.\n\n")
		call pargstr(gt_name)
	}

end

