# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqgtsave.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqgtsave.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/27/92   akeith	added a helpful print statement for the user.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:10 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_gtsave() saves the overall good time interval to the named file with a
#	call to gt_write().
#

procedure	dq_gtsave(dq_ptr, gt_name)

pointer	dq_ptr					#O dq structure pointer
char	gt_name[ARB]				#I good time filename

int	stat

begin

	call gt_write(DQ_GT(dq_ptr), gt_name, stat)

	if(stat == NO) {
		call fprintf(STDERR,"\n Unable to save good time file, %s.\n")
		call pargstr(gt_name)
	} else {
		call fprintf(STDERR,"\n Good times saved to file, %s.\n")
		call pargstr(gt_name)
	}

end

