# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqlimsave.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqlimsave.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/27/92   akeith	added some helpful comments to send the user
# 	04/27/92   akeith	date and time created 92/04/27 16:29:25 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_limsave() writes a new limits file using eric's mls library.
#

procedure	dq_limsave(dq_ptr, lim_name)

pointer	dq_ptr					#O dq structure pointer
char	lim_name[ARB]				#I limit filename

int	stat

begin

	call mls_write(DQ_MLS(dq_ptr), lim_name, stat)

	if(stat == NO) {
		call fprintf(STDERR,"\n Unable to save limit file, %s.\n")
		call pargstr(lim_name)
	} else {
		call fprintf(STDERR,"\n Limits saved to %s.\n")
		call pargstr(lim_name)
	}

end

