# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqlist.x
# 	Author	:  akeith
# 	Date	:  10/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqlist.x -r1.3 10/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	date and time created 92/10/30 15:55:31 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

define	PROMPT		"column list"

#
# dq_list() redraws the graphics screen.
#

procedure	dq_list(dq_ptr, table_name)

pointer	dq_ptr					#O dq structure pointer
char	table_name[ARB]

int	indx
int	tls_indx
int	strt_indx, last_indx

pointer tls_ptr
pointer gp_ptr

int	gstrmatch()
int	dq_matchtls()

begin

	indx = gstrmatch(table_name, ".tab", strt_indx, last_indx)
	if(indx != 0)
		table_name[strt_indx] = EOS

	tls_indx = dq_matchtls(dq_ptr, table_name)

	if(tls_indx == 0) return

	tls_ptr = DQ_TLS(dq_ptr, tls_indx)

	if(DQ_DSP(dq_ptr) == NULL) call dq_grphinit(dq_ptr)

	gp_ptr = DSP_GPPTR(DQ_DSP(dq_ptr))
	call gpagefile(gp_ptr, TLS_CLFILE(tls_ptr), PROMPT)

end




int	procedure	dq_matchtls(dq_ptr, table_name)

pointer	dq_ptr					#O dq structure pointer
char	table_name[ARB]

int	indx
int	tls_indx
int	strt_indx, last_indx

pointer	tls_ptr

int	gstrmatch()

begin

	tls_indx = 0
	repeat {
		tls_indx = tls_indx + 1
		tls_ptr = DQ_TLS(dq_ptr, tls_indx)
		indx = gstrmatch(TLS_TNAME(tls_ptr), table_name, strt_indx, last_indx)

	} until (indx != 0 || tls_indx == DQ_TLS_LEN(dq_ptr))

	if(indx == 0) return(indx)

	return(tls_indx)

end


