# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqminmax.x
# 	Author	:  akeith
# 	Date	:  10/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqminmax.x -r1.3 10/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	date and time created 92/10/30 15:55:20 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"
include <mach.h>

#
# dq_tlsmin() returns the min of all the TLS_MINT's as a double.
#

double	procedure	dq_tlsmin(dq_ptr)

pointer	dq_ptr					#I dq structure pointer

int	i

pointer	tls_ptr					# tls structure pointer
double	tls_min					# min value of ids of table
double	min_min					# min of all min values

begin

	min_min = MAX_DOUBLE
	do i = 1, DQ_TLS_LEN(dq_ptr) {
		tls_ptr = DQ_TLS(dq_ptr, i)
		tls_min = TLS_MINT(tls_ptr)
		if(tls_min < min_min) min_min = tls_min
	}

	return(min_min)

end


#
# dq_tlsmax() returns the max of all the TLS_MAXT's as a double.
#

double	procedure	dq_tlsmax(dq_ptr)

pointer	dq_ptr					#I dq structure pointer

int	i

pointer	tls_ptr					# tls structure pointer
double	tls_max					# max value of ids of table
double	max_max					# max of all max values

begin

	max_max = - MAX_DOUBLE
	do i = 1, DQ_TLS_LEN(dq_ptr) {
		tls_ptr = DQ_TLS(dq_ptr, i)
		tls_max = TLS_MAXT(tls_ptr)
		if(tls_max > max_max) max_max = tls_max
	}

	return(max_max)

end

