# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqresetv.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqresetv.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	06/26/92   akeith	Now the view is completely stored within the WCS structure.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:38 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"
include <gset.h>

#
# dq_resetv() resets the viewport coordinates of each of the currently displayed
#	wcs's.
#

procedure	dq_resetv(dsp_ptr)

pointer	dsp_ptr					#I dsp structure pointer

int	i,j
int	nwcs					# number of wcs's

pointer wcs_ptr					# world coord. system structure

begin

	nwcs = DSP_NWCS(dsp_ptr)

	j = 1
	do i = 1, DSP_WCS_LEN(dsp_ptr) {

		wcs_ptr = DSP_WCS(dsp_ptr, i)
		if(wcs_ptr != NULL) {

			WCS_VIEWX1(wcs_ptr) = VX1(dsp_ptr, nwcs, j)
			WCS_VIEWX2(wcs_ptr) = VX2(dsp_ptr, nwcs, j)
			WCS_VIEWY1(wcs_ptr) = VY1(dsp_ptr, nwcs, j)
			WCS_VIEWY2(wcs_ptr) = VY2(dsp_ptr, nwcs, j)
			j = j + 1

		}
	}

end

