# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqsetdisp.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqsetdisp.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Mainly put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:42 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"
include <gset.h>

#
# dq_setdisp() sets the display of the wcs for a newly displayed column.
#

procedure	dq_setdisp(dq_ptr, wcs_indx, cls_indx)

pointer	dq_ptr					#O dq structure pointer
int	wcs_indx				#I wcs index
int	cls_indx				#I dq cls list index

int	indx_wcs				# dq wcs list index

pointer	dsp_ptr					# dsp structure pointer

pointer wcs_ptr
pointer cls_ptr

int	dq_wcsadd()

begin

	if(cls_indx == INDEFI) return

	dsp_ptr = DQ_DSP(dq_ptr)
	cls_ptr = DQ_CLS(dq_ptr, cls_indx)


	if(wcs_indx == DQ_WCS_NEW) {
		indx_wcs = dq_wcsadd(dsp_ptr)
		call dq_setwrld(dsp_ptr, indx_wcs, cls_indx)
	} else {
		call dq_resetwcs(dsp_ptr, indx_wcs, cls_indx)
	}


	wcs_ptr = DSP_WCS(dsp_ptr, indx_wcs)

	CLS_WCSINDX(cls_ptr) = indx_wcs
	CLS_DSPD(cls_ptr) = TRUE
	call dq_addclsindx(wcs_ptr, cls_indx)

end

