# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqshwlimit.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqshwlimit.x -r1.6 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/27/92   akeith	change the error message to the user
# 	06/26/92   akeith	if nothing has been displayed initialize the graphics.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:45 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_shwlimit() indicates to the display that this monitor's limits should
#	be shown.
#

procedure	dq_shwlimit(dq_ptr, col_name)

pointer	dq_ptr					#O dq structure pointer
char	col_name[ARB]				#I table name

int	str_len					# string length
int	cls_indx				# dq cls list index

pointer	dsp_ptr					# dsp structure pointer

int	strlen()
int	dq_fndclsindx()

pointer cls_ptr

begin

	call strlwr(col_name)

	str_len = strlen(col_name)
	cls_indx = dq_fndclsindx(dq_ptr, col_name, str_len)

	if(cls_indx == INDEFI) {
		call fprintf(STDERR,
			"\n No such column loaded. \n")
		return
	} else {
		cls_ptr = DQ_CLS(dq_ptr, cls_indx)
	}

	if(cls_ptr == NULL) return

	CLS_DSPLIM(cls_ptr) = TRUE

	if(DQ_DSP(dq_ptr) == NULL) call dq_grphinit(dq_ptr)
	dsp_ptr = DQ_DSP(dq_ptr)

	call dq_display(dsp_ptr)

end

