# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqtbinq.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqtbinq.x -r1.9 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	06/25/98   mabbott	changed to use tbtables filename template functions
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	05/05/93   akeith	fixed up
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	07/08/92   akeith	put ARB in for strcat
# 	06/26/92   akeith	checks if any tables were open and returns a status.
# 	05/14/92   akeith	documented flows for procedure parameters
# 	04/27/92   akeith	date and time created 92/04/27 16:29:48 by akeith
# H-
# 
#

#  Date last modified: 6/25/98

include "dq.h"
include <error.h>

#
# dq_tbinq() inquires the cl about any tables to be loaded and then uses
#	dq_tbload() load them.
#

int	procedure	dq_tbinq(dq_ptr)

pointer	dq_ptr					#I dq structure pointer

int	n_opn_tables

pointer sp
pointer f_name
pointer tables

pointer tbnopenp()
int     tbnget()
int     dq_tbload()

begin

	call smark(sp)
	call salloc(f_name, SZ_LINE, TY_CHAR)

	tables = tbnopenp ("table")

	n_opn_tables = 0
	while (tbnget(tables, Memc[f_name], SZ_LINE) != EOF) {
		if (dq_tbload(dq_ptr, Memc[f_name]) == NO) {
			call printf("\nWarning: Table not loaded, %s.\n")
			call pargstr(Memc[f_name])
		}
		n_opn_tables = n_opn_tables + 1
	}

	call tbnclose(tables)

	call sfree(sp)

	if(n_opn_tables == 0) return(NO)
	else return(YES)

end

