# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqtbopen.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqtbopen.x -r1.5 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	06/26/92   akeith	Now does it's own access checking by trying to open the tables. If it is
# not able to, it takes care of the problem with an iferr statement.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:50 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_tbopen() opens the named table, first checking if the table exists.
#

pointer	procedure	dq_tbopen(tb_name)

char	tb_name[ARB]				#I table name

pointer	tb_ptr					# table pointer

pointer tbtopn()				# tb opens table
#int     tbtacc()				# tb table exist?

begin

	iferr {
		tb_ptr = tbtopn(tb_name, READ_ONLY, NULL)
	} then {
		call fprintf(STDERR, "\n\n The ST table, %s")
		call pargstr(tb_name)
		call fprintf(STDERR, ", does not exist! \n\n")
		return(NULL)
	}

	return(tb_ptr)

end

