# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqtlsinit.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqtlsinit.x -r1.7 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	12/10/92   akeith	Now initializes the start and end night time interval fields.
# 	10/30/92   akeith	initializes the new fields in the table list structure.
# 	07/29/92   akeith	init the couple of new elements to the tls structure.
# 	06/26/92   akeith	now inits the two new fields of the table structure.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:55 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_tlsinit() initializes a new tls structure, allocating the memory and
#	setting all values.
#

pointer	procedure	dq_tlsinit(dq_ptr)

pointer	dq_ptr					#I dq structure pointer

pointer	tls_ptr					# tls structure pointer

begin

	call malloc(tls_ptr, TLS_LEN, TY_STRUCT)

	TLS_DQ(tls_ptr) = dq_ptr
	TLS_TBPTR(tls_ptr) = NULL
	TLS_VTPTR(tls_ptr) = NULL
	TLS_IDSPTR(tls_ptr) = NULL
	TLS_IDSCLS(tls_ptr) = 0
	TLS_NCOLS(tls_ptr) = 0
	TLS_NROWS(tls_ptr) = 0
	TLS_NELMS(tls_ptr) = 0
	TLS_SRATE(tls_ptr) = 0
	TLS_DELT(tls_ptr) = 0.0
	TLS_MINT(tls_ptr) = 0.0
	TLS_MAXT(tls_ptr) = 0.0
	TLS_GTGAP(tls_ptr) = DQ_GAP(dq_ptr)
	TLS_DELTFLG(tls_ptr) = FALSE
	TLS_EXTRA(tls_ptr) = FALSE
	TLS_TNAME_PTR(tls_ptr) = NULL
	TLS_TNAME_LEN(tls_ptr) = 0
	TLS_CLFD(tls_ptr) = NULL
	TLS_CLFILE_PTR(tls_ptr) = NULL
	TLS_CLFILE_LEN(tls_ptr) = 0
	TLS_SNT_LEN(tls_ptr) = 0
	TLS_SNT_PTR(tls_ptr) = NULL
	TLS_ENT_LEN(tls_ptr) = 0
	TLS_ENT_PTR(tls_ptr) = NULL

	return(tls_ptr)

end

