# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqviewdel.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqviewdel.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:29:59 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_viewdel() deletes a particular view, freeing the allocated memory.
#

procedure	dq_viewdel(vtyp_ptr, vtyp_indx)

pointer	vtyp_ptr				#O vtyp structure pointer
int	vtyp_indx				#I vtyp view index

pointer view_ptr					# pointer to view pointer array

begin

	view_ptr = VTYP_VIEW(vtyp_ptr, vtyp_indx)

	call mfree(view_ptr, TY_STRUCT)

	VTYP_VIEW(vtyp_ptr, vtyp_indx) = NULL

end

