# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqvtypinit.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqvtypinit.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:30:19 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_vtypinit() initializes a new view type allocating memory and initializing
#	views with dq_viewinit().
#

pointer	procedure	dq_vtypinit(arry_len)

int	arry_len				#I pointer array length

int	i

pointer	vtyp_ptr				# pointer to vtyp structure
pointer view_ptr				# pointer to view structure

pointer dq_viewinit()

begin

	call malloc(vtyp_ptr, VTYP_LEN, TY_STRUCT)

	call malloc(view_ptr, arry_len, TY_LONG)
	VTYP_VIEW_LEN(vtyp_ptr) = arry_len
	VTYP_VIEW_PTR(vtyp_ptr) = view_ptr

	do i = 1, arry_len
		VTYP_VIEW(vtyp_ptr, i) = dq_viewinit()

	return(vtyp_ptr)

end

