# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqvwset.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqvwset.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:30:23 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_vwset() specifically sets the view coordinates for each type of viewport.
#


procedure	dq_vwset(dsp_ptr, view_type)

pointer	dsp_ptr					#I dsp structure pointer
int	view_type				#I view type index

pointer vtyp_ptr				# vtyp structure pointer
pointer view_ptr				# view structure pointer

begin

	vtyp_ptr = DSP_VTYP(dsp_ptr, view_type)

	switch (view_type) {

		case 1:
			view_ptr = VTYP_VIEW(vtyp_ptr, 1)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.1
				VIEW_Y2(view_ptr) = 0.95

		case 2:
			view_ptr = VTYP_VIEW(vtyp_ptr, 1)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.1
				VIEW_Y2(view_ptr) = 0.5

			view_ptr = VTYP_VIEW(vtyp_ptr, 2)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.55
				VIEW_Y2(view_ptr) = 0.95

		case 3:
			view_ptr = VTYP_VIEW(vtyp_ptr, 1)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.1
				VIEW_Y2(view_ptr) = 0.35

			view_ptr = VTYP_VIEW(vtyp_ptr, 2)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.40
				VIEW_Y2(view_ptr) = 0.65

			view_ptr = VTYP_VIEW(vtyp_ptr, 3)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.70
				VIEW_Y2(view_ptr) = 0.95

		case 4:
			view_ptr = VTYP_VIEW(vtyp_ptr, 1)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.1
				VIEW_Y2(view_ptr) = 0.28

			view_ptr = VTYP_VIEW(vtyp_ptr, 2)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.33
				VIEW_Y2(view_ptr) = 0.51

			view_ptr = VTYP_VIEW(vtyp_ptr, 3)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.56
				VIEW_Y2(view_ptr) = 0.74

			view_ptr = VTYP_VIEW(vtyp_ptr, 4)
				VIEW_X1(view_ptr) = 0.12
				VIEW_X2(view_ptr) = 0.99
				VIEW_Y1(view_ptr) = 0.79
				VIEW_Y2(view_ptr) = 0.97

		default:

			call fprintf(STDERR,"\n dq_vwset: No such view type. \n")

	}

end

