# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  dqwcsclos.x
# 	Author	:  akeith
# 	Date	:  04/27/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) dqwcsclos.x -r1.4 04/27/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/16/93   akeith	fixed any YES/NO TRUE/FALSE problems and removed all the DEBUG stuff
# 	10/30/92   akeith	Only put in debug print statement of function name.
# 	04/27/92   akeith	date and time created 92/04/27 16:30:29 by akeith
# H-
# 
#

#  Date last modified: 11/23/93

include "dq.h"

#
# dq_wcsclos() closes a wcs by freeing memory and deleted all display cls's
#	under that wcs.
#

procedure	dq_wcsclos(wcs_ptr)

pointer wcs_ptr					#I pointer to wcs pointer array

int	i

begin

	if(wcs_ptr == NULL) return

#	This wcs no longer exists.
#	Go through the wcs_clsindx list of cls indexes.
#	Goto the CLS_ struct. and set CLS_DSPD to false and set CLS_WCSINDX to INDEFI.
#	Which means we need the pointer to the DQ_ struct.

	do i = 1, WCS_CLSINDX_LEN(wcs_ptr)
		call dq_delclsindx(wcs_ptr, i)

	call mfree(wcs_ptr, TY_STRUCT)

end

