# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  gettm.h
# 	Author	:  akeith
# 	Date	:  06/24/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) gettm.h -r1.5 06/24/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	04/17/93   ericco	added errno field
# 	03/29/93   ericco	added header definitions
# 	06/29/92   akeith	added two parameters to hold the delta time and the time column name.
# 	06/26/92   ericco	added rates and units
# 	06/24/92   akeith	date and time created 92/06/24 18:44:01 by akeith
# H-
# 
#

#	4/17/93

define	MODE_ASCII	0
define	MODE_BINARY	1

define	SZ_COMLINE	1024

define	GT_QP		Memi[($1)+0]
define	GT_CURTAB	Memi[($1)+1]
define	GT_CURCOLS	Memi[($1)+2]
define	GT_TYPBUF	Memi[($1)+3]
define	GT_BYTES	Memi[($1)+4]
define	GT_LENGTH	Memi[($1)+5]
define	GT_TYPIP	Memi[($1)+6]
define	GT_CURTYP	Memi[($1)+7]

define	GT_NTABLES	Memi[($1)+8]
define	GT_TABCOLS	Memi[($1)+9]
define	GT_TABTYPS	Memi[($1)+10]

define	GT_LNULL	Memi[($1)+11]
define	GT_DNULLP	Memi[($1)+12]
define	GT_QPIO		Memi[($1)+13]
define	GT_TABBUFS	Memi[($1)+14]
define	GT_TMBUFS	Memi[($1)+15]
define	GT_TMCNTS	Memi[($1)+16]
define	GT_CURNAM	Memi[($1)+17]
define	GT_TABNAMS	Memi[($1)+18]
define	GT_TABSIZS	Memi[($1)+19]
define	GT_TABTPS	Memi[($1)+20]
define	GT_TABCPS	Memi[($1)+21]
define	GT_PREFIX	Memi[($1)+22]
define	GT_DT		Memi[($1)+23]
define	GT_PRELEN	Memi[($1)+24]
define	GT_QPOE		Memi[($1)+25]
define	GT_QP_X		Memi[($1)+26]
define	GT_QP_Y		Memi[($1)+27]
define	GT_SUPP		Memi[($1)+28]
define	GT_SNULL	Memi[($1)+29]
define	GT_MODE		Memi[($1)+30]
define	GT_INULL	Memi[($1)+31]
define	GT_RNULLP	Memi[($1)+32]
define	GT_ITYPE	Memi[($1)+33]
define	GT_CURUNT	Memi[($1)+34]
define	GT_CURRAT	Memi[($1)+35]
define	GT_RATES	Memi[($1)+36]
define	GT_TABRATS	Memi[($1)+37]
define	GT_TABUNTS	Memi[($1)+38]
define	GT_TABTIMECOLP	Memi[($1)+39]
define	GT_TABDELT	Memr[($1)+40]
define	GT_CURHDR	Memi[($1)+41]
define	GT_CURKEY	Memi[($1)+42]
define	GT_HDRS		Memi[($1)+43]
define	GT_ERRNO	Memi[($1)+44]

define	GT_SIZE		50

define	GT_TYPE		Memc[GT_TYPBUF($1)+($2)-1]
define	GT_TYPEND	GT_TYPE($1,GT_TYPIP($1))
define	GT_QPOE_TABP	($2 == 1 && GT_QPOE($1) != 0)
define	GT_EVENTP	(GT_CURTAB($1) == 0 && GT_QPOE($1) != 0)
define	GT_A_TYPE	Memi[GT_CURTYP($1)+($2)-1]
define	GT_THISTYPE	GT_A_TYPE($1,GT_CURCOLS($1))
define	GT_A_RATE	Memi[GT_CURRAT($1)+($2)-1]
define	GT_THISRATE	GT_A_RATE($1,GT_CURCOLS($1))
define	GT_A_NAMEP	Memi[GT_CURNAM($1)+($2)-1]
define	GT_THISNAMP	GT_A_NAMEP($1,GT_CURCOLS($1))
define	GT_A_UNITP	Memi[GT_CURUNT($1)+($2)-1]
define	GT_THISUNTP	GT_A_UNITP($1,GT_CURCOLS($1))
define	GT_A_NAME	Memc[GT_A_NAMEP($1,$2)]
define	GT_THISNAME	Memc[GT_THISNAMP($1)]
define	GT_A_UNIT	Memc[GT_A_UNITP($1,$2)]
define	GT_THISUNIT	Memc[GT_THISUNTP($1)]
define	GT_TABCOL	Memi[GT_TABCOLS($1)+($2)-1]
define	GT_TABRAT	Memi[GT_TABRATS($1)+($2)-1]
define	GT_TABUNT	Memi[GT_TABUNTS($1)+($2)-1]
define	GT_TABTYP	Memi[GT_TABTYPS($1)+($2)-1]
define	GT_TABNAM	Memi[GT_TABNAMS($1)+($2)-1]
define	GT_A_TNAMEP	Memi[GT_TABNAM($1,$2)+($3)-1]
define	GT_A_TNAME	Memc[GT_A_TNAMEP($1,$2,$3)]
define	GT_TABBUF	Memi[GT_TABBUFS($1)+($2)-1]
define	GT_TMBUF	Memi[GT_TMBUFS($1)+($2)-1]
define	GT_DNULL	Memd[GT_DNULLP($1)]
define	GT_RNULL	Memr[GT_RNULLP($1)]
define	GT_TABSIZ	Memi[GT_TABSIZS($1)+($2)-1]
define	GT_TABTP	Memi[GT_TABTPS($1)+($2)-1]
define	GT_TABCP	Memi[GT_TABCPS($1)+($2)-1]
define	GT_TABTIMECOL	Memc[GT_TABTIMECOLP($1)]
define	GT_HDR		Memi[GT_CURHDR($1)+($2)-1]
define	GT_KEY		Memi[GT_CURKEY($1)+($2)-1]
