# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  readhex.x
# 	Author	:  ericco
# 	Date	:  10/15/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) readhex.x -r1.1 10/15/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	10/15/92   ericco	date and time created 92/10/15 14:41:48 by ericco
# H-
# 
#

#	Convert a hex string into a char

procedure	readhexc(str, chr) # read hex char data

char	str[ARB]		#I hex string
char	chr			#O result

pointer		coerce(), sp, v

begin
  call smark(sp)
  call salloc(v, 1, TY_CHAR)
  call hexchar(str, Memc[coerce(v, TY_CHAR, TY_CHAR)], SZ_CHAR)
  chr = Memc[v]
  call sfree(sp)
end

#	Convert a hex string into a short

procedure	readhexs(str, sht) # read hex short data

char	str[ARB]		#I hex string
short	sht			#O result

pointer		coerce(), sp, v

begin
  call smark(sp)
  call salloc(v, 1, TY_SHORT)
  call hexchar(str, Memc[coerce(v, TY_SHORT, TY_CHAR)], SZ_SHORT)
  sht = Mems[v]
  call sfree(sp)
end

#	Convert a hex string into a long

procedure	readhexl(str, lng) # read hex long data

char	str[ARB]		#I hex string
long	lng			#O result

pointer		coerce(), sp, v

begin
  call smark(sp)
  call salloc(v, 1, TY_LONG)
  call hexchar(str, Memc[coerce(v, TY_LONG, TY_CHAR)], SZ_LONG)
  lng = Meml[v]
  call sfree(sp)
end

#	Convert a hex string into a char

procedure	readhexr(str, flt) # read hex real data

char	str[ARB]		#I hex string
real	flt			#O result

pointer		coerce(), sp, v

begin
  call smark(sp)
  call salloc(v, 1, TY_REAL)
  call hexchar(str, Memc[coerce(v, TY_REAL, TY_CHAR)], SZ_REAL)
  flt = Memr[v]
  call sfree(sp)
end

#	Convert a hex string into a double

procedure	readhexd(str, dbl) # read hex double

char	str[ARB]		#I hex string
double	dbl			#O result

pointer		coerce(), sp, v

begin
  call smark(sp)

  call salloc(v, 1, TY_DOUBLE)
  call hexchar(str, Memc[coerce(v, TY_DOUBLE, TY_CHAR)], SZ_DOUBLE)
  dbl = Memd[v]

  call sfree(sp)
end
