# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  t_maskcrt.x
# 	Author	:  ericco
# 	Date	:  05/07/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) t_maskcrt.x -r1.2 05/07/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	05/07/91   ericco	date and time created 91/05/07 09:52:25 by ericco
# H-
# 
#

#	Revised: 4/30/92
#	Determine an the processing status of an observation

include <edata.h>

#	Creates a simple convex mask from an image using a threshold.
#	The mask is stored in a text database and is suitable for
#	inclusion in an EUV reference database.

procedure	t_maskcrt ()		# create a simple mask

pointer		sp
pointer		image, textdb, record
pointer		ptr

int		dt, dtmap()
short		thr, clgets()
pointer		im, immap()

begin
  call smark(sp)
  call euclstr(image, "input")
  call euclstr(textdb, "output")
  call euclstr(record, "record")
  thr = clgets ("threshold")
  dt = dtmap(Memc[textdb], APPEND)
  im = immap(Memc[image], READ_ONLY, 0)

  call em_threshold (im, thr, ptr)
  call em_write (dt, Memc[record], ptr)

  call imunmap(im)
  call dtunmap(dt)
  call sfree(sp)
end
