# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  colget.gx
# 	Author	:  tnk
# 	Date	:  03/01/93
# 	Synopsis:  
# 	Keywords:
# 		@(#) colget.gx -r1.1 03/01/93 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	03/01/93   tnk	date and time created 93/03/01 15:58:28 by tnk
# H-
# 
#


# @(#)colget.gx	1.1 3/1/93

include <tbset.h>



# get a column of values from an ST table
#
procedure colgeti(tp,col_name,col_vals,n_rows)    #EXTERNAL

pointer tp              #I table pointer
char    col_name[ARB]   #I name of desired column
pointer col_vals        #O returned column vector
int     n_rows          #O length of col_vals array

# LOCAL VARS
pointer cp              # column pointer
pointer undef_flag      # undef_flag array pointer



# FUNCTIONS
int      tbpsta()

begin

  # read col_vals

  n_rows = tbpsta (tp, TBL_NROWS)

  call tbcfnd (tp, col_name, cp, 1)
  if (cp == NULL) {
       call eprintf("Can't find column %s\n")
       call pargstr(col_name)
       col_vals = NULL
       n_rows = 0
  } 
  else {
     call malloc (col_vals, n_rows, TY_INT)
     call malloc (undef_flag, n_rows, TY_BOOL)
     call tbcgti (tp, cp, Memi[col_vals], Memb[undef_flag], 1, n_rows)
     call mfree (undef_flag, TY_BOOL)
  }

end
#------------------------------------------------------


# get a column of values from an ST table
#
procedure colgetr(tp,col_name,col_vals,n_rows)    #EXTERNAL

pointer tp              #I table pointer
char    col_name[ARB]   #I name of desired column
pointer col_vals        #O returned column vector
int     n_rows          #O length of col_vals array

# LOCAL VARS
pointer cp              # column pointer
pointer undef_flag      # undef_flag array pointer



# FUNCTIONS
int      tbpsta()

begin

  # read col_vals

  n_rows = tbpsta (tp, TBL_NROWS)

  call tbcfnd (tp, col_name, cp, 1)
  if (cp == NULL) {
       call eprintf("Can't find column %s\n")
       call pargstr(col_name)
       col_vals = NULL
       n_rows = 0
  } 
  else {
     call malloc (col_vals, n_rows, TY_REAL)
     call malloc (undef_flag, n_rows, TY_BOOL)
     call tbcgtr (tp, cp, Memr[col_vals], Memb[undef_flag], 1, n_rows)
     call mfree (undef_flag, TY_BOOL)
  }

end
#------------------------------------------------------


# get a column of values from an ST table
#
procedure colgetd(tp,col_name,col_vals,n_rows)    #EXTERNAL

pointer tp              #I table pointer
char    col_name[ARB]   #I name of desired column
pointer col_vals        #O returned column vector
int     n_rows          #O length of col_vals array

# LOCAL VARS
pointer cp              # column pointer
pointer undef_flag      # undef_flag array pointer



# FUNCTIONS
int      tbpsta()

begin

  # read col_vals

  n_rows = tbpsta (tp, TBL_NROWS)

  call tbcfnd (tp, col_name, cp, 1)
  if (cp == NULL) {
       call eprintf("Can't find column %s\n")
       call pargstr(col_name)
       col_vals = NULL
       n_rows = 0
  } 
  else {
     call malloc (col_vals, n_rows, TY_DOUBLE)
     call malloc (undef_flag, n_rows, TY_BOOL)
     call tbcgtd (tp, cp, Memd[col_vals], Memb[undef_flag], 1, n_rows)
     call mfree (undef_flag, TY_BOOL)
  }

end
#------------------------------------------------------

