# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  getcol.gx
# 	Author	:  tnk
# 	Date	:  04/11/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) getcol.gx -r1.2 04/11/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	01/06/97   tnk	no longer gives message on open failures
# 	04/11/94   tnk	date and time created 94/04/11 14:49:53 by tnk
# H-
# 
#


# @(#)getcol.gx	1.2 1/6/97 UCB CEA EGO

include <tbset.h>



# get a column of values from an ST table
#
procedure getcoli(tp,col_name,col_vals,n_rows)    #EXTERNAL

pointer tp              #I table pointer
char    col_name[ARB]   #I name of desired column
pointer col_vals        #O returned column vector
int     n_rows          #O length of col_vals array

# LOCAL VARS
pointer cp              # column pointer
pointer undef_flag      # undef_flag array pointer



# FUNCTIONS
int      tbpsta()

begin

  # read col_vals

  n_rows = tbpsta (tp, TBL_NROWS)

  call tbcfnd (tp, col_name, cp, 1)
  if (cp == NULL) {
       col_vals = NULL
       n_rows = 0
  } 
  else {
     call malloc (col_vals, n_rows, TY_INT)
     call malloc (undef_flag, n_rows, TY_BOOL)
     call tbcgti (tp, cp, Memi[col_vals], Memb[undef_flag], 1, n_rows)
     call mfree (undef_flag, TY_BOOL)
  }

end
#------------------------------------------------------


# get a column of values from an ST table
#
procedure getcolr(tp,col_name,col_vals,n_rows)    #EXTERNAL

pointer tp              #I table pointer
char    col_name[ARB]   #I name of desired column
pointer col_vals        #O returned column vector
int     n_rows          #O length of col_vals array

# LOCAL VARS
pointer cp              # column pointer
pointer undef_flag      # undef_flag array pointer



# FUNCTIONS
int      tbpsta()

begin

  # read col_vals

  n_rows = tbpsta (tp, TBL_NROWS)

  call tbcfnd (tp, col_name, cp, 1)
  if (cp == NULL) {
       col_vals = NULL
       n_rows = 0
  } 
  else {
     call malloc (col_vals, n_rows, TY_REAL)
     call malloc (undef_flag, n_rows, TY_BOOL)
     call tbcgtr (tp, cp, Memr[col_vals], Memb[undef_flag], 1, n_rows)
     call mfree (undef_flag, TY_BOOL)
  }

end
#------------------------------------------------------


# get a column of values from an ST table
#
procedure getcold(tp,col_name,col_vals,n_rows)    #EXTERNAL

pointer tp              #I table pointer
char    col_name[ARB]   #I name of desired column
pointer col_vals        #O returned column vector
int     n_rows          #O length of col_vals array

# LOCAL VARS
pointer cp              # column pointer
pointer undef_flag      # undef_flag array pointer



# FUNCTIONS
int      tbpsta()

begin

  # read col_vals

  n_rows = tbpsta (tp, TBL_NROWS)

  call tbcfnd (tp, col_name, cp, 1)
  if (cp == NULL) {
       col_vals = NULL
       n_rows = 0
  } 
  else {
     call malloc (col_vals, n_rows, TY_DOUBLE)
     call malloc (undef_flag, n_rows, TY_BOOL)
     call tbcgtd (tp, cp, Memd[col_vals], Memb[undef_flag], 1, n_rows)
     call mfree (undef_flag, TY_BOOL)
  }

end
#------------------------------------------------------

