# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  euvtools.cl
# 	Author	:  ericco
# 	Date	:  04/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) euvtools.cl -r1.36 04/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	01/02/97   tnk	added mapcorr
# 	11/13/96   tnk	added fappendtext.cl
# 	11/11/96   tnk	added parallax
# 	06/20/96   gareth	added cptabhdr
# 	02/20/96   gareth	added qp2evttab
# 	12/08/95   tnk	added qpdsym
# 	10/02/95   tnk	added qpdup
# 	09/29/95   tnk	backed out -r1.28
# 	09/28/95   tnk	added t0xycount
# 	08/15/95   tnk	added effexp
# 	04/14/95   kelley	added dscen
# 	04/14/95   akeith	added masktimes and periodint
# 	08/30/94   tnk	added specprint
# 	06/23/94   tnk	reordered, took out tasks moved to euvobsolete
# 	06/23/94   tnk	moved mkeuvspec editwcs listspec to euvobsolete
# 	06/17/94   tnk	hid listspec
# 	06/03/94   tnk	hid some more tasks
# 	05/18/94   akeith	added mkprofile task
# 	04/21/94   akeith	added tasks divea and suborder
# 	04/11/94   tnk	added compspec; commented out cumdist; hid rowcount & qprebuild
# 	04/08/94   tnk	added euvhclean
# 	02/25/94   tnk	added getenv
# 	08/19/93   tnk	added qpwst & qprst
# 	07/16/93   akeith	added aspcorr and periodint
# 	05/05/93   akeith	took out aspcorr
# 	04/21/93   akeith	entered aspcorr task
# 	12/10/92   tnk	added backmon program
# 	12/10/92   ericco	added tfilter and mkaspect tasks
# 	10/07/92   gareth	added qprebuild
# 	10/06/92   gareth	added mkeuvfilt
# 	09/30/92   gareth	added rowcount
# 	08/03/92   ericco	added qcalc
# 	05/15/92   akeith	entered new task: ecliptic
# 	04/30/92   ericco	date and time created 92/04/30 13:46:28 by ericco
# H-
# 
#

# H+
#	Title	:  euvtools.cl
#	Author	:  Eric C. Olson
#	Date	:  2 May 1988
#	
#	Synopsis:  Package script EUVTOOLS
#
#	@(#)euvtools.cl	1.36 1/2/97 UCB CEA EGO
# H-
#{	Enter CL compute mode

package	euvtools

task	aspcorr,
	backmon,
	compspec,
	detpos,
	divea,
	dscen,
	ecliptic,
	effexp,
	euvhclean,
	getenv,
	mapcorr,
	masktimes,
	mkaspect,
	mkprofile,
	parallax,
	periodint,
	qcalc,
	qpbin,
	qpdup,
	qpdsym,
	qpmedit,
	qppage,	
	qprst,
	qpwst,
	rowcount,
	suborder,
        qp2evttab,
        cptabhdr,
        tfilter	= "euvtools$x_euvtools.e"

task    specprint = "euvtools$specprint.cl"
task    fappendtext = "euvtools$fappendtext.cl"

hide getenv
hide rowcount
hide fappendtext

clbye()
