# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  prfclean.x
# 	Author	:  akeith
# 	Date	:  07/06/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) prfclean.x -r1.3 07/06/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/07/94   akeith	new and totally improved
# 	07/06/94   akeith	date and time created 94/07/06 16:58:55 by akeith
# H-
# 
#


#	Version: @(#)prfclean.x	1.3 7/7/94 UCB CEA EGO

include	"prf.h"

define	R	Memr[($1)+($2)-1]

#
# prf_clean()
#

procedure	prf_clean(prf, dto, cv, peak, fwhm)

pointer	prf			#I
pointer	dto			#I
pointer	cv			#I
int	peak			#I
int	fwhm			#I

int	i			#
int	len			#
int	width			#
int	right			#
int	left			#

pointer	sp, a			#

int	stat, dto_gbufr()	#
real	sum, asumr()		#
real	max, ahivr()		#
real	cveval()		#

begin

	width = int(real(PRF_NFWHM(prf)*fwhm)/2.0 + 0.5)
	left  = peak - width - 1
	right = peak + width + 1

	len = PRF_HI(prf) - PRF_LO(prf) + 1

	call smark(sp)
	call salloc(a, len, TY_REAL)

	stat = dto_gbufr(dto, Memr[a], len)

	do i = 1, left
		R(a, i) = 0.0

	do i = left+1, right-1
		R(a, i) = R(a, i) - cveval(cv, real(i))

	do i = right, len
		R(a, i) = 0.0

	call arltr(Memr[a], len, 0.0, 0.0)
	sum = asumr(Memr[a], len)
	if(sum > 0.0)
		call adivkr(Memr[a], sum, Memr[a], len)

	max = ahivr(Memr[a], len)

	if(PRF_TRIM(prf))
		call arltr(Memr[a], len, PRF_THRESH(prf)*max, 0.0)

	call dto_seek(dto, 1)
	call dto_pbufr(dto, Memr[a], len)

	call sfree(sp)

end

