# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  prfgraw.x
# 	Author	:  akeith
# 	Date	:  07/05/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) prfgraw.x -r1.3 07/05/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	07/07/94   akeith	new and totally improved
# 	07/05/94   akeith	date and time created 94/07/05 18:11:13 by akeith
# H-
# 
#


#	Version: @(#)prfgraw.x	1.3 7/7/94 UCB CEA EGO

include	"prf.h"

#
# prf_graw()
#

procedure	prf_graw(prf, ip, img, band, dto)

pointer	prf				#I
pointer	img				#I
int	ip				#I
int	band				#I
pointer	dto				#O

int	i, j				#
int	vs, ve, nx, len			#

pointer	sp				#
pointer	str				#
pointer	sum				#
pointer	buf, imgs3r()			#
pointer	dt_dto()

begin

	nx = PRF_NX(prf)
	vs = nx*(ip-1) + PRF_X1(prf)
	ve = vs + nx - 1
	len = PRF_HI(prf) - PRF_LO(prf) + 1

	call smark(sp)
	call salloc(str, 5, TY_CHAR)
	call salloc(sum, len, TY_REAL)
	call aclrr(Memr[sum], len)

	call prf_mkname(ip, str)
	call dto_creater(PRF_DT(prf), Memc[str])
	dto = dt_dto(PRF_DT(prf), Memc[str])

	if(PRF_AXIS(prf) == 1) {

		buf = imgs3r(img, vs, ve, PRF_LO(prf), PRF_HI(prf), band, band)

		do i = 0, len
			do j = 0, nx-1
				Memr[sum+i] = Memr[sum+i] + Memr[buf+i*nx+j]
	} else {

		buf = imgs3r(img, PRF_LO(prf), PRF_HI(prf), vs, ve, band, band)

		do j = 0, nx-1
			do i = 0, len-1
				Memr[sum+i] = Memr[sum+i] + Memr[buf+j*len+i]
	}

	call dto_pbufr(dto, Memr[sum], len)

	call sfree(sp)

end

