# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  qpl_gclmn.x
# 	Author	:  ericco
# 	Date	:  06/30/92
# 	Synopsis:  
# 	Keywords:
# 		@(#) qpl_gclmn.x -r1.4 06/30/92 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	10/14/97   mabbott	remove illegal QPOE private data and function dependencies
# 	07/16/93   akeith	corrected the TRUE/FALSE YES/NO problem
# 	03/24/93   akeith	changed version string and number of charactors to salloc
# 	06/30/92   ericco	date and time created 92/06/30 18:39:58 by ericco
# H-
# 
#

#	QPL_COLUMN
#       Version: @(#)qpl_gclmn.x	1.4 10/14/97 UCB CEA EGO

include <qpeuv.h>
include	"qpl.h"

#	Initialize the column definitions from the QPOE
#	dd block structure.
#	Note that this structure is salloc in the calling
#	routines stack space.

pointer	procedure qpl_gclmn (dd)
pointer	dd				#I QPOE dd block

pointer	clmn
pointer	ptr
int	i

begin
# Create the memory and store the pointers for the column structure
#	The event number is referenced as the zeroth column, for it 
#	is not stored in the qpoe file as a field.

  call salloc(clmn, EUVDD_NFIELDS(dd)+1, TY_INT)
  
  do i = 0, EUVDD_NFIELDS(dd){
    
    call salloc(ptr, LEN_CLMSTR, TY_STRUCT)
    CLM_PTR(clmn+i) = ptr
    CLM_ON(ptr) = YES
    
    call salloc(CLM_NAM_PTR(ptr), SZ_LINE, TY_CHAR)
    call salloc(CLM_MAC_PTR(ptr), SZ_LINE, TY_CHAR)
    call salloc(CLM_FMT_PTR(ptr), SZ_LINE, TY_CHAR)
    
    CLM_NAM_STR(ptr) = EOS
    CLM_MAC_STR(ptr) = EOS
    CLM_FMT_STR(ptr) = EOS
    
  }
  
  return clmn
end

