# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  t_qppage.x
# 	Author	:  ericco
# 	Date	:  10/29/91
# 	Synopsis:  
# 	Keywords:
# 		@(#) t_qppage.x -r1.12 10/29/91 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	10/09/97   mabbott	remove test code
# 	10/09/97   mabbott	test checkin
# 	07/16/93   akeith	corrected the TRUE/FALSE YES/NO problem
# 	03/24/93   akeith	changed version string
# 	06/17/92   ericco	added batch mode
# 	04/07/92   akeith	Changed the help page to coorsp. to the commands.
# 	03/04/92   ericco	removed debug statements
# 	12/12/91   akeith	no
# 	10/30/91   akeith	documentation was added
# 	10/29/91   ericco	remove debug open statement
# 	10/29/91   ericco	date and time created 91/10/29 15:09:57 by ericco
# H-
# 
#

#       Version: @(#)t_qppage.x	1.12 10/9/97 UCB CEA EGO

include "qpl.h"

#	Main task: Does some opening and closing, 
#		but mainly stays in qpl_list()
#

procedure	t_qppage()

pointer		qpl				# The main structure
pointer		clmn				# The column structure
pointer		qpname				# QPIO filename param. ptr
pointer		device				# param. device ptr

int		stat				# status for qpl_list()

int		qpl_list()			# main function
int		clgeti()			# get cl parameter value
bool		clgetb()			# get cl parameter value
pointer		ttyodes()			# open tty descriptor
int		first				# first event to get

begin

	call eu_clstr(qpname, "input")		# get filename parameter
	first = clgeti("first")
	if (clgetb("interactive")) {
	  call malloc(qpl, LEN_QPLSTR, TY_STRUCT)

	  QPL_EVI(qpl) = first

	  call eu_clstr(device, "device")	# get device parameter
	  QPL_TTY(qpl) = ttyodes (Memc[device])

	  QPL_MAPCC(qpl) = NO
	  QPL_REDRAW(qpl) = NO

	  call qpl_open(qpl, Memc[qpname])	# open QPIO file, return io ptr

	  stat = qpl_list(qpl, clmn, Memc[qpname])	# Main Procedure

	  call qpl_close(qpl)			# closes chck_file file

	} else {

	  call qpl_batch(Memc[qpname], first)

	}

end

