# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  sojcmd.x
# 	Author	:  akeith
# 	Date	:  06/27/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) sojcmd.x -r1.1 06/27/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	06/27/94   akeith	date and time created 94/06/27 15:03:04 by akeith
# H-
# 
#


#	Version: @(#)sojcmd.x	1.1 6/27/94 UCB CEA EGO

include	"so.h"
include	"spc.h"

#
# so_jcmd()
#

procedure	so_jcmd(so)

pointer	so			#

bool	so_join()

begin

	if(SO_SET(so)) return

	if(so_join(so, SO_WCS(so), double(SO_WX(so))))
		call so_display(so)

end


#
# so_join()
#

bool	procedure	so_join(so, wl, wx)

pointer	so			#I
int	wl			#I
double	wx			#I

bool	stat			#
pointer	sw, mw, lw		#

begin

	stat = FALSE

	switch(wl) {
	  case SW:
		sw = SO_SPC(so, SW)
		mw = SO_SPC(so, MW)

		if(wx >= SPC_SL(sw) && wx <= SPC_SH(sw)) {
			if(SPC_EXISTS(mw)) {
				if(wx >= SPC_SL(mw)) {
					stat = TRUE
					SPC_OH(sw) = wx
					SPC_OL(mw) = SPC_OH(sw)
				}
			} else {
				stat = TRUE
				SPC_OH(sw) = wx
			}
		}

	  case MW:
		sw = SO_SPC(so, SW)
		mw = SO_SPC(so, MW)
		lw = SO_SPC(so, LW)

		if(wx >= SPC_SL(mw) && wx <= SPC_SH(mw)) {

			if(SPC_EXISTS(sw)) {

				if(wx <= SPC_SH(sw)) {
					stat = TRUE
					SPC_OL(mw) = wx
					SPC_OH(sw) = wx
				} else {
					if(SPC_EXISTS(lw)) {
						if(wx >= SPC_SL(lw)) {
							stat = TRUE
							SPC_OH(mw) = wx
							SPC_OL(lw) = wx
						}
					}
				}

			} else {

				if(SPC_EXISTS(lw)) {
					if(wx >= SPC_SL(lw)) {
							stat = TRUE
							SPC_OH(mw) = wx
							SPC_OL(lw) = wx
					}
				} else stat = TRUE
			}
		}

	  case LW:
		mw = SO_SPC(so, MW)
		lw = SO_SPC(so, LW)

		if(wx >= SPC_SL(lw) && wx <= SPC_SH(lw)) {
			if(SPC_EXISTS(mw)) {
				if(wx <= SPC_SH(mw)) {
					stat = TRUE
					SPC_OL(lw) = wx
					SPC_OH(mw) = wx
				}
			} else {
				stat = TRUE
				SPC_OL(lw) = wx
			}
		}

	}

	return(stat)

end

