# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  soordinit.x
# 	Author	:  akeith
# 	Date	:  06/27/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) soordinit.x -r1.1 06/27/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	06/27/94   akeith	date and time created 94/06/27 15:03:08 by akeith
# H-
# 
#


#	Version: @(#)soordinit.x	1.1 6/27/94 UCB CEA EGO

include	"so.h"
include	"spc.h"

#
# so_ordinit() initializes the current xtraction wavelength, the
#	current source wavelength, and the current order. The
#	predicted order is computed.
#

bool	procedure	so_ordinit(so)

pointer	so			#I suborder structure

pointer	spc			# spectra structure

bool	so_order()		#

begin

#    Set the current xtraction wavelength.

	SO_CXWL(so) = 0
	SO_CSWL(so) = 0
	SO_CORD(so) = 1

	repeat {
		SO_CXWL(so) = SO_CXWL(so) + 1
		if(SO_CXWL(so) > LW)
			call error(1, "None of the spectra exist!?!")

		spc = SO_SPC(so, SO_CXWL(so))

	} until(SPC_EXISTS(spc))

	SO_CSWL(so) = SO_CXWL(so)

	repeat {
		call so_incr(so, SO_CXWL(so), SO_CSWL(so), SO_CORD(so))
		if(SO_CXWL(so) > LW) {
			return(FALSE)
		}
	} until( so_order(so, SO_CXWL(so), SO_CSWL(so), SO_CORD(so)) )

	return(TRUE)
end


