# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  sozcmd.x
# 	Author	:  akeith
# 	Date	:  06/27/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) sozcmd.x -r1.1 06/27/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	06/27/94   akeith	date and time created 94/06/27 15:03:13 by akeith
# H-
# 
#


#	Version: @(#)sozcmd.x	1.1 6/27/94 UCB CEA EGO

include	"so.h"
include	"spc.h"

#
# so_zcmd()
#

procedure	so_zcmd(so)

pointer	so			#

pointer	spc			#
pointer	sp			#
pointer	cmd			#

int	wcs			#
int	npts
real	wx, wy			#
double	sl			#

int	stat, ek_gcur()
int	so_gwind()
bool	so_ordinit()

begin

	if(SO_SET(so)) return

	spc = SO_SPC(so, SO_WCS(so))

	sl = double(SO_WX(so))

	call smark(sp)
	call salloc(cmd, SZ_LINE, TY_CHAR)
	call printf("again:")
	stat = ek_gcur("gcur", SO_EK(so), wx, wy, wcs, Memc[cmd], SZ_LINE)
	call sfree(sp)

	call gctran(SO_GP(so), wx, wy, SO_WX(so), SO_WY(so), wcs, SO_WCS(so))

	call so_srange(so, SO_WCS(so), sl, double(SO_WX(so)))

	npts = int((SPC_SH(spc) - SPC_SL(spc))/SPC_DELTA(spc) + 0.5)
	call df_rsdomain(ORG(spc), SPC_SL(spc), SPC_DELTA(spc), npts, NEW(spc))

	SPC_ORD_ON(SO_SPC(so, SO_CXWL(so))) = FALSE
	if(!so_ordinit(so)) {
		SO_DONE(so) = TRUE
		return
	}

	stat = so_gwind(spc, SPC_XL(spc), SPC_XH(spc), SPC_YL(spc), SPC_YH(spc))

	call so_display(so)

end


#
# so_srange()
#

procedure	so_srange(so, wl, sl, sh)

pointer	so			#
int	wl			#
double	sl			#
double	sh			#

double	s_tmp
pointer	spc
int	npts
double	del
double	xl, xh
bool	so_join()

begin

	if(sl > sh) {
		s_tmp = sl; sl = sh; sh = s_tmp
	}

	spc = SO_SPC(so, wl)
	del = SPC_DELTA(spc)

	call df_gxrng(ORG(spc), xl, xh)
	if(sl < xl) sl = xl
	if(sh > xh) sh = xh

	npts = int((sh - sl)/del)
	sh = sl + npts*del

	switch(wl) {

	  case SW:
		if(sh < SPC_OH(spc))
			if(!so_join(so, wl, sh))
				sh = SPC_SH(spc)

		SPC_SL(spc) = sl
		SPC_SH(spc) = sh
		SPC_OL(spc) = sl

	  case MW:
		if(sl > SPC_OL(spc))
			if(!so_join(so, wl, sl))
				sl = SPC_SL(spc)

		if(sh < SPC_OH(spc))
			if(!so_join(so, wl, sh))
				sh = SPC_SH(spc)

		SPC_SL(spc) = sl
		SPC_SH(spc) = sh

	  case LW:
		if(sl > SPC_OL(spc))
			if(!so_join(so, wl, sl))
				sl = SPC_SL(spc)

		SPC_SL(spc) = sl
		SPC_SH(spc) = sh
		SPC_OH(spc) = sh
	}

end

