# Copyright (c) 1991 - 1900.  The Regents of the University of
# California (Regents).  All Rights Reserved.
# H+
# 	Title	:  zzdebug.x
# 	Author	:  tnk
# 	Date	:  08/24/94
# 	Synopsis:  
# 	Keywords:
# 		@(#) zzdebug.x -r1.2 08/24/94 UCB SSL CEA EGOCS
# 	Revisions:
# 	mm/dd/yy   name		description
# 	08/24/94   tnk	added qp_open third args
# 	08/24/94   tnk	date and time created 94/08/24 15:59:51 by tnk
# H-
# 
#

task	tfilter = t_tfilter,
	addfoos = t_addfoos,
	addbars = t_addbars,
	bigmac = t_bigmac,
        mkqpoe = t_mkqpoe

define	MAXADD	1

# @(#)zzdebug.x	1.2 8/24/94 UCB CEA EGO

procedure	t_bigmac()

pointer		qp
pointer		qp_open()

string		qptype	"macro"
string		name	"fubar"
string		value	"10:20,"

int		pos
int		i

begin
  qp = qp_open("tst", APPEND, NULL)

  pos = 1
  call qp_addf(qp, name, qptype, 0, qptype, 0)

  do i = 1, 2000 {
    call qp_write(qp, name, value, 6, pos, qptype)
    pos = pos + 6
  }
  call qp_write(qp, name, "", 1, pos, qptype)
  call qp_close(qp)
end

procedure	t_addfoos()

pointer		qp
pointer		qp_open()

int		i, j
char		foo[200]
int		qp_accessf()

string		qptype	"macro"

begin
  qp = qp_open("tst", APPEND, NULL)

  for (j = 1; ; j = j + 1) {
    call sprintf(foo, ARB, "foo_%03d")
    call pargi(j)
    if (qp_accessf(qp, foo) == NO) break;
  }
  do i = 1, MAXADD {
    call sprintf(foo, ARB, "foo_%03d")
    call pargi(j+i-1)
    call qp_addf(qp, foo, qptype, 0, qptype, 0)
  }

  call qp_close(qp)
end

procedure	t_addbars()

pointer		qp
pointer		qp_open()

int		i, j
char		foo[200]
int		qp_accessf()

string		qptype	"macro"

begin
  qp = qp_open("tst", APPEND, NULL)

  for (j = 1; ; j = j + 1) {
    call sprintf(foo, ARB, "bar_%03d")
    call pargi(j)
    if (qp_accessf(qp, foo) == NO) break;
  }
  do i = 1, MAXADD {
    call sprintf(foo, ARB, "bar_%03d")
    call pargi(j+i-1)
    call qp_addf(qp, foo, qptype, 1, qptype, 0)
  }

  call qp_close(qp)
end

procedure	t_mkqpoe()

pointer		qp, qpio, events
pointer		sp
int		nev
int		qp_access()
pointer		qp_open()
int		axlen[2]

begin
  call smark(sp)
  call salloc(events, 2, TY_SHORT)

  axlen[1] = 100
  axlen[2] = 100

  if (qp_access("tst", READ_ONLY) == YES) {
    call qp_delete("tst")
  }

  qp = qp_open("tst", NEW_FILE, NULL)
  call euqpst(qp, axlen, "{s:x,s:y}", qpio)
  nev = 1
  Mems[events+0] = 5
  Mems[events+1] = 6
  call qpio_putevents(qpio, events, nev)
  nev = 1
  Mems[events+0] = 15
  Mems[events+1] = 16
  call qpio_putevents(qpio, events, nev)
  call qpio_close(qpio)

  call qp_close(qp)
  call sfree(sp)
end

